commit 06fa8a6fa0c975ef21155aa574aa9af55d322498
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 31 01:59:46 2002 +0000

    Less verbosity.

commit d3c3b323b7369467349b883f403ce547ece1681f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 31 01:54:36 2002 +0000

    * src/misc/darwin_specific.m: Partial attempt at fixing a memory leak,
    * input: new b_connected field, allowing to correctly detect the EOF of TCP
      streams (closes #35),
    * input: fixed a deadlock when opening a zero-sized file,
    * input: fixed a deadlock when opening an unconnected FIFO (closes #54).

commit afbc560297273d6d25410d8f07df75b01daea502
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 30 23:45:22 2002 +0000

    * OS X interface : Added new access modules to the Open panel,
    * Updated po files,
    * Fixed a very nasty side effect in the dvd and dvdread plug-ins,
    regarding the audio-channel and spu-channel configuration variables.

commit 8b13c2c5e05d4b5beaa10e3c1db359216a0b4e78
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 30 17:36:01 2002 +0000

    * src/misc/messages.c: don't try to decorate logs on win32.
    * include/vlc_common.h, include/vlc_threads.h: we now use different
    thread priorities for WinNT/2k/XP or Win9x/Me.

commit 700452e04d179cccf7775d4c4f840383769529f8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 30 17:28:31 2002 +0000

    * modules/codec/*: make sure all audio decoders set
    output_format.i_bytes_per_frame and output_format.i_frame_length
    properly.

commit b70087decd748f5edc74a5380b33225775947ede
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 30 13:34:03 2002 +0000

      * ./configure.ac.in: fixed the strncasecmp detection.
      * ./src/extras/libc.c: fixed a bug in our built-in strncasecmp.

commit feb09800677740cfe29d4747a7fa51fba3ec7f57
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 30 11:49:32 2002 +0000

    Added RTP shortcuts to udp.c for backwards compatibility.

commit 34b7837ae5c6bbccf6b1324db2d44f3b99dc9e68
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 30 08:56:19 2002 +0000

    * modules/access/udp.c: Merged the UDP and RTP plug-ins, with autodetection of RTP,
    * src/misc/darwin_specific.m: if $LANG isn't set, retrieve NSUserDefaults.

commit 4da234d782cba3b9c5ff1de5f3603b6e48f43697
Author: Boris Dorès <babal@videolan.org>
Date:   Sun Dec 29 21:00:39 2002 +0000

    no time to fix the playlist save&restore issue before the release (and
    wouldn't be wise anyway), so deactivated it in the win32 interface.

commit 5ac16455d9dc24c9f14dd9fd8c961c8c0bafed99
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Dec 29 01:33:35 2002 +0000

    PTS calculation fix for the mad plug-in, courtesy of KKI_ on IRC.

commit 621ed4634bfd437dd38fdcd08ddf8fa78e967c0d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Dec 29 01:16:28 2002 +0000

    OS X port :
    * Reenabled fullscreen shortcut, due to popular requests,
    * Fixed charset encoding in the Preferences window,
    * New implementation of --loop.

commit 574b878c9fa061b5555f2d09a93b7fab7fdd276f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Dec 28 15:04:22 2002 +0000

      * ./debian/control: fixed various dependencies.

commit e3eb4a658bc458742625f890fbd3231e4710be9b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 28 13:35:40 2002 +0000

    Yet another typo. :p

commit aba1225f4fdfbbf27f842a6616de571fc1951c34
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 28 02:02:18 2002 +0000

    Added support for 32 kHz LPCM streams (thanks _Demo_ !).

commit de7a1d4592311281499973aaa1b76ea07e8e5309
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Dec 28 01:53:40 2002 +0000

      * ./configure.ac.in: removed AC_PROG_EGREP because it's for autoconf 2.54+
        and used AC_EGREP_CPP instead.

commit 1965e41d29501182c967b7d68bd8b29c57c5009c
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Dec 28 01:20:23 2002 +0000

      * ./configure.ac.in: we don't link with -lintl if building against our
        internal one.

commit 3479106106516dcd1080e8733dbcb771e8e18b7c
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 27 15:40:52 2002 +0000

      * ./modules/demux/avi/avi.c: replaced a useless asprintf with sprintf.

commit f357e3e13067e52d54635eb7db34b6a9c0c7f477
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 27 15:31:56 2002 +0000

      * ./src/extras/libc.c: if configure is called with --with-included-gettext,
        we export vlc_dgettext to plugins so that their messages can be translated
        as well.

commit 22a39c27afb0137cca9a81e44dfc9f56ce085274
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 27 14:16:13 2002 +0000

      * ./configure.ac.in: added a check for $EGREP at the beginning, so that
        it's not done in an obscure "if" statement.
      * ./configure.ac.in: added verbosity around all EGREP calls so that we
        know what's going on.

commit 535c75f66eabb582b9da47c85506b23b780e2dae
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 27 12:44:36 2002 +0000

      * ./Makefile.am: we don't try to distribute mozilla/vlcintf.h since it's
        created at compile time.

commit 99f0761d7a2cfa9b421ffaf9609846c65d894e48
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 27 09:57:23 2002 +0000

    Audio output.

commit d8befd24d13ec841507bc11113f70052fa4a63a7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 27 09:47:55 2002 +0000

    Added Bruno Vella <allevb@tin.it>, author of the Italian localization.

commit 2105332a1e0e2d970280b0b5145ebb1d129d3516
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 27 08:37:25 2002 +0000

    Fixed a typo.

commit d65301abfbc6cb4ec8b72b0c3e25e7ad5ae0230e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 27 00:17:49 2002 +0000

    * Italien translation, courtesy of Bruno <allevb@tin.it>,
    * Compilation fixes for gettext 0.11.5 on MacOS X.

commit e00996a42a8bef76171cafc36a67a6fd7d4231d8
Author: Stephan Assmus <stippi@videolan.org>
Date:   Thu Dec 26 18:17:38 2002 +0000

    added 'extern "C"' to some includes

commit b12cefacca8e0e1651e09ac9df9c466ba51b75b2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 26 13:58:12 2002 +0000

    Do not compile imdct and downmix modules anymore.

commit eb28b62d8b2f280ba1610d77e459c51fd7bdf34d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 26 10:55:35 2002 +0000

    Check for the presence of arguments (--help ?) before rebuilding everything.

commit 14b46deef1ed921a19b8ed805f042642379d06f2
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 25 23:39:01 2002 +0000

      * ./src/libvlc.c: added a debug message to test the translation system.
      * updated the .po files.

commit c84f4ce5b2db05d73e91f21fc4488e3518c07b34
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 25 22:36:14 2002 +0000

      * ./bootstrap: fixed an automake 1.5 check.
      * ./toolbox: removed code from bootstrap that wasn't related to the
        bootstrapping sequence and put it here.

commit e8b5cda1a0eb0f953edeef363afdd28cca7423e1
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 25 22:05:16 2002 +0000

      * ./configure.ac.in: lured xggettext into thinking _NS is a keyword.
      * ./bootstrap: bootstrap --update-po also updates vlc.pot.

commit 16cf721d7a40194c0c7c95ebd8ecf700323bfa46
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 25 21:02:35 2002 +0000

    * Re-enabled package-* Makefile rules,
    * Worked around automake stack overflow bug on Darwin.

commit c3cd2873c9551ec187826a378350abc54e38a5bf
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 25 02:25:29 2002 +0000

    ... _with_ the actual Italian placeholder (can you believe it ?).

commit a1e7a1e625f73b4ffcc4ea42cd25626f0622ac41
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 25 02:23:37 2002 +0000

    Santa Claus brings to you :
    * A placeholder for the Italian translation,
    * A bug fix for mono streams on stereo speakers,
    * A fix for a possible crash in the FTP access,
    * Correct coordinates in OS X fullscreen modes (closing #47),
    * Cosmetic fixes.

commit 167d8dc7c402cfa1f749e7b430c621fb8beb9f05
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 24 23:31:49 2002 +0000

      * ./ipkg/Makefile.am: added missing files to the distribution.

commit 9a9b0c4618f2e74fb9f0d6d5c53165012626a54a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 24 23:00:51 2002 +0000

    * Use BeginFullScreen() to hide the mouse cursor ;
    * Cheat with the screen saver (closes #46).

commit 2d54f8aed99d8a7f981d86ea295d1b4d0628ec45
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 20:15:34 2002 +0000

    Added gpe and gpe-vlc to Conflicts list for only X11/GTK+ packages.

commit 37a6b0e770772b23ab9641302f119d57c31cf1a7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 20:11:45 2002 +0000

    Build and packaging scripts for building Familiar Linux interface with only GTK+ support.

commit e97e9ff23f88bc9ffccd39857e19027e769d54eb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 19:26:50 2002 +0000

    Forget some.

commit 88b2fd30eac806604a2bee88617a83106b5baaa5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 19:25:54 2002 +0000

    Added some debug info.

commit 1354b55b9703f7b899a17beb07a3a3b9ee66d55f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 19:25:35 2002 +0000

    Cosmetic changes.

commit 087a7a0318a4d48317c8e353ae17038cb4849088
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 19:09:12 2002 +0000

    Cosmetic changes.

commit 8cfc8ab2487108774be39b9922f2ddbd6cad0178
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 19:08:21 2002 +0000

    Update packaging scripts.

commit d7644ce5a06454f99bb96075cb423cf2eacd57a3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 24 18:23:12 2002 +0000

    Added esddsp package to dependency list.

commit 8c2e1d884cd25c1deaa1eb75d07ce1a38c09043f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 24 15:28:57 2002 +0000

    Fixed a major bug in fixed32tos16.c.

commit 081377ea8c469436119f41981fa1cafda2145f9e
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 24 09:49:25 2002 +0000

      * ./configure.ac.in: fixed dpms.h detection (missing prerequisite headers).

commit baf454a4dfbbccdeb9b73850c6d9cf6d843d662b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 23 22:00:01 2002 +0000

    Enabled --with-gpe-prefix in buildscript.

commit ea3f2123204ed85960757382ba7280422ccd1df6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 23 21:58:33 2002 +0000

    Set priority of sdl video output to 60 iso 40. So it is now the default choice for iPaq iso x11.

commit 110cfc0d7c5611a86f5b3cdc5d4aa659e7a734be
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Mon Dec 23 17:22:46 2002 +0000

    Little fixes.

commit 5ac588e5ea0d6105bf9cef1b8560086b3b38494b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 23 16:21:54 2002 +0000

    Fixed my fix :p.

commit d1a23fa6f19959de70742399efbda966b4ee32ce
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 23 16:05:04 2002 +0000

    Fixed a side-effect bug with IPv6 addresses (thanks Xag).

commit 44eb44e9faad202ec856285da582b27842406a91
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 23 15:39:17 2002 +0000

    Familiar interface now uses define NEED_GTK_MAIN define.

commit dc2dd8ce9e020e93e1868a0b47f186ee7354a2f5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 23 15:39:07 2002 +0000

    Fixed an IPv6-related bug (thanks Xag).

commit 8157810c80fb596e7f86732bcaf589d6874b0cb7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 23 13:58:46 2002 +0000

    Cosmetic (thanks Heiko).

commit 73741d9e8899a8bbabf4930c3c6208b6f2c9caab
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 23 13:49:11 2002 +0000

    Cosmetic.

commit 74c949a65720b9e71c8c638dcd33a29d04f79d20
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 22 23:23:45 2002 +0000

    Use SDL output as default for iPaq.

commit a9b0a4161d2fe5ee7eaa2bf018d1f1b5b5c1e179
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 22 21:46:50 2002 +0000

    Typing file locations in URL combo without "file://" prefix is possible again.

commit 20d79981d58a38ef5aa3167b08e34be3e569fb43
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 22 21:08:36 2002 +0000

    Familiar GPE interface support fixes. Only Manage() function does not seem to work properly.

commit 7fb39a20fb453c06634407612af7f64bd28acc00
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 22 17:08:42 2002 +0000

      * ./src/audio_output/input.c: fixed a side-effect problem in buffer dates
        recalculation (spotted by KKI).

commit a7a66d7a5de8f36f2561445b4a99956202ac9913
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Dec 21 11:20:30 2002 +0000

     first shot at a file info dialog for the wxwindows interface. It still
    needs to get a sane default size and some cleanups of the code, but I commit
    now in case anyone wants it during cristmas

commit 311544e303ceb86f62fcfe0ea685bea1cc6dfae3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Dec 20 21:33:40 2002 +0000

    Defenitely fixed segmentation fault on directory change.

commit 71bd3efe4665b30590fb4b5f0556ef771624ec9b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Dec 20 15:18:56 2002 +0000

    removed the code that was not supposed to be in my last commit

commit 8fe04320fbf189f3cfab3eded0e99fbe81345be8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Dec 20 14:28:10 2002 +0000

    Fixed path to pixmaps for GPE menu system.

commit fc92de91a69b94e11ec96379d6cc86de4fd61ee2
Author: Yves Duret <yves@videolan.org>
Date:   Fri Dec 20 07:35:56 2002 +0000

    fixed my entry.

commit 3f31425b48d317892afb41e7e3cb22122ff2be19
Author: Yves Duret <yves@videolan.org>
Date:   Fri Dec 20 07:35:39 2002 +0000

    - added rawdv plugin.
    - make it working again with daily CVS snapshot.
    - some typos fixed.
    - better workaround for broken mdk configure macro (aka don't harcore arch in name).

commit 1e44e520098c892698b33f9053f4a4bb6d3df103
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 19 23:23:25 2002 +0000

    * modules/demux/ogg.c: provide some file info. Tested with the tarzan.ogm
    * modules/codec/vorbis.c: parse the vorbis comment (can anyone tell me why the
    comment is embedded in the logical stream and not directly in the
    container?). The vorbis comments are in utf8, so extended characters
    currently get messed up.
    
    Still tring to close #51

commit adabf2feaa4c1d423bb8c1bc7e2ef31c57c17292
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 19 17:29:13 2002 +0000

    Fixed an HTTP compliance issue (thanks Xag).

commit f987ab46f71f9bfcc4796502c3e711cdc47eb713
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 19 16:59:31 2002 +0000

    the avi demux now gives some info about the file being played. One step
    towards closing bug #51. Type 'info' in the rc interface to test.

commit cc4a55dede1d59fd5801b0dfff8398ba55be74d2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 18 17:52:23 2002 +0000

    * src/libvlc.h, src/input/input_dec.c: added an "sout-video" and
    "sout-audio" config option that allows to selectively enable audio or
    video stream output. This is very useful if you want to play video on
    one computer and audio on another one ;)

commit 42ea28c02a1f900ebd08e8ebd044459ea0c16d37
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 18 16:33:09 2002 +0000

     * mpeg4video: repeat vol headers every 30 frames (But it is buggy)

commit 30a998d36c68dc81a43b55bb1317117510ed7416
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 18 16:31:25 2002 +0000

     * video.c: with mpeg4 stream, we try to decode a picture only when we have
    received an header (vol). (It prevents some segfaults with mpeg4 streaming).

commit 09afca1dc1a1696ac613a711ee5f149479664d58
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 18 16:27:56 2002 +0000

     * ts.c: add preliminary support for mpeg-4 streams in mpeg2-TS.
    Becareful that up to now, it's more a hack. (I need to add SL streams
    managments)

commit 70c6595ddbb49649e76db2b3c45d3df5efb5211a
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 18 16:16:30 2002 +0000

      * ./modules/demux/avi/libavi.c: added an additional sanity check for
        corrupted headers.

commit 287923fefdd3671afdce66c13286cf2382df044f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 18 15:52:06 2002 +0000

     * libavi.c: a sanity check to prevent some segfault with corrupted
    header.

commit 4be766c2c4d31844dc6f42d64bb7af2b50690f94
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 18 15:03:48 2002 +0000

      * ./modules/codec/ffmpeg/ffmpeg.c: cosmetic change, the ffmpeg module now
        tells what libavcodec build it was built with.

commit f22f4ef52e0bf8f7a6c7354881c455b08fb3a85f
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 18 14:17:11 2002 +0000

      * fixed several format string inconsistencies and deprecated C constructions.

commit f9e122280dfa61c7335e9f69c2aee1ce083f7a37
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 18 12:18:06 2002 +0000

      * ./src/misc/messages.c: woops, __attribute__(format) is only needed in the
        prototype.

commit fb8ca39f8f3cbb4bfbcb0e103a3dfa0cc785bb84
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 18 11:47:35 2002 +0000

      * ./include/vlc_messages.h: msg_* functions now use the same argument type
        checks as printf. Only works with gcc 3.2 it seems.

commit 5fbe1b05441226d158b7e405666883ec63b4bdbf
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 18 09:27:26 2002 +0000

      * ./modules/video_output/qte/.cvsignore: added a missing .cvsignore.
      * ./modules/video_chroma/Modules.am: added i420_rgb_c.h to the distribution,
        thanks to Stepan Roh for spotting this.

commit 7fc0df74caec0814a9f91c5f73566578914081aa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 18 08:08:30 2002 +0000

    * src/video_output/video_output.c: fixed a bug concerning the aspect
    ratio in vout_Request().
    
    * INSTALL.win32: small update to the documentation.

commit 85862082048bf47eae91d89b81d4df0f98fe2921
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 18 01:34:44 2002 +0000

    * mpegaudio: fixed another stupid bug for mpeg audio layer 3 only.

commit 8dc6c82627bc6a180ff320489496c46ec84b7668
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 17 21:58:03 2002 +0000

     * bits.h: fixed a stupid bug.
     * ts.c: removed an unused variable.

commit d5d568e2f47bd083fe63b97fc56e375c3a5511cc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 17 21:15:43 2002 +0000

    * modules/demux/rawdv.c: new raw dv demuxer (only video for now). I
    didn't find a way to detect correctly a raw dv file so for now we just
    check the file extension (.dv). You can additionaly force this demuxer.
    
    PS: the ffmpeg plugin works quite well for decoding dv videos.

commit 3355ba5c714776dce759188faaf7126d0d869cc4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 17 21:04:49 2002 +0000

    Functionality of Familiar Linux Gtk+ interface is finished. Only testing on iPaqwith libgpewidget0  still needs to be done.

commit 019f1d068c970413d41cc9b71fbbb1ba78d47881
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 17 14:39:05 2002 +0000

      * ./bootstrap: added warning messages for old automake versions.

commit 2cb2200b33142f9da4dd171812359c0ec226bf67
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 17 09:54:32 2002 +0000

      * ./modules/gui/kde/preferences.cpp: fixed a compilation issue and a crash.

commit cb07a7161e6a23655d538092dbac35d13bdf861f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 16 23:25:23 2002 +0000

    Fixed (again) a rendering bug on big endian systems. :-p

commit 0863e5b7be8d4ab191ce2bab54eeb28da02d9ca0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 16 22:06:59 2002 +0000

    Cleanup action.

commit 86f66ed970a5014f89e2dc7ba870793efa2040dc
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 16 21:48:17 2002 +0000

    Workaround for crash in ReadDirectory when called from the comboURL text box. For now it is mandatory to prefix filepaths on local disk with "file://" when typing it in the comboURL box.

commit 884742bd75b66f3ee9b405a062789c24aae1f3e4
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 16 20:18:42 2002 +0000

     Fixed a possible crash.

commit aa4f7ea9e28e6763af3a4c1336ec7473e7630e25
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 16 18:30:12 2002 +0000

    * modules/demux/ogg.c: added support for the old type of headers produced by the first
    versions of OggDS.

commit aa2f3524c664a756b7c010886da9ae0ffe15d774
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 16 16:48:04 2002 +0000

    * modules/access/udp.c, modules/access/rtp.c, modules/misc/network/ipv4.c: only check for
    the "server-port" config variable in the access plugins. access_output plugins will now
    pick a port at random, thus allowing sout to work out of the box on a localhost. (thanks
    Meuuh)

commit e4429e9b7fcd14e5acd804e9c1b2c151eaafe33a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 16 15:17:12 2002 +0000

     * compilation fix for Os X.

commit c69d073576625797d3d4a7d5ab3463e9d75a2315
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 16 13:04:36 2002 +0000

     * libavi.c: improved parsing of some corrupted files.

commit 75cd9924eed3e0b7eadcd6349f531bb4ce1ae9a2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 16 10:49:16 2002 +0000

     Should fix compilation/configuration with --with-ffmpeg options.

commit 0da5a70e9a693d0446ec560a830fc2e78165994d
Author: Boris Dorès <babal@videolan.org>
Date:   Mon Dec 16 00:41:00 2002 +0000

    - disc.* : a few enhancements in the design of the "open disc" dialog
      box, including the ability to select dvd menus instead of a particular
      title and chapter
    - preferences.dfm : multiline tabs

commit 89ee60c17afe2e97a2e9d435720d3435b657145a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 15 23:39:41 2002 +0000

     * modules/mux/mpeg/*: should fix builtin compilation
     * modules/access/ftp.c : an ftp access, buggy but it begins to work.
    The main issue is about password confidentiality so you must know
    what you are doing :((

commit 4c0de20eff23a7b91749815aa2b5d8a19062c0ff
Author: Yves Duret <yves@videolan.org>
Date:   Sun Dec 15 22:55:12 2002 +0000

    you can now build RPMs.
    (ffmpeg still not working properly cause configure.ac seems to sucks)

commit 34146983af6197c5d467c787990c770f81728342
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 15 22:54:58 2002 +0000

    Packaging files for Familiar GPE and OPIE releases.

commit 44656b964722d1b1867a92c378b19da03d8a3fc3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 15 22:48:30 2002 +0000

    Familiar interface build with GPE support does not use NEED_GTK_MAIN.

commit 456c666abf1b33e29865540effacd241345b9b35
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 15 22:45:35 2002 +0000

    Make distinction between GPE and GTK_NEED_MAIN way of handling interface.
    Trying to fix change directory crash while entering keys in combobox.

commit e6eae811566b71fad4a08534e09486bbb07205dc
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 15 22:45:09 2002 +0000

    I forgot this file in my previous commit...

commit 6846b211d29a865f8a8f43af253f2732529a51a1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 15 20:48:40 2002 +0000

    Fix crash on directory change.

commit d5f52eba6699b9d4fe72a1cf3c8560dedd61cef8
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 15 18:37:39 2002 +0000

     * ./modules/gui/wxwindows: added a log window

commit bd92601ccbbcb92a03ca421aef9980bd0b89ef0a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 15 16:28:20 2002 +0000

    * include/vlc/vlc.h: added a new pi_types field to vlc_list_t. This field will be used
    later on by the object variables functions. I'm adding it now because it also happens to
    solve a binary compatibility problem between gcc and bcc. (depending on compilers,
    structs of 32 < size <= 64 bits can be returned either in a register or in the stack).

commit 25b7570422cde96ee8604d8b04075009dab50e19
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 14 23:17:56 2002 +0000

    Fix for building Familiar interface with libgpewidget0 library.

commit 5f9ddb01ae6ba14bb912464f8a4a32a68700b563
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 14 22:33:21 2002 +0000

     * libvlc.h: Fix mux/access_output options.

commit f8bf106d7ee040b01217ea54e8594f0677ba6b18
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 14 21:32:42 2002 +0000

     Added stream output. (common work with titer).

commit 3f12686417f9fac0a3ba8ff83477381b0f39117a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 14 19:43:25 2002 +0000

    * src/libvlc.c: oops, forgot to remove a debug message.

commit 215c1a851ceb2a32c721381954ffa0b68c547432
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 14 19:34:07 2002 +0000

    * src/misc/objects.c: implemented the FIND_CHILD mode for vlc_list_find().
       vlc_object_get() now increments the refcount of the object so you'll need to release
    the object at some point.
    * src/misc/variables.c, ALL: var_Change() with VLC_VAR_GETLIST now returns a vlc_value_t
    which points to a vlc_list_t.

commit c4fde1e51a66497c0019872f19b786a7554dae5f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 14 19:19:08 2002 +0000

    * src/misc/threads.c: implemented vlc_thread_set_priority() for win32.

commit be0f3d8552c065ecb6fa75489c660faab202c0f8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 14 18:57:34 2002 +0000

     * all: with mpeg4 video I changed the way that some initialisation data
    are passed (more logical).

commit d387c508fe9a97489794b7222535aab44552f6d9
Author: Boris Dorès <babal@videolan.org>
Date:   Sat Dec 14 01:05:53 2002 +0000

    - support for Windows style file names for relative paths
    - when eol_tok is '\n', use last line even if eol_tok isn't present

commit e407c2446cbe48ddfe8be39f5f6682fe30e49c73
Author: Yves Duret <yves@videolan.org>
Date:   Fri Dec 13 22:11:56 2002 +0000

    adaptation for 0.5 branch. almost working :)

commit 006f12b599fe2770c5cbd871f3bf645562ca40e5
Author: Boris Dorès <babal@videolan.org>
Date:   Fri Dec 13 17:05:12 2002 +0000

    - * : start playing only when opening a stream from the main window;
      when opening it from the playlist window, add it to the list, but
      don't change anything to the playing state and current stream.
    
    - playlist.dfm : proper resizing behaviour

commit 4552cb1eacb8768236a1c0f4976618dba580e68b
Author: Boris Dorès <babal@videolan.org>
Date:   Fri Dec 13 16:26:35 2002 +0000

    - vlc_playlist.h, playlist.c: added the ability to save a playlist to
      and restore it from a file chosen by the user.
    
    - win32/*:
    
      - implementation of the previous feature in the win32 interface
    >   -> what the other interfaces need to do to support it is simply to
    >      call the two following functions:
    >       int playlist_LoadFile(playlist_t *p_playlist,const char *psz_filename);
    >       int playlist_SaveFile(playlist_t *p_playlist,const char *psz_filename);
    >      where psz_filename is the name of the destination/source file.
    
      - ability to open several files at a time

commit 3f7b412c588b42bf290f71af9e68407d701bba6e
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 13 10:09:14 2002 +0000

      * ./Makefile.am: added missing files for make dist.
      * ./configure.ac.in: removed unpopular warnings.
      * ./po/*: updated potfiles.

commit 7822e55938242852d199d12005b326458f161ae8
Author: VideoLAN <videolan@videolan.org>
Date:   Fri Dec 13 03:52:58 2002 +0000

     * ./modules/win32/menu.cpp: reorganized the code for menus generation,
       and got rid of the global variable (at last!) in the win32 interface.
    
    Please check that navigation and language selection aren't too much
    broken for DVDs...

commit a71b1c8cad7bd70b94a0df3b054bf3ad84690f07
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 13 01:56:30 2002 +0000

    * ALL: added a new vlc_list_t common type. vlc_list_find() and vlc_list_release() have been modified
    to use this new type.

commit 270c49946420f12a7337ba1188b5d1c80ad9e538
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 13 01:50:32 2002 +0000

    * modules/gui/wxwindows/*: added skeleton for popup contextual menu.
    * modules/access/dvdplay/access.c, modules/audio_filter/resampler/linear.c: a couple of warning
    fixes.

commit 0e7efe76df0ead006eb34f59c727eab512eac162
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 12 15:23:43 2002 +0000

    * src/input/input.c: forgot to commit this during my last commit :p

commit bd369da1d68b20977347b1d0d09d20f8155d94b1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 12 15:10:58 2002 +0000

    * src/input/input_clock.c, include/input_ext-intf.h: introduced an i_pts_delay field in
    input_thread_t (initialised to DEFAULT_PTS_DELAY).
    * modules/access/*: i_pts_delay is now configurable on an access module basis. The pts
    delay for http and mms have been raised to 4 * DEFAULT_PTS_DELAY, which is about 1.2
    seconds worth of caching.

commit 3260a93ce3d940222bf923f698c7bb7ff56123f1
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 12 13:09:52 2002 +0000

      * ./debian/vlc-plugin-ogg.dirs: added a missing file for Debian package
        builds.

commit 06aa618a1d3814f65f91d24a20dd3b7bc9163289
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 12 12:24:23 2002 +0000

      * ./modules/gui/familiar/*: compilation fixes. Crashes on directory change.

commit 9b08202a3d54d1ec0e9f4c341d733f2e3fdf8925
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Dec 12 11:37:34 2002 +0000

     * ./modules/gui/win32: added management for "float" config options
       (thanks Garf)

commit 707dbe3ce169a95667d011889d9c6ae0f493f9ea
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 12 11:29:58 2002 +0000

    Fixed a possible deadlock.

commit 33266c5ae67749a159f98349768697e988767eff
Author: Simon Latapie <garf@videolan.org>
Date:   Thu Dec 12 10:56:24 2002 +0000

     * fixed one or two things (thanks sam)

commit a89bc50696c06b7e30656c80c3a9a8f396968f68
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 11 22:56:42 2002 +0000

    * modules/codec/mad/*: don't let mad drop corrupted mpeg frames without telling us. When
    this happens, we miscalculate the pts of the next valid frame, which in turn causes heavy
    resampling. This fix should be most useful for web radios.

commit 288b91145530c986d304bdc6b46afd09187573e3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 11 21:50:03 2002 +0000

    Fixed qte video output segmentation fault during initialization.
    The following things have still to be fixed:
    - segmentation fault on destroy
    - video placing and
    - orientation
    - video line spacing is wrong

commit 851f437fd0a3d7bac2a919f49245112d8f0dd5d7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 11 20:13:50 2002 +0000

     * all: access plugins should not modify
    p_input->stream.p_selected_area->i_tell when reading data. (It's done in
    input_SplitBuffer). (But access should still set it on a "seek")

commit 3d9f4dab09b9e980f504d76fde8168d8ef66b6a2
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Wed Dec 11 17:27:29 2002 +0000

    New ALSA audio output. It works with ALSA 0.9.0rc4 and earlier versions.

commit 1edaf53a24a1ab36ebf848caabea2219c2344ccc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 10 23:34:19 2002 +0000

    * modules/demux/wav/wav.c: small bug-fix for screwed pts calculation.

commit 2c0d24bf92307956113ce19b3d278327e0729dd4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 10 21:55:01 2002 +0000

    * src/audio_output/filters.c: fix for resampler buffer size.

commit 05b378dd459f5cee10755dcacaad794e53fa4be7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 10 18:22:01 2002 +0000

    * ALL: fixed a f*ckage I introduced recently ;) var_Type() now returns 0 when the variable
    doesn't exist, but the rest of the code wasn't updated according to this new behaviour.
    * modules/audio_output/waveout.c: changed a few error messages into warning messages.

commit 2fd77aa18cc0062063bbc8ed6d4fd43aa5a1f009
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Dec 10 15:51:59 2002 +0000

     * ./modules/gui/win32: deletd a dependancy with a global variable

commit ffddb1ea9747418b8a8f4afe0a369bf2c6d9f385
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 10 14:19:44 2002 +0000

    * include/configuration.h: fixed my previous fix.

commit fae0361776951fd724789ad3ba38b343f929115e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 10 12:46:35 2002 +0000

    * configure.ac.in: fixed ugly hack in sdl detection code (which also broke my build :p)
    * include/configuration.h, include/modules_inner.h: proper fix for a bug that allowed gcc
    to put things in the stack instead of the data segment.

commit 3ce3af29524e7824ac4cb36c56f9ee8e7fa4bc3b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 10 10:22:04 2002 +0000

     ffmpeg: adapted to current cvs version. It should still compile with older
    one (Please reports if it doesn't).

commit da014eb8d7c5969dd94d94b58ee44616bf0b6e04
Author: Arnaud Schauly <gitan@videolan.org>
Date:   Tue Dec 10 00:02:29 2002 +0000

    fixed a segfault under windows.

commit 0c091c92196f3d566eb3484066c36695263c1275
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 9 23:37:54 2002 +0000

    * include/configuration.h: rolled back the last changes made to this file. There is no
    sense in manually initializing all the fields of module_config_t as it will be done by the
    compiler anyway. Furthermore mingw32 gcc seems to have problems optimizing code
    that manually initializes structures to 0.

commit d8c645cf6fb7cf86c4a57a50dbb6f5a4af2d1560
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 9 21:37:41 2002 +0000

    Syncing functionality with vlc-0.4.6

commit d11c5018606696b8e0f2c5abd4061bf33ab5b8f1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 9 21:36:41 2002 +0000

    Fixed segfault in Qt Embedded Video Output.

commit 98363dc6f53794e9d8c64c82c3a73b89031c5d34
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 9 13:37:38 2002 +0000

     * AudioOutput.cpp: added sanity tests;
     * VlcWrapper.h, Interface.cpp: removed an unused variable.

commit 29b488fe1d592b77659873ce2873bed575fff735
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 9 07:57:04 2002 +0000

     * AudioOutput.cpp: send zeros to BSoundPlayer if nothing comes from
        audio output;
     * VlcWrapper.cpp: handle volume using aout3 features.

commit e7453ce6bdadbf367f60e62e1d8b85249154b461
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 9 03:36:47 2002 +0000

     Default re-enabled dvd module.
      --disable-dvd works anyway.

commit 84ae579e4f14328f28d90b06b768e4924b7b5a4b
Author: Boris Dorès <babal@videolan.org>
Date:   Mon Dec 9 00:52:42 2002 +0000

    - new headphone channel mixer with virtual spatialization effect : This
      effect should give you the feeling that you stands in a real room with
      a complete 5.1 speaker set when using only a headphone, providing a
      more realistic sound experience. It should also be more comfortable
      and less tiring when listening to music for long periods of time.It
      works with any source format from mono to 5.1.
    
      -> please try it and feel free to give me some feedback. Some
         improvements are already planned (adding echo, more configuration
         options, ...).
    
    NB: whereas the filter itself is in a (very first) stable version, the
        way it is integrated to the filter chain is only a _temporary_ hack
        since it's the audio ouput core (input.c actually) which is directly
        responsible for it. Integrating it in a more suitable way will
        probably require some work on the way the filters are selected as
        well as on the configuration level, but I'm working on it :)

commit 2397666ac33531200664b053ea2dd993a12424d4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Dec 8 23:38:02 2002 +0000

    * Updated aout3 developer doc.
    * Reworked the Open... menu items, and added the ability to use libdvdplay.
    * Sound output menu is now under Controls.

commit bb57136ac84f8f31f472eea137f70846cee9e9e5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 8 21:05:42 2002 +0000

    Fixed build and linking for qte video output and made modifications to iPaq packaging files.

commit 07541e2ef1b5a33992883049d83171781cfcd125
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 8 19:56:04 2002 +0000

    * modules/gui/wxwindows/*: compilation fixes for wxX11 (it doesn't support drag and drop
    yet). Compilation fix for MacOSX as well (wxEntry() not declared).
    * src/misc/variables.c: added a FreeMutex() function.

commit caf200f5e94783c777e0a859e92bddc6608a01c0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 8 16:16:19 2002 +0000

    - Updated Maintainers file
    - fixed --disable-dvd, it did not work
    - updated iPaq familiar buildscripts

commit 892b62c4ee2d1e73c0fffd7bc8f9209a851fcb9a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 8 14:47:28 2002 +0000

    * configure.ac.in: fix for dvdread and libdvdplay plugins linking stage.

commit 940b79b4c163e31f56eb871c6e50d3612038e7fb
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Sun Dec 8 05:30:47 2002 +0000

      * ALL: Under Jaguar, vout no longer depends on any specific MacOS X
             intf. wxWindows should work (not tested). Closes #33.

commit 270e1cb5a9153615b53fae5bfa63e2a1420027ed
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Dec 8 00:41:06 2002 +0000

    New vlc_thread_set_priority function, to set the priority of the main
    thread.

commit ec518727fc898bf1ded6d58d90ff21135f703107
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 7 23:50:31 2002 +0000

    * configure.ac.in: Disabled -Wtraditional as it produces much more bogus
      warnings than real ones.
    * audio output: New intf-change variable to know when audio-channels
      and audio-device have changed.
    * video output: New intf-change variable and vout_VarCallback, to know
      when video-device has changed (OS X port).
    * modules/gui/macosx/*: Menus for audio channels, implemented volume
      management, added a menu for screen selection.

commit 9e4b72d5fa9aebdce784941f12f4aef3a31cd239
Author: Eric Petit <titer@videolan.org>
Date:   Sat Dec 7 22:29:15 2002 +0000

     * default disabled SAP under BeOS

commit 6f8cc1d682eab9e28b9e0f11f8103592631c66d7
Author: Arnaud Schauly <gitan@videolan.org>
Date:   Sat Dec 7 22:15:10 2002 +0000

    fixed my last commit.

commit 490a596129c5fa1633c3d2f79a924c39df53894c
Author: Eric Petit <titer@videolan.org>
Date:   Sat Dec 7 22:00:36 2002 +0000

     * use RGB32 BBitmap. That fixes the bad-looking picture in
       non-overlay mode (thanks Sam).

commit 0d62cd7dd470f3b58e349c0abe343f3bafd42037
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 7 15:25:27 2002 +0000

    * ALL: a few updates to the variables API:
      - got rid of the VLC_VAR_COMMAND variable type and introduced the VLC_VAR_ISCOMMAND flag
    instead. This simplifies things and avoid the strange command variables behaviour. Command
    variables will now trigger their callback on var_Set() like any other variables (look in
    modules/control/rc/rc.c for an example).
      - Renamed the VLC_VAR_ISLIST flag into VLC_VAR_HASCHOICE.
      - Added a new VLC_VAR_VOID variable type. This can be useful in conjunction with
    VLC_VAR_ISCOMMAND for instance.

commit ead83c797f20f8d1a16637351498163c29377368
Author: Arnaud Schauly <gitan@videolan.org>
Date:   Fri Dec 6 22:44:03 2002 +0000

    * sap.c : make it more compliant (as far as sdp is involved).
    * playlist.c : fixed a memory leak
    * configure.ac.in : added link flags

commit 45887fc0acaf18c7bd5c20eadf8a2eff3bf3c277
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 6 21:27:36 2002 +0000

    * configure.ac.in: fixed typo. For dvdread support we have to check for
     dvdread/dvd_reader.h, not dvdread/dvdread.h.

commit ade615bfc0c153a408e0ae88b89458c52dc0a0f1
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 6 16:34:08 2002 +0000

      * ./configure.ac.in: removed -W in favour of -Wtraditional.
      * ALL: a bunch of additional warning fixes.

commit 94cc398edc5aeb10eadffd48eb440b99364c2fb7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 6 14:22:55 2002 +0000

     all: fix some minors warnings.

commit 64310cf3f23a6db67123df7ac5d57b4da34c2c21
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 6 13:05:22 2002 +0000

      * ./modules/access/mms/mms.c: fixed signed/unsigned comparisons, and fixed
        a bug I found in Read(). No idea whether it was triggered before nor what
        it was doing, though :)

commit ee0a24494dae4fc2adb56e758fb1758d896019dc
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 6 12:54:30 2002 +0000

      * ./modules/access/http.c: code clean-up. removed sizeof()-1 calls where we
        meant strlen(), removed useless strcmp() calls, implemented atoll() for
        systems where it does not exist, fixed a memory leak, fixed a minor data
        corruption.

commit d812048435a413766e9d79b5b1749070c7d9d790
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Dec 6 12:18:11 2002 +0000

    some support for redirection. Moved the break on returncode >=400 to after
    the header parsing. This will be usefull if anyone wants to implemet
    http-passwd support

commit 79da01949bad2f111767fab3877b9f296084dfec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 6 11:53:45 2002 +0000

     * ffmpeg: sync with latest ffmpeg cvs. As it need too much
    #if LIBAVCODEC_BUILD , I've enable direct rendering only with latest
    ffmpeg cvs (anyway dr isn't cleanly ported to the latest version).

commit 1b7ce2697e98a3fcff4f78d1610f7f0268cd47c1
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 6 10:10:40 2002 +0000

      * ./src/*, ./include/*: fixed a bunch of badly initialized structures, a few
        signed/unsigned comparisons, and removed trailing spaces here and there.

commit 426a6dc5c2d1af10c0c74e009f55fc063306f0ca
Author: Boris Dorès <babal@videolan.org>
Date:   Fri Dec 6 06:42:24 2002 +0000

     * src/playlist/playlist.c : playing again a playlist already in a
       playing state resets the input speed to normal to make sure the
       stream isn't paused or slowed or played faster anymore.
       By doing that, fixes the following bug of the Windows interface:
       when pushing the play button on a paused or slowed stream, nothing
       used to happen.
     * modules/gui/win32/playlist.cpp : when pushing the play button and the
       playlist is empty, displaying the playlist window
     * win32.cpp : rephrasing the module description to "Native Windows
       interface module"

commit 40dfc83478e1b87128c33db5c54521eb42df7747
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 5 17:38:42 2002 +0000

      * ./configure.ac.in: disabled -Wconversion for gcc 2.x because it makes it
        choke on system headers.

commit 5927421c930e3a244642c851240a4aa05800354e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 5 17:16:30 2002 +0000

      * ./ipkg/Makefile.in: removed a file handled by automake.
      * ./configure.ac.in: additional warning flags for GCC.
           -Wconversion
               Warn if a prototype causes a type conversion that is different from
               what would happen to the same argument in the absence of a proto-
               type.
           -Wsign-compare
               Warn when a comparison between signed and unsigned values could
               produce an incorrect result when the signed value is converted to
               unsigned.
           -Wunreachable-code
               Warn if the compiler detects that code will never be executed.
           -Wdisabled-optimization
               Warn if a requested optimization pass is disabled.
        See the gcc documentation for more explanations. This triggers a lot of
        warnings everywhere, and at first sight they're all worth fixing. Code
        quality matters, too, so let's fix'em :)

commit b9dc2550f290ea59dbbb6079eb206913aff4d23b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 4 21:48:02 2002 +0000

    * modules/audio_filter/channel_mixer/trivial.c: bugfix for up-mixing.

commit 1fb3bb737494613264394918aa0f5efc86c650ba
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 4 21:03:38 2002 +0000

    Build and packaging files for Opie and GPE.

commit ea5a42d20686edc7dee96ae9f9a6527ed893b409
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Wed Dec 4 20:51:23 2002 +0000

      * ./modules/gui/macosx/vout.m: mouse coordinates support.

commit 531ca6204e7a122dc4201fd68bf02d3a12ff27ec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 4 15:47:31 2002 +0000

     * all: Fix an other (and last ? ;) endian issue.

commit 7c80c87d871fa6d57aab75926a8e9a253465793e
Author: Eric Petit <titer@videolan.org>
Date:   Wed Dec 4 06:23:08 2002 +0000

     * configure.ac.in, mms.c, sap.c, ipv4.c: added network support for BeOS 5
       (Dano is no more needed); multicast still doesn't work.
       UDP (unicast) and HTTP have been successfully tested, mms is untested.
     * sap.c: BeOS doesn't have memccpy
     * VideoOutput.cpp: forgot to remove a printf

commit 6d1429740defd11c2f903991dc8273cb46fa543f
Author: Eric Petit <titer@videolan.org>
Date:   Wed Dec 4 02:16:23 2002 +0000

     * InterfaceWindow.cpp: removed warnigs
     * AUTHORS/MAINTAINERS: added Stephan Assmus, Arnaud Schauly & myself

commit 923da58842e70c77aacd956274381eb30447b744
Author: Arnaud Schauly <gitan@videolan.org>
Date:   Tue Dec 3 23:36:41 2002 +0000

    * src/playlist/playlist.c : Added playlist_AddItem (enqueues
    playlist_item_t instead of psz_target ). Now playlist_Add uses
    playlist_AddItem to enqueue.
    * include/vlc_playlist.h : Added a psz_uri field in the playlist_item_t
    structure.
    * src/input/input.c : takes item->psz_uri  argument to start playing an
    item.

commit 9125323fed7ff85b95393bf206b5f8b32ff01e14
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 3 17:00:16 2002 +0000

     * adpcm.c: add adpcm decoding support (Now just ms and ima adpcm from
    microfsoft, not yet ima4)
     * wav, asf, avi: fix fourcc creation for adpcm. (Nevertheless adpcm
    could not work with asf because of asf audio scrambling unsupported in asf
    demuxer). Seek will not work, because vlc send garbage and then break stream
    alignment.(I will try to fix that).

commit e5daac69bbf814759ffe6ab126aacffe2efb340a
Author: Arnaud Schauly <gitan@videolan.org>
Date:   Tue Dec 3 16:29:04 2002 +0000

    * Added a session announcement protol module (enabled by default).
    * Added the PLAYLIST_CHECK_INSERT option to the playlist. That option
    checks previously enqueued sessions before enqueing.

commit e133e074fc9822f46c3f47911faa914b61426d59
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 3 12:59:21 2002 +0000

      * ./src/libvlc.h: fixed an aspect ratio bug, we should default to the
        stream's aspect, not to square pixels.

commit 99bf84eeb20972c5c400ac8b5cd8ed65cd49dba4
Author: Eric Petit <titer@videolan.org>
Date:   Tue Dec 3 02:00:38 2002 +0000

     * added mouse management in the BeOS video output.
       Now DVD menus work thanks to libdvdplay.

commit 7b68278ec1c1443af62b514b6a46b7e1383f9e8c
Author: Eric Petit <titer@videolan.org>
Date:   Mon Dec 2 23:58:21 2002 +0000

     * added --with-dvdread-tree and --with-dvdplay-tree for static linking.
       It works fine under BeOS, please check I didn't break anything.

commit ce31d545f05b1be0f7bf14abd3207974e330a8cb
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Dec 2 21:13:25 2002 +0000

      * ALL: Fixed some compiler warnings.

commit 4659a85f20c5e36b993ea5f1d55fab29672cedfc
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 2 18:19:43 2002 +0000

      * ./modules/access/vcd/cdrom.c: NetBSD VCD input fixes, courtesy of
        Olaf 'Rhialto' Seibert.

commit adcd116073483c0a2671a8483e0c259dee9bf307
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 2 13:12:26 2002 +0000

      * ./configure.ac.in: linking with -framework AGL wasn't needed (Closes: #7).

commit 8a50a0bd1cd1131afd859ca0117bc793661d5daf
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 30 01:14:55 2002 +0000

     * ./modules/gui/win32/dragdrop.cpp: we can now drag and drop video
       files on the interface or on the playlist (Closes: #10).
     * ./modules/gui/win32/playlist.cpp: factorized a lot of code.
     * ./modules/gui/win32/*: reorganized some code here and there.

commit e4d0eaae7a936d38fe4867f2eac71f4ac19f2d18
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Fri Nov 29 23:08:34 2002 +0000

     * ./src/libvlc.h: fixed a few typos

commit a98b6d88f53615e469503e8a78761cfee3d84e1b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 28 23:53:03 2002 +0000

    made the vlc mozilla plugin a drop-in replacement for wmp in most embedded
    wmp sites I could find, by adding som mimetypes and parsing some more
    parameters passed by mozilla. Also disabled the StreamAsFile function since
    mozilla tend to pass it non-exsisting files.

commit 60b9d5a5e4a1d241ee34930485305a87354110a4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 28 23:24:15 2002 +0000

    * Correct socklen_t detection.
    * Fix for S/PDIF encapsulation on big endian systems.
    * S/PDIF output for Mac OS X, courtesy of Heiko Panther <heiko_panthe@mac.com>.

commit d43c40596173da7a10d68a8cac7c75794d77b9ef
Author: Simon Latapie <garf@videolan.org>
Date:   Thu Nov 28 21:49:04 2002 +0000

     * a few bugfixes/enhancements/clean up

commit e1c7565e47303f230be11db082d5b0c4cb8761de
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 28 21:00:48 2002 +0000

    * configure.ac.in: fixed linkage of theora plugin.
    * modules/codec/theora.c, modules/codec/tarkin.c: fixed breakage.
    * modules/codec/vorbis.c: lowered the priority of the tremor plugin.

commit cd70eeac224c025b8ef0bd8db7a9335e9ef4cabd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 28 18:35:19 2002 +0000

     * asf: fix my previous commit.

commit 8dc9156f2bbcd6199cde8779b990ad622c4e2a0d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 28 18:16:02 2002 +0000

    increased maximums size of a http request from 256 to 1024 in order to allow
    insanly long urls

commit e2da42f9737f1197cd7e8d768266b5e0c6ec87e7
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 28 17:35:01 2002 +0000

      * ./src/video_output/video_output.c, modules/*: factorized video output
        creation code into vout_Request which looks for existing vout objects
        and spawns a new one if none was found.

commit 798e97904d1cc5c42d637616525af9f2c123a023
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 28 16:44:05 2002 +0000

     * ffmpeg: arg, fix a previous fix for non-latest ffmpeg cvs tree.

commit 474126cfe676eef2109a9c51f864e0185f89cbfc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 28 16:32:29 2002 +0000

     * all: some clean up with WAVEFORMATEX and endian issues. Somebody could
    test if mp4,asf,avi,wav demuxers and araw,ffmpeg,faad decoders work under
    big endian architectures ? (else could you give vlc log )

commit 6da19ad6a839fa935761efe7fa76effa54b17b2a
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 28 15:18:27 2002 +0000

    * set b_seakable to false for http/1.0 streams such as those from icecast.
    * allow some unusual, but legal ways to construct the http headers, and
    clean up the header parsing code. parsing other headers ( like the mime-type
    ) should be very easy now.

commit fed3ab9a9ad64e7ddb069a6777dd7ab2c35faf5e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 28 14:34:39 2002 +0000

      * ./src/video_output/video_output.c: added a --aspect-ratio option to force
        the aspect ratio of the stream. Two different usages are possible, either
        int:int ("16:9") to specify a real aspect ratio, or float ("1.25") to
        specify pixel squareness.
    
        Note that it does not work properly yet; it will need an API change in
        the video output layer that I'm working on.

commit 81ddbebda3ff13dcf7539bde3280487f103c8d08
Author: Boris Dorès <babal@videolan.org>
Date:   Wed Nov 27 21:51:30 2002 +0000

    - Enterely new layout for the preference window of the native win32
      interface, in order to improve its clarity (the dialog box is now even
      a bit smaller) and to get closer to Windows standards.
      (second part of the job, and hopefully the last for now, begun with
      Ipkiss a few days ago by using CheckListBoxes)
    
      Still need some work to get the interface compatible with Windows XP
      skins.

commit 4c9f239846da7829947ec63cd6c87749dac6410b
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 27 15:18:24 2002 +0000

      * ./modules/codec/cinepak/cinepak.c: fixed V1-encoded blocks luma loading.

commit e042941f56bfadbe32d8e2014292d61a1b4b5a4d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 27 14:44:06 2002 +0000

     * ffmpeg: add a LIBAVCODEC_BUILD test for CODEC_ID_MJPEGB

commit 422dbd4ad0a164ba603a55c9e96ae4b133e33838
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 27 13:17:27 2002 +0000

     cinepak: fix a bug (bad frame gathering), pointed by sam.

commit 968cc6bf0391d06c628efcfb972ba3b6c31d99c2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 27 12:41:45 2002 +0000

     * all: added mjpeg support, some clean up in video part.

commit e0ac4474b5f83dc96a549436bf28697528a86479
Author: Eric Petit <titer@videolan.org>
Date:   Wed Nov 27 06:27:52 2002 +0000

     Fixed a segfault by adding a mutex_lock() (thx fenrir)

commit 3b078b7bf09d000aca183ef5a9d2f6cde8c8d47c
Author: Eric Petit <titer@videolan.org>
Date:   Wed Nov 27 05:36:41 2002 +0000

     * AudioOutput.cpp: fixed a segfault
     * ALL: cleaned the VlcWrapper class, removed unused code

commit c19c673bb097ff0cb5607140edf01f6a4102f1f1
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Nov 27 02:51:57 2002 +0000

     * ./modules/gui/win32/*: some cleaning

commit 7244736d3c8310a69c2250dadabe89ad0242b8d7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 26 22:20:18 2002 +0000

    * modules/video_output/directx/directx.c, modules/audio_output/directx.c: removed
    unnecessary code.

commit 82b8c862cfe283dd1710b3ccd03f303aa16ff1c3
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 26 21:52:42 2002 +0000

     * ./modules/gui/win32/preferences.cpp: used CheckListBoxes instead
       of ListViews, because they are more intuitive. This eliminates the
       "Select" button and the "Selected" label.
    
       The preferences window still needs some work though...

commit b144a5efaba05eeae7714d4ec3a82cd9bf07f8c6
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 26 20:04:33 2002 +0000

      * ./modules/video_chroma/i420_rgb.h: fixed slanted picture output with odd
        widths (Closes: #28).

commit ba850c47f7beca7f98f345e8c896723e8bb676ef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 26 19:31:50 2002 +0000

    * modules/video_output/directx/directx.c: fixed to work with DirectDraw 3 (ie. with
    NT4).

commit e2ca77a93b4c23738a84b6d32cdbf966b3030eee
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Nov 26 18:58:33 2002 +0000

    allow windows style linebreaks in .m3u files. and fixed a minor bug

commit ecf04969a4e659570868ff82618f7fc755a1d197
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 26 17:38:33 2002 +0000

    * modules/demux/ogg.c: audio is now dropped when fast-forwarding.

commit 6fd31613a0c5e8858cee9f58bf4bb533e120b012
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 26 17:28:22 2002 +0000

     * mp4: prevent float exeption with some truncated file.

commit aa142dbe5158b5790783bd2464693962d44bf5e6
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 26 15:03:28 2002 +0000

      * ./BUGS: scrapped this file. Entered the remaining bugs in Bugzilla.

commit 88dee5fd2df4fd53a08fe188b1c8623651797298
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 26 14:08:02 2002 +0000

      * ./TODO: scrapped the todo-list. I put the unresolved items in Bugzilla
        (http://bugzilla.videolan.org/).

commit b9eb03bf83deaf01bedc645fd827a9cca0178577
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 26 12:09:20 2002 +0000

    Fixed another crash with S/PDIF.

commit cbd967624a518549ead3ea43886b1d44591b5a0f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 26 10:55:19 2002 +0000

    * modules/video_output/directx/directx.c: don't fail miserably when we can't
       create a surface in video memory. We now automatically toggle the b_use_sysmem
       flag in this case and give it another shot.

commit 3436a50b5e469a95cd0adc3ca1ce4ad538afb5f8
Author: Eric Petit <titer@videolan.org>
Date:   Tue Nov 26 01:06:08 2002 +0000

     * ALL: more intensive use of the VLCWrapper class
     * PreferencesWindow.*: renamed a few variables (using some of the
       OpenTracker conventions)
     * clean up

commit d6b201031e6c7d300fe70ff7a7a5b7b84744f986
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 25 19:29:10 2002 +0000

      * ./modules/video_chroma/i420_rgb16.c: merged the RV15 and RV16 conversions
        because they're basically the same. Also, the MMX conversions now check
        that the bitmasks are the ones we expect.

commit 592dee307b1ab3fb5c1eeb5a5edd4d15c625c70b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 25 19:12:34 2002 +0000

     mms.c: fix command/packet parsing functions.

commit d54e11edcf696627ef696872f27fb93d3afbd56c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 25 17:25:07 2002 +0000

    * configure.ac.in: for wxWindows headers detection, we now check wx/wxprec.h.
       Also fixed a typo: libdvbpsi is enabled by default.

commit 3584f174016b7eb50fb7af71e2a779d2e1abbf8d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 25 16:16:12 2002 +0000

    Fixed my fix :p.

commit f9c65dc85e3b988efab122ee6b3db1226493f1ae
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 25 16:00:26 2002 +0000

    Fixed a crash in S/PDIF mode.

commit e0618c62b988e7044509907b151fc417d78b1b5d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Nov 25 15:56:39 2002 +0000

    fixed a bug in the contentbased autodetection that caused this demux to be
    selected for streams that contained a null byte.

commit 68e099d6b346d62ec907a87684583a661e2ff42f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 25 15:08:34 2002 +0000

     * mms: enable seek :) It works for me with both udp and tcp. Somebody
    could check if it compiles on other OS than linux ? (I don't known what
    headers should be included)
     * asf: fix to support seeking with mms
     Note: You cannot seek and use demuxdump demuxer...

commit 0f0ecaa953d7a2d202c9d5f8eb94afa23505f3f7
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 25 12:19:04 2002 +0000

      * ./modules/gui/gtk/open.c: made the HTTP text bar more consistent, thanks
        to Pierre Baillet (Closes: #11).

commit 1187cda56b0a82f521823fcb790dd1111b68bf6c
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 25 12:08:58 2002 +0000

      * ./src/misc/messages.c: we overwrite the WinCE logfile instead of appending
        data to it.
      * ./evc/vlc.vcw: minor updates.

commit 17f26347156ac6ed9afbb8f086a7ffa0f5e04810
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Mon Nov 25 03:12:42 2002 +0000

     * small compilation fixes for win32

commit 881768ad1b0540f9d63346484d8cb9809987c19e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 25 00:22:04 2002 +0000

     * all: begin to add mms over udp support. It begin to work (at least
    for me) but it still needs some work.

commit 1158db5fb5a16bb6e4988940b416d6a736546e18
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 24 18:54:54 2002 +0000

      * ./configure.ac.in: we no longer choke if libdvbpsi headers aren't here.
      * ./include/vlc_common.h: we don't try to include inttypes.h with Borland.

commit bd5e06498f860392bd084d0f8884c8bb7ea54da2
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 24 16:00:10 2002 +0000

    separated the code to parse html files with embedded wmp, and the code to
    parse asx files. Added a new shortcut "html" to force the "html" behaviour.
    Reduced number of false positives for both html and asx files. We now also
    trigger on the content of files, since html and asx files are often
    autogenerated on the webserver using php or asp.

commit 89a4527c9542aee27de5528cd8c433269ef536f7
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 24 13:02:13 2002 +0000

    fix to allow absolute entries in m3u/asx files

commit d88917bb9f49de9cd52f04ea21ca73ff06a25c82
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 24 01:29:56 2002 +0000

    fixed a bug in the code to handle relative paths. Added support for file://
    and http:// items in asx files, and not just mms://

commit 736d5c4844faba6735d3bc5165cb6779f56da1e4
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 23 20:37:10 2002 +0000

      * ./modules/control/rc/rc.c: the seek command is now "seek" and not "r",
        and it uses a command variable like other controls. This also fixes a
        bug that prevented to have spaces between the command and its argument.

commit 2c208e64c7b3e775ca03b5ed2210c2520da42cf6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 23 18:42:59 2002 +0000

    * modules/gui/wxwindows/*: additional small fixes.

commit c7cf1f08b5d815a57a6ca02850e06f677130b80e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 23 16:17:12 2002 +0000

    * modules/gui/wxwindows/*: a few fixes for the win32 build.

commit d073ae07426aeb69746e967feefe37304059f5d7
Author: Eric Petit <titer@videolan.org>
Date:   Sat Nov 23 15:00:54 2002 +0000

     * enhanced BeOS preferences window (post-processing, brightness,
       contrast, hue and saturation are adjustable)

commit 434b232248b85bedb68987bb0de34e03a1416724
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 23 14:28:51 2002 +0000

    * modules/gui/wxwindows/*: misc improvements to the main interface, implementation of
    drag and drop, proper initialisation of the i18n routines.

commit 269d8af1b743895af6bfc676b35d36507a135e78
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 23 04:40:53 2002 +0000

      * ./modules/access/http.c, ./modules/misc/network/ipv4.c: http and ipv4
        plugins compile for WinCE. Couldn't test yet though.

commit f6cf9ef8b887f4ef9a9692603ba9907edfdf9db2
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 23 02:40:30 2002 +0000

      * ./modules/video_output/wingdi.c: the GDI video output now properly sets
        the bitmasks; we're not limited to 8bpp and 16/24 works.
      * ./modules/video_filter/*: the video filters now work under WinCE.

commit 632a9c5531f6b3735ef420f004ef1ec1fe57e681
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 23 01:32:40 2002 +0000

     * ./modules/gui/wxwindows/playlist.cpp: added a playlist to the wxwindows interface

commit 7af58f039fb38a61572b4e0d6ebd519d1d44c273
Author: Simon Latapie <garf@videolan.org>
Date:   Sat Nov 23 00:11:17 2002 +0000

     * yuv filter was a bit useless. Hope adjust filter is more usefull :)

commit c06c5c0dd22ed02441cf10eb9c715ee9ecbb0947
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Nov 22 23:12:23 2002 +0000

      * ./configure.ac.in: we only add -lm to the a52 linkage if it's needed
        (and available).

commit a40bde1f4ec98c2e0365e46a7516ea23ed5bb438
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Nov 22 20:27:19 2002 +0000

      * ./modules/video_output/wingdi.c: ported the wingdi plugin to Win32; it
        somewhat works under Wine (if you force internal buffers to 8bpp), but
        doesn't work under Win2k. Any hints welcome.
      * ./configure.ac.in: activated the wingdi plugin by default.

commit 75e0283edc67fbd62ffe63111eff3aaf7b3fbd67
Author: Eric Petit <titer@videolan.org>
Date:   Fri Nov 22 19:37:25 2002 +0000

     * AudioOutput.cpp : compilation fix.
     * VideoOutput.cpp : now --fullscreen works with BeOS video output.

commit 79bfcf80bd824b8696c144fc5ea4f631245428ad
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Nov 22 18:35:57 2002 +0000

      * ./modules/access/mms/var_buffer.h: this file is now a separate .c, to
        prevent gcc's optimizer to go amok with nested inline functions, loop
        unrolling and such things that we don't really need in an access plugin.

commit a4ff9947713d4ecbf2318f99994e7abb0a00f840
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Nov 22 15:24:10 2002 +0000

      * ./modules/video_output/directx/events.c: we now call CreateWindow so that
        we are sure that the WndProc always has a valid p_vout value.

commit 8ab205ad438c5c1d1fb423b79e345ff3a1059f1a
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Nov 22 15:19:47 2002 +0000

      * ./modules/video_output/wingdi.c: implemented offscreen rendering with
        fast blit (well at least it was considered "fast" back in the times of
        Windows 3.1). Default is 8bpp because that's what my iPaq does (no
        palette support yet though), 16bpp can be chosen at compile time and
        works perfectly in the emulator.

commit 515e0f2bdc847c376f90f98d24fc6b171ce61e60
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Nov 22 12:13:12 2002 +0000

      * ./modules/video_chroma/i420_rgb16.c: fixed a segfault in the 24/32bpp
        chroma conversion.

commit a9bc769eafbfe07e8782859c69e325e5c7859585
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 21 23:06:08 2002 +0000

    Channel reordering according to the WG-4 specification, courtesy of
    Heiko Panther.

commit e9e8b069d0538fd3551bae5f0c30fb7457939a7e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 21 21:37:46 2002 +0000

    * modules/codec/Modules.am, configure.ac.in, modules/codec/vorbis.c: added
       a tremor decoder module using libvorbisidec (aka tremor) from xiph.org.
       This module allows decoding vorbis audio on hardware without a fpu
       (--enable-tremor).
    
    * modules/LIST: added entries for tremor and theora.

commit 8e3e302dffe73b199cbfbb5faf6ce95cc0247a3f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 21 15:51:57 2002 +0000

    * src/playlist/playlist.c: fixed deadlock in playlist.
    * modules/audio_output/oss.c: don't play blank samples when we are starving
       for data but our internal buffers are not empty. Some cleanup too.

commit 1fdc92cbe03dbe066a34446ba5c248ece807221e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 21 13:53:32 2002 +0000

      * ./modules/video_output/wingdi.c: skeleton of a Windows GDI video output.
      * ./modules/access/file.c: the file access plugin gets the real file size
        under WinCE.
      * ./modules/audio_filter/converter/u8tofixed32.c: added this conversion
        filter to play some WAV files without an FPU.
      * ./bootstrap: bootstrap --update-vc doesn't rely on the Makefile's presence.

commit 24e0e49bd658aec82f116c512d39edbbc4ec5afe
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 21 10:12:34 2002 +0000

    * modules/demux/ogg.c: small bug-fix for my previous commit.

commit 4b8e273c1498e070b7fb7f5743037102a6e536e6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 21 09:39:39 2002 +0000

    * modules/demux/ogg.c: better handling of PCRs (we now base our calculations
       on all sub-streams instead of just using one of them). Some code factorisation
       too.

commit 691e4704223e5b0252acc9f50b08570928b9c764
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 20 19:07:27 2002 +0000

      * ./src/misc/messages.c: added ^Ms to the WinCE logfile.
      * ./bootstrap: fixed a typo that prevented per-object target directories
        to work.
      * ./evc/*, ./msvc/*: removed project files; they're becoming a bit large
        (more than 1MB) and I don't want to spoil the CVS with them.

commit 58b0fe00461dd2a13a7e03e9a76d00e0eeebe900
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 20 17:23:30 2002 +0000

    * configure.ac.in: temporary hack for libdvbpsi detection.

commit a6bb3a1fe860e3925aef91ee9f67c50e669803e0
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 20 16:43:33 2002 +0000

      * ./modules/audio_output/waveout.c: audio output now works under WinCE
        using the waveout module.
      * ./bootstrap: we ignore comments when parsing makefiles.
      * ./modules/audio_filter/converter/fixed32tofloat32.c: changed this module
        so that it also does float32tofixed32.
      * ./modules/*: ported a few other modules to WinCE (most of the time it's
        just a #include <errno.h> that needs to be removed).

commit 8a9249dd647cfee2110caa39dcf2ca278b63b1d2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 20 15:58:15 2002 +0000

    * configure.ac.in, modules/gui/wxwindows/wxwindows.cpp: other compilation
       fixes for the wxwindows interface on win32.

commit e3d6e0047dc268bff87079b40cd86ef0f9222357
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 20 15:34:39 2002 +0000

    * modules/control/rc/rc.c: added commands to navigate between chapters and
       titles.

commit 1a53328a997139aa4714b699cc0a0ddff8fab321
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 20 14:24:01 2002 +0000

    * modules/gui/wxwindows/*: fixes for the win32 build. Removed a few
       unnecessary things and replaced the stop icon with a new one.

commit 36b7d8ef58437f4552a1d78a7bbb2b192e484b22
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 20 14:09:57 2002 +0000

    * modules/codec/theora.c, configure.ac.in, modules/codec/Modules.am: new
       theora codec plugin.
       This plugin is based on the experimental theora codec from the Xiph.Org
       foundation (http://www.theora.org/). Because the theora bitstream
       specifications are likely to change in the near future, this plugin won't
       be compiled by default. If you want to test/develop theora with vlc, you'll
       need to configure it with --enable-theora and also make sure you've got a
       fresh libogg from cvs.
    
    * modules/demux/ogg.c: modified to handle theora and tarkin bitstreams.
    
    * modules/codec/tarkin.c: fixed a few typos.

commit 22f2fa61767421bcd702e182e827288b06626f37
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 20 13:37:36 2002 +0000

      * ./evc/plugins.vcp.in: fixed plugin entry points for WinCE.
      * ./modules/*: fixed a bunch of modules so that they compile under WinCE,
        we now have access_file and the mpeg demux and video decoder working
        (http://zoy.org/~sam/vlc/pocketvlc2.png).

commit c3a40bca867d785bfa9cbd52ac97e993fe141362
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 20 08:58:24 2002 +0000

      * ./include/vlc_common.h, ./src/extras/libc.c: exported our custom libc
        functions to plugins.
      * ./bootstrap: enhanced the project file generation for plugins; we now
        parse makefiles to make this easier.
      * ./modules/**/Modules.am: reworked a few makefiles so that they are more
        easily parsed.

commit 60d798769aeadfe68acbbe3842602ae118a9bdb4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 20 01:49:15 2002 +0000

    * src/video_output/video_output.c: fixed a really old bug in the video output
       layer. This bug was only affecting video outputs without direct rendering
       capabilities.

commit f174df0216e4c79e2763cc8cb65e2fb12b36bd24
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 19 20:56:45 2002 +0000

    * modules/misc/network/ipv6.c: restored the msg_*() outputs from BuildAddr().

commit a2acda80709dce29084b0dd0ce131e6edbbb3fe2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 19 20:45:09 2002 +0000

    * include/video.h, include/vlc_config.h, src/video_output/*: changed the
       picture buffer allocation scheme to allocate pictures from the render
       heap in a clockwise fashion instead of always picking the first available
       one from the start of the heap.
       This allows us to benefit from ffmpeg's macro-block skipping feature.
       As a side effect, we also have less chance of reusing a refrence picture
       buffer when we can't link/unlink them.
    
    * modules/codec/ffmpeg/video.c: modified the direct rendering code to benefit
       from the macro-block skipping algorithm.
       A new flag has also been introduced in the video_output's render heap to
       forbid modifications to the render picture buffers (for instance to overlay
       subtitles).

commit 4a8ce8ac45b0463314cc32076ab89e12d0f07bfd
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 19 17:38:07 2002 +0000

      * ./src/misc/modules.c: p_module->psz_filename is now filled with a real
        8 bit string under WinCE.
      * ./extras/Win32_msvc: scrapped this directory.
      * ./bootstrap: we now parse plugin makefiles to guess what to put in
        the MSVC project files. Only the dummy plugin has been tested yet.

commit fa94ffd58d793bd89a0b47e461285d2e9ca0fae2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 19 17:23:21 2002 +0000

     all: Use BITMAPINFOHEADER everywhere (Needed because of endian issue).

commit 4961a8745f5f52583bd53dbb4a4f88b31d75e9d0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 18 23:00:41 2002 +0000

    Partial fix of the OS X audio output (thanks Heiko!).

commit 1c1a74e512fd72b30f9724032c362eb197cebb8c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 18 19:31:20 2002 +0000

     * ogg: change i_dts usage for subtitle ES.

commit d7510989e38ecd07c98f879bcdf89a601269b64b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 18:37:23 2002 +0000

    * src/misc/modules.c: fixed small typo that was breaking the build.

commit 455221a001e3712c2f7fd1164ed1eb8e98ee4a4c
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 18 18:05:13 2002 +0000

      * ./src/misc/modules.c: support for Unicode filenames under WinCE; VLC now
        successfully opens plugins.
      * ./modules/misc/dummy/*: hacked the dummy plugin so that it compiles for
        WinCE.

commit f5ee3066e4f8baff7206da09bd6f53b29a7c33fb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 17:31:54 2002 +0000

    * modules/gui/wxwindows/*: updated the toolbar icons.

commit 48c6e154505d29c756aabca44c1681d1ca0774b3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 16:39:36 2002 +0000

    * modules/gui/wxwindows/interface.cpp: enabled the OpenFile dialog box.

commit 903aa1fa9339dd0eff918d0df59ff62d9d84c1b8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 15:19:26 2002 +0000

    * modules/gui/wxwindows/interface.cpp: fixed typo.
    * modules/audio_filter/converter/u8tofloat32.c: fixed typo.

commit 7a32e8dcd52d2ac44508c57a2779d2d4cb4a1de2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 13:28:09 2002 +0000

    * configure.ac.in, modules/codec/Modules.am, modules/codec/tarkin.c: added
       an experimental tarkin video decoder. You will need to specify the tarkin
       tree you want to use with --with-tarkin-tree=.
    
       Warning: Tarkin is still in very early development stage, so this plugin isn't
       actually usefull unless you intend to do some development on tarkin itself.

commit 7b872d1d463b789cc9442f126c34f616cbfaab3d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 13:08:35 2002 +0000

    * modules/demux/m3u.c: should manage entries with relative paths.
    * src/playlist/playlist.c: fixed playlist_Next().

commit 62fd02558e03585671f3e1dd00d445397768743e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 18 13:02:16 2002 +0000

    * added a wxwindows interface using the wxWindows cross-platform GUI framework.
       The interface is quite basic for now but should be functional anyway.
       (you need to have wxWindows >= 2.3.0 installed to use this plugin)

commit de6f58231bc46c7c057d8e247f43d6dd2ebf4a36
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 18 11:50:42 2002 +0000

      * ./bootstrap: reverted the behaviour behaviour to the default, which
        means no default flag to use (except for me, muahaha).

commit 91ae5b337e8875329dba5a4a4bd54265096c55bb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 18 02:46:10 2002 +0000

     * ffmpeg: set bug detection to auto by default.

commit 1ef00c88b51151b2e8e4765a5037ff72e36983f8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 17 06:46:56 2002 +0000

     * ffmpeg: disable direct rendering by default. I have too many files
    that don't work with it (I don't see why it doesn't work :(
     * mp4: fix a bug in timestamp calculation. Replace s/u* by s/uint*_t
     * avi : remove an useless debug message.
     * src/misc/objects.c : fix stream output object allocation.

commit 2c91229aea518ef3f362ab87f66c86c06014437e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 16 22:25:07 2002 +0000

     * avi: fix playing over http (a bug I have introduced).

commit aafd5b0dc7a05d272baff857cd4b0187f27c1e44
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 15 18:10:26 2002 +0000

    * modules/demux/util : add a text subtitle demuxer. (Module called by demux).
    MicroDVD, SubRIP, SSA subtitle format should work...
     Options: --sub-file <subtitle file> [--sub-fps, --sub-delay --sub-format].
    
     * modules/demux/avi : make use of subtitle parser.
     * modules/demux/asf : display movie length. (It will not work with live
    streams of course).
    
     modules/codec/spudec : use i_dts to send end of display time for subtitle.
    (Yes it's ugly, but it works :)

commit d2d2e4f9d34d3b2c5ef6d50d11daac16b06f0394
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 15 17:17:29 2002 +0000

    * configure.ac.in, modules/audio_output/arts.c, modules/audio_output/esd.c:
       fixed the arts and esd audio plugins after the recent changes to aout3
       (untested).

commit da1b738305444f06fe36e761ab19c390383b524e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 15 16:27:10 2002 +0000

    * configure.ac.in, modules/audio_output/directx.c, modules/audio_output/waveout.c:
       fixed the waveout and directx audio plugins after the recent changes to aout3.

commit 60dea7a02e3ee39c1b8544bc464c573d4906f0ca
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 15 14:41:49 2002 +0000

    * modules/access/http.c: added an http-proxy config variable. If the variable
       is not set, we'll still look at the value of the http_proxy environment
       variable.

commit 4c0c62a7998fbb4feb1e2a5984f0fd0f37bae31c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 15 01:23:54 2002 +0000

    * configure.ac.in: fixed a few typos regarding LDFLAGS_access_*. Re-enabled
       the oss plugin as it seems to be working fine.
    * src/audio_output/input.c: fixed an obscure bug... (strange one though:
       int foo = -1; unsigned int bar = 2; __MAX( foo, bar) == -1 ).

commit a5b12f13905babe5f79338cb3b1b4a512df20983
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 15 01:17:08 2002 +0000

     faad: adapt to new changes in aout3 (at least it compiles)

commit 42c786943d19801bea0cb30fd3c87405f5a1cbda
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 15 00:41:00 2002 +0000

    * modules/codec/vorbis.c, modules/audio_filter/resampler/linear.c: adapted to
       the new changes in aout3.

commit fc6ea05000777594b7895069f693ffe6265328f7
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Thu Nov 14 22:44:57 2002 +0000

    Added the changelog of vlc 0.4.6.

commit 8928554ebd629ddc1d4cdc6d670bc2e1a918dd83
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 14 22:38:48 2002 +0000

    Major change of the channels management. p_format->i_channels disappeares
    and is replaced by two members : i_physical_channels and i_original_channels.
    i_physical_channels describes the channels which are effectively present
    in the stream (at the current point of the aout pipeline), whereas
    i_original_channels represents the channels we used to constitute the
    stream. For instance a mono stream (FRONT_CENTER) may emanate from a
    FRONT_LEFT channel of a STEREO stream.
    
    Additionally, this contains hooks to dynamically select the audio device
    and the channels configuration. In order to do that, all aout plugins,
    and all interface plug-ins need to be adapted. Currently only SDL
    (partially OSS) and the rc interface have been adapted, please use them
    as a guide. Other aout plug-ins have been temporarily disabled.
    
    IMPORTANT : if you need a working sound output, DO NOT UPDATE YOUR TREE
    for several days until we fix that.
    
    * modules/misc/network/ipv4.c: Fixed a long-standing segfault when saving
      preferences and asking for multicast.

commit f5bc3cd8d2dcef47628887f8c827f940f4faa2cb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 14 16:32:43 2002 +0000

     mms.c: it takes care of --no-audio and --no-video (to reduce bandwith
    usage),  and should not use more than --mms-maxbitrate (when there
    are multiple audio or video streams).

commit 6cd56a273715ac972420fdda67c48f0c28be82ea
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 14 16:17:47 2002 +0000

     asf/* : Convert all u* into uint*_t
             Fix playing of some live asf, seek improvement (at least for me ;)
    but it's more some "kludge" with vlc clock than true fixes ...
    
     I will never understand how vlc clock works ....

commit 3d6b672baa784da119a525266602455bcdab0ed9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 14 15:07:49 2002 +0000

     make --version --help --longhelp --list and -p output to stdout.

commit 2547dac3dc686fd756f2177d463b1005ec3a7684
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 14 14:08:01 2002 +0000

    * src/audio_output/intf.c: fixed a bug affecting audio volume initialization.

commit c5817d12174ac8aa531cc2553afbf40df7761381
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 13 22:36:44 2002 +0000

    * OS X plug-in fix ;
    * Re-enabled float32 mixer (huh?).

commit 6858abe4f030d3ec5f0daa2af301f8bbfbe05461
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 13 21:18:40 2002 +0000

     * fix and make better stream selection (if mms-maxbitrate unset, get the best
    quality else try to be closed to mms-maxbitrate ).

commit d1296b32da7293d0f780cdb9b4782c84e39fb1da
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 13 20:51:05 2002 +0000

      * ./bootstrap: bootstrap now requires the --config flag. With no arguments
        it simply outputs a usage message.
      * ./src/*: fixed a bunch of (legitimate) warnings under VC++.
      * ./evc/*, ./msvc/*: split the workspaces into three projects (libvlc, vlc
        and plugins -- plugins doesn't build anything yet).

commit 5b2cc57acdd134f28cdb47c5a19419eae9adbb41
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 13 20:28:13 2002 +0000

     * mms/* : better stream selection and add some options to override it.
    (Usefull with demuxdump).

commit 1ebdbd04e56816857e31a2fab2a3bed1405df827
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 13 20:23:21 2002 +0000

     access/* : don't override demux setting made by user.
     modules/demux/demuxdump.c : a little demux that dump raw stream.
    (should work with all access...)

commit 5de3e045e3d5cae53d526d2c6898926a7f1e43c9
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 13 15:28:24 2002 +0000

      * ./msvc/*, ./evc/*: moved eMbedded Visual Studio files to the toplevel evc/
        directory because the two project files are starting to diverge.
      * ./evc/vlc.c: created a specific vlc.c file for Windows CE.
      * ./src/misc/messages.c: as WinCE doesn't have stdout or stderr, the message
        queue outputs to a logfile (until we have a proper interface).

commit 4e14e85aea12d943b3982d049c20f5da2fcfdd80
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 13 12:58:19 2002 +0000

    * src/playlist/playlist.c: bugfix for when we delete the last playlist
       element (I'll get this one right... eventually ;).
    * modules/demux/m3u.c: allow forcing the demux to be used by specifying the
       asx or m3u demux.

commit 9b11af620bd979900ef8b0cc6dc131cea033d95a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 13 11:09:56 2002 +0000

    * src/playlist/playlist.c: when autodeleting an item, we don't need to skip
       to the next one.
    * modules/demux/m3u.c: added .asx support and changed the autodetection of
       file type to just probe the file extension.

commit eb186219d248f0238a9970e589ed2169f0a25a42
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 13 09:56:19 2002 +0000

      * ./po/POTFILES.in: fixed "make dist".

commit 669c88b5169e8e03a9454a8e4188be0bd5906351
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Nov 12 22:18:54 2002 +0000

     added a new demux that reads .m3u files and addes the contained items to
    the playlist. Currently only autodetects files that start with #EXTM3U
    otherwise you'll have to force it.

commit 35b69681420c1b17c03d0b94946e1e0e684b7adc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 12 21:20:36 2002 +0000

    * include/vlc_playlist.h, src/playlist/playlist.c: added a b_autodeletion
       flag to the playlist item structure. If this flag is set then the playlist
       item will be deleted automatically after it has been played.

commit 90fe4445db1ab9a5adcd3d81e88112c25820d7ff
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 12 16:02:51 2002 +0000

    * modules/gui/gtk/gtk_callbacks.c: fixed deadlocks.
    * modules/gui/gtk/gtk.c: fixed uninitialized variables.

commit df7cbb744906fdd72a5712a731c85eee1d289602
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 12 13:57:13 2002 +0000

      * ./Makefile.am: fixed rc compilation under mingw32/cygwin.
      * ./modules/access/http.c: fixed a segfault (unchecked strstr return value).
      * ./src/input/input_ext-plugins.c: removed platform-specific code and put
        it in plugins. This leads to some code duplication but I have an evil
        plan to get rid of that, too.

commit 901789fff7ae55687122333e605114977d9481ae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 12 11:45:27 2002 +0000

    * modules/gui/gtk/gtk.c: small bug-fix for a crash on module loading.

commit a6ca37b6c572b37b16b5059914abce385e9d9e6e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 12 10:44:04 2002 +0000

    * src/extras/libc.c: fixed typo.
    * configure.ac.in: compilation fix on win32 for the mms access plugin (the
       plugin is linked with ws2_32).

commit 5813fcd89d78adc468325c9117be5f52717a865b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 12 00:54:40 2002 +0000

     * modules/demux/asf/.cvsignore : put the good one.
     * modules/access/mms : add MMS (Microsoft Media Streaming) access (Support
    only TCP, I will try to add UDP and HTTP as well).
     There are some problems with streams selections and we cannot seek, but
    anyway it seems to work. (Usefull for some radio web)
     * other: enable mms access by default.

commit c0e8ae0766ca25fd48efce23b2693fa53498f35b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 11 22:27:01 2002 +0000

    * src/audio_output/filters.c, src/audio_output/input.c, include/aout_internal.h,
       modules/audio_filter/resampler/*: Changes that allow the resamplers to set
       the start and end date of the frame it outputs.
       This allows us for instance to output a smaller frame than what we should, and
       keep the rest of the data to compute the resampling of the next frame.
       In short, we can implement much more complex resampling algorithms than before.
    
    * modules/audio_filter/resampler/linear.c: rewrote the linear resampler. The audio
       quality doesn't seem to be better than the ugly resampler, maybe I shouldn't
       have wasted my time on this...

commit 255b41ac05c5be955025636475c5c50398b76530
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 11 19:16:21 2002 +0000

    * modules/audio_output/file.c: will write a WAV header by default. Can be
       disabled with --no-audiofile-wav.
    * modules/audio_filter/resampler/linear.c: disabled for now, until I actually
       manage to make it work without a problem.

commit bc061e8455fa11eec3167681d53f9df3974b13a5
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 11 14:39:12 2002 +0000

      * ./include/*, ./src/*: separated WIN32 #tests and UNDER_CE #tests, because
        WIN32 isn't always defined under WinCE, but might be. Grmbl.
      * ./include/*: changed a few u* and s* to uint*_t and int*_t.

commit 77c667f4093a67cca8e77b4cb76a5fd2a674a5bf
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 10 23:41:54 2002 +0000

      * ALL: libvlc now compiles and run under WinCE. I haven't ported any modules
        yet so there's little that can be tested, but threads work at least.
      * ./src/extras/libc.c: renamed strndup.c to libc.c because a few other
        libc functions were added (strcasecmp, atof, getenv...).

commit be8ca6e9a9924ccdf8c72449b85bdb97e05e87a6
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 10 18:04:24 2002 +0000

      * ALL: WinCE compilation fixes (mostly nonexistent headers). A lot of
        work is still needed for missing functions. I only touched libvlc for
        the moment, plugins will come in a long long while.
      * ./bootstrap: moved MSVC project files generation here; use --update-msvc.

commit 74e8f4f6ac00d56ac3cbc2412fb19fe489ac5218
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 10 16:31:20 2002 +0000

     all: fix a bug in packet parsing and can now play unseekable stream.

commit 107a73f233ef92c9fbcfd1da1bdbfa40740fc15e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 10 15:37:39 2002 +0000

     http: Accept ICY server reponse (Used for some web radio) and in that
    case it forces mp3 demuxer (Should be ok...)

commit b4f932ad2faa3f253756aa5f467687ac2330f599
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 10 14:31:46 2002 +0000

    * src/audio_output/output.c: fixed another quality affecting bug.
    
    * include/aout_internal.h src/audio_output/input.c: major change to the
       resampling algorithm. When resampling is requested to keep the audio stream
       synchronised to the main clock, we trigger it but we change the resampling
       rate only progressively so it doesn't get noticed too much by the listener.

commit e6c4183305e9209735d6d8613ef8c7ef2b8e015c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Nov 10 13:24:35 2002 +0000

     ./ChangeLog: added entry for the linear resampler
     ./modules/audio_filter/resampler/linear.c: This should allways generate the
    right number of samples now. The morale is never base your floating point
    calculations on the output of integer divitions.

commit bc398338bcc7fe5d666001144a2ed0fe5501cbde
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 10 02:47:27 2002 +0000

     * faad : adapt to newer version.
     * ffmpeg : adapt postprocessing for latest libavcodec version, add an
    option to disable direct rendering as postprocessing is currently broken
    with it, and with some files I have bad pictures.

commit ce9fc041eb50d5ba8279579cf5b59ec6dffa4d39
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 9 18:28:58 2002 +0000

      * ./msvc/vlc.dsp: additional fixes to the MSVC project.
      * ./msvc/vlc.vcw: skeleton of a WinCE project file (yet non-functional).

commit b6281230099ca6eb5cbf8566c195e3f71d95259a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 9 18:28:36 2002 +0000

     * ./include/aout_internal.h: fixed a breakage I just introduced.

commit 5d02f37fe0f39488b84b43bcdd210feab317e082
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 9 17:44:09 2002 +0000

      * A few additional MSVC build fixes.

commit 9a0cbfceca4c1dbf74d2c491ac0b3584e52fdb01
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 9 16:39:09 2002 +0000

      * ./msvc/*: MSVC project files and default config files.

commit 05ac379f73824945b7fed32d4d53bb38703404e5
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 9 16:34:53 2002 +0000

      * ./Makefile.am: added a "update-vlc.dsp" rule to create the MSVC project
        file from the makefile.
      * ./msvc/*: moved the MSVC files here.
      * ./src/extras/*: moved the extra code here (used to be in src/misc,
        extras/GNUgetopt and extras/Win32_msvc).
      * ./include/*: a few warning fixes.

commit 3c60cbd66f00b9058e8f2e223dac4475eb5a2ca6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 8 14:23:49 2002 +0000

    * configure.ac.in, modules/audio_filter/converter/*: added a s8tofloat32.c and
       u8tofloat32.c converter.
    * modules/codec/araw.c: modified to also decode u8 pcm audio samples.

commit d532cf3cad2ff8594510e8720b7c02ddc4c40311
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 8 10:26:54 2002 +0000

    * ALL: using "%ll" in printf format strings is not portable (notably on win32) so
       we now use the I64Fx familly of macros to print 64 bits numbers (x being
       replaced by d,i,o,u,x or X).
       eg: msg_Dbg( p_this, "sample is "I64Fi" late", ll_time );
    
    * src/misc/messages.c: got rid of ConvertPrintfFormatString().

commit f01f0a3801702281e632ebabd48bac36a23a6b65
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 7 22:56:08 2002 +0000

      * ./include/vlc_common.h: compilation fix for Cygwin.

commit 802def2aea9b7bab441e4edde3b59677dc43fce9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Nov 7 21:09:59 2002 +0000

     added a new resampler based on linear interpolation, giving a fair tradeoff
    between sound quality and speed

commit d472b3e244fb23cef9077a6baaf48f42c58516e0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 7 19:31:08 2002 +0000

    * INSTALL.win32, include/vlc_config.h, src/libvlc.h: changes to reflect the
       fact that libdvdcss now needs a colon after the DVD drive letter (on Win32).
    
    * src/misc/messages.c: on Win32 only use fflush() if in debug mode.
    
    * src/misc/win32_specific.c: try to raise the our process priority slightly
       above normal. This prevent us from suffering too much from normal activity
       of the OS.

commit 99f3e5493956c0cc4df7416df2da23cc7d4fd55d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 7 16:54:39 2002 +0000

    * modules/access/http.c: don't crash, but complain on non http/1.x streams.

commit 85071f3419dec4837538a25f0ab8853cd6ddf531
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 6 21:48:24 2002 +0000

    * modules/codec/spudec/*: modified the spu decoder to handle text subtitles.
       Only one format of text subtitles is supported right now but we should be able
       to expand this by modifying modules/codec/spudec/text.c.
       Most of this work comes from by Andrew Flintham ( thanks a bunch Andrew :).
    
    * share/font-eutopiabold36.rle: new font for the text subtitler, courtesy of
       Andrew Flintham.
    
    * AUTHORS: added Andrew Flintham to the authors file.
    
    * modules/demux/ogg.c: modified the ogg demuxer to handle subtitles.
    
    * modules/codec/ffmpeg/*: modified the ffmpeg decoder to always keep the last decoded
       frame linked.

commit 8b09b55dd76c038d1363ff4827f49f131bd42429
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 6 18:07:57 2002 +0000

      * ./modules/access/dvdplay/access.c: activated button highlighting.
      * ./modules/codec/spudec/parse.c: implemented subtitle cropping and
        temporarily disabled subtitle cropping.
      * ./modules/codec/spudec/render.c: split RenderSPU into chroma-specific
        functions.

commit 2401b66298e2d714223c9d5f32aa23376a0afc4c
Author: Johan Bilien <jobi@videolan.org>
Date:   Wed Nov 6 15:41:29 2002 +0000

      * modules/access/vcd/vcd.*: added entry points support (sort of
        chapters).
      * modules/gui/gtk/gtk_callbacks.c: added some locks to the
        navigation functions

commit 93160b29203c6adc490121f5b9f7282386e243da
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 6 14:44:30 2002 +0000

      * ./modules/demux/avi/avi.c, ./modules/demux/avi/libavi.c: additional
        endianness fixes, spelling fixes, reworked return values usage, used
        C99 types.

commit 4910755e3f29a2a6031096f33d331c78e971c01a
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Nov 6 09:26:25 2002 +0000

      * ./src/misc/extras.c: removed a duplicate calculation inside a macro.
      * ./src/libvlc.c: fixed a bug causing all commandline targets to be ignored
        for playback except the last one.
      * ./modules/codec/dv.c: we detach p_vout before quitting.
      * ./modules/codec/xvid.c: fixed image corruption, added a direct rendering
        option which doesn't work yet.

commit 7358af1b7219ed509262820067122189767dd7ad
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 5 23:48:46 2002 +0000

    * modules/demux/avi/*: should theoretically fix the endianness issues with
       the avi demuxer.

commit 281b9bb481188593905e00951d830bd53b2997c9
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 5 22:53:21 2002 +0000

      * ./modules/codec/xvid.c: beginning of a video decoder using the Xvid codec
        from xvid.org; compile with --enable-xvid --with-xvid-tree=..., run with
        --codec xvid,any (the priority is lower than ffmpeg's for the now).
    
        todo list: direct rendering, better buffer handling, see why only I frames
                   are rendered OK here... probably more.

commit be822ed642f30d2f9065d09ba3623a0b87c27ea2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 5 21:57:41 2002 +0000

    * modules/demux/ogg.c: should theoretically work on Big Endian machines now.

commit 51f7848f822adfa11551b11ca916d238886e7ff9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 5 18:25:43 2002 +0000

    * All: moved the check for "video" and "audio" config variables to
       input_SelectES(). That allows --no-video and --no-audio to automagically
       work for all demuxers.

commit ec166301915ef5a0b61fd4e21518f79c94f9ad12
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 5 14:52:28 2002 +0000

      * ./codec/dv/dv.c: moved this single file to its parent directory; removed
        GetFirstPES in favour of input_ExtractPES/input_DeletePES calls.

commit 3e017c2600bc9ed2c0cc2dc1d4527b4c935aff3b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 5 10:07:56 2002 +0000

    * modules/codec/ffmpeg/*: modified the ffmpeg video codec to use direct
       rendering when possible.
       Use BITMAPINFOHEADER from include/codecs.h + got rid of Little Endian
       translations that were already done in the demux.
    * modules/demux/avi/* modules/demux/asf/*: Use BITMAPINFOHEADER from
       include/codecs.h.

commit 32519ebf91a96bcf7a075052e79abbba49630810
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Tue Nov 5 03:57:16 2002 +0000

      * ./modules/gui/macosx/prefs.m: new configuration interface

commit 4d0e2b16bb4fbcbf1e857424db92ec1fc59a3d98
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 4 18:27:30 2002 +0000

      * ./bootstrap: automake 1.7 is OK to bootstrap vlc.

commit 141414b0c4784637a704aafebc04f253c0354671
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 4 15:04:45 2002 +0000

      * ./Makefile.am: we properly install plugins in the OS X vlc.app directory.
      * ./mozilla/npvlc_rc.rc, ./mozilla/vlcplugin.h: added the Ogg mime type to
        the Mozilla plugin properties.
      * ./debian/control: added libogg-dev and libvorbis-dev dependicies to the
        Debian build script.

commit c0a5c21211438dabbc98a0b63e7179fdedf5fd9e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 3 23:00:32 2002 +0000

    * include/codecs.h: new header file to store information shared by decoders
       and demuxers, like the BITMAPINFOHEADER structure for instance.
    * modules/demux/ogg.c: the ogg demuxer should now work nicely with ogm files
       (including for the video). It has only been tested with a few streams
       produced with dvd::rip and ogmmerge though.

commit ce1815eb546b864e1cb22e8ac71a7ecae151f9fb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 3 13:22:44 2002 +0000

    * modules/demux/ogg.c: we now correctly handle multiple vorbis logical streams
       in ogm files.
    * modules/codec/vorbis.c: small bugfix.

commit a9ba6193ebcd708e004879ecbd93c1e0d8e7a7d9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 2 22:47:16 2002 +0000

    * modules/demux/ogg.c: small fix to avoid crashing when find unknown codecs.

commit f5a90887adcb7133e7089996213c8794715decc0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 2 18:13:22 2002 +0000

    * modules/demux/ogg.c, modules/codec/vorbis.c: seeking in an ogg stream is
       working fine now, + misc other improvements.

commit f7b44627f7f333fb0c4be5356dc9aec8888b2043
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Nov 2 17:31:37 2002 +0000

    modules/codec/dv/dv.h: workaround for a namespace collision (#undef vlc_error)
    debian/rules: update the location of libgnome_main_plugin.so and
    libgtk_main_plugin.so. Added the ui.rc file to the kvlc package. All debian
    packages seem to build now (even though there were some warnings)

commit 5be7af3d82199a02fd02c82c98a9216dbb00a697
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 2 11:53:17 2002 +0000

    * src/video_output/video_output.c: small change to avoid using floating point
       registers in the video ouptut routines.

commit d584988383d0ae9d8e90447567e91efb685f1d9c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 1 15:43:55 2002 +0000

    * modules/audio_output/directx.c: forgot an aout_BufferFree().

commit 95efa0865f27087811edee87a53c919d7ee8bb69
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 1 15:06:23 2002 +0000

    * src/audio_output/common.c, include/aout_internal.h: added a new function
       aout_FifoFirstDate() that allows the aout plugin to schedule the first
       play.
    * src/audio_output/output.c: fixed another problem affecting the audio quality.
    * modules/audio_output/directx.c: improvements. The buffering scheme has been
       changed to be less affected by temporary starving. We also schedule the first   sample to play.

commit c40d4552f8a3339e2205eb68c4f90df216330420
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Nov 1 12:52:23 2002 +0000

    fixed a typo that caused the ui.rc file to be installed in PREFIX/sharevlc/

commit e9364f5c43090f1c77de77abeb6dd6e98c045b25
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 31 11:16:30 2002 +0000

      * ./src/misc/variables.c: callbacks are now called after the variable has
        been modified. Maybe we'll need the other type, too, but this change will
        make things simpler in aout3.
    
      * ./src/playlist/playlist.c: removed two unused variables.
      * ./src/misc/modules.c: removed a debug message I had forgotten.
      * ./src/misc/modules_plugin.h.in: fixed a typo (thanks bozo).

commit cae5489acfe2338f5c341f6067f68ea987bfa06a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 31 09:40:26 2002 +0000

    * modules/codec/spudec/spudec.c, modules/codec/spudec/parse.c: fixed a couple
       of problems introduced with the recent changes to the bitstream facility.
    * src/audio_output/output.c: fixed a quite annoying bug in aout3 that was
       triggering unnecessary trashing of audio frames.

commit 5cbb47d60db7a20bc73c8562713ea696c17eb8c1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 31 02:12:02 2002 +0000

    Fixed plug-in compilation on OS X.

commit fb154718c5f8b59c5dbc6461a286e85dffe03f04
Author: Eric Petit <titer@videolan.org>
Date:   Wed Oct 30 06:37:20 2002 +0000

      - Fixed an enormous memory leak (forgot to aout_BufferFree ;)

commit 372bb66a4b865ccc477329a610424eea6cc51261
Author: Eric Petit <titer@videolan.org>
Date:   Wed Oct 30 06:12:27 2002 +0000

      - Fixes. Most of the interface features now work again.

commit 2ea2975bed5c4e80b1edc318437db95987302daa
Author: Eric Petit <titer@videolan.org>
Date:   Wed Oct 30 00:59:22 2002 +0000

     - now vlc no longer tries to use overlay if another application already
       uses it
     - clean up

commit 07ace06532c5fb17a19ac6b549111367c8a7eafd
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 29 18:57:40 2002 +0000

      * ./src/misc/modules.c: plugin extension check is now case unsensitive.

commit 03019d581691453e9fb22cabaf12340e6b13c7f8
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 29 18:12:07 2002 +0000

      * ./Makefile.am: fixed a typo that caused HAVE_DEBUG to imply HAVE_RELEASE.
      * ./bootstrap: fixed calls to $(LINK) which had duplicate -o options.

commit 79a4f01f1a3d2cec2cb830b3713269ff5cd393e8
Author: Eric Petit <titer@videolan.org>
Date:   Tue Oct 29 17:33:11 2002 +0000

     No more warnings.

commit 6b02ec702e062744f51d50a3299ebc7392c9f2de
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 29 13:38:37 2002 +0000

      * ./src/misc/variables.c: simple change to var_Type() so that it returns
        an error (value < 0) if the variable does not exist.

commit 319e629d2c640cde2f7c42ab7429d5f324273a0b
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 29 13:22:48 2002 +0000

      * ./include/vlc_common.h: defined the INSERT_ELEM and REMOVE_ELEM macros
        which are a generic use of the realloc/memmove/index++ scheme we use for
        dynamic arrays.
      * ./src/misc/variables.c: properly free the choice list upon variable
        destruction.

commit 1063d36a28921d6517718d91ccf06c7091c6c38d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 29 10:22:32 2002 +0000

    * modules/codec/ffmpeg/audio.c: compilation fix for ffmpeg builds < 4618

commit f5991d12c83942d0717c112f2e8cc498c9ce6104
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 28 22:31:50 2002 +0000

    * configure.ac.in: libvorbis depends on libogg.
    * include/vlc_threads.h: changed the different threads priorities to optimize
       audio and video quality as well as responsiveness.
    * modules/audio_output/waveout.c modules/audio_output/directx.c: waveout and
       directx will now use the float32 format if available. Various tweaks for
       better performance.

commit 4ed4bc808fde87c048f88747a50b0dd893e20d45
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 28 22:25:16 2002 +0000

    * modules/video_output/directx/directx.c: fixed segfault on initialization.
       Changed back the priority of the event thread to normal.

commit ca33555ce56b37e40dbae95eb0d89cb96064196d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 28 22:23:23 2002 +0000

    * modules/codec/mpeg_video/parser.c: add_module() for "mpeg-motion" wasn't using
       the right capability.
    * modules/codec/ffmpeg/ffmpeg.c: fixed typo (re-enabled default case in a
       switch).
    * modules/codec/a52.c: fixed the AOUT_DOLBY detection.

commit 50d45d76c766f1ef3f95e4bf88ae5a42e2a1230e
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 28 20:57:02 2002 +0000

      * ./include/variables.h, ./src/misc/variables.c: list variables.

commit cbf5b53eb232986ca3c570b565334a36d5b91c93
Author: Eric Petit <titer@videolan.org>
Date:   Mon Oct 28 19:42:24 2002 +0000

    - Added LCD info view from 0.4.x

commit 4b7645e01e317370cd7a55d47a6393e614cf76ca
Author: Eric Petit <titer@videolan.org>
Date:   Mon Oct 28 17:18:18 2002 +0000

    Forgot to add files :|

commit 588c55d5d77e58618cc94a8a9eeacb01bafeef2d
Author: Eric Petit <titer@videolan.org>
Date:   Mon Oct 28 16:55:05 2002 +0000

    - Added a small preferences window
    - Fixes

commit b316e6e8b580ba76c92f335331245eddd640865f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 28 16:26:44 2002 +0000

      * ./configure.ac.in: we explicitely link the dvdplay plugin with libdvdcss
        if it was found.
      * ./modules/access/dvdplay/tools.c: we don't try to stat the device if it
        looks like a Win32 drive.
      * ./src/misc/messages.c: we only flush stderr under Win32.

commit 11e021963b2c291a6fc699b2591dea009511662a
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 28 13:25:56 2002 +0000

      * ./Makefile.am: fixed missing build dependencies for the Mozilla plugin.
      * ./src/misc/variables.c: implemented min/max and steps for integer and
        float variables.

commit 3f3c092f45240447e1cda25dc71c62a2ac13e85b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 28 11:49:57 2002 +0000

     * fix a bug while passing informations to audio decoder(wma in
    asf should work).

commit 7280348e9a80220d10d3b91606637b31959e3b7e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Oct 28 07:46:06 2002 +0000

     * Disable some menu items when no input is available.
     * Some cleanups

commit 4764ebc939e1bd633646325c88555f4a5d6fe7c8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 28 06:26:11 2002 +0000

     * all : add audio decoding support in ffmpeg module, since they have
    added wma1/2 decoder... :))

commit ec8efba69aaaabf47383ca80fe9b06980026a818
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 28 01:51:37 2002 +0000

     * avi.c : fix a bug (bad choice in stream to be read)
     * libioRIFF : now useless files.

commit 6cd47c0c574ba95ecb427008a972aa3e4602e5d0
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 27 23:10:19 2002 +0000

     * added a simple dialog to show id3-tags and other info
     * finally added languages/subtitles selections menus, found and got fixed two
     bugs in kdelibs in the process, but only one of them will get into kde 3.1.
     * made the location of the ui.rc file configureable, usefull for testing.

commit cdde2391932784c77a1b963e58af62aed850350c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 27 18:06:33 2002 +0000

     * all: new way to gather frame (same as ffmpeg).

commit 3a68b7eaa0c91e726e75e78a62bd60f70dd7321a
Author: Eric Petit <titer@videolan.org>
Date:   Sun Oct 27 17:23:17 2002 +0000

    vlc_threads_func.h : skip a useless BeOS warning
    faad/decoder.c : minor compile fix

commit cdf5edf7eb7909d5b305974d99595da2ab513ced
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 27 16:59:30 2002 +0000

    * modules/demux/ogg.c: we now set p_input->stream.i_mux_rate.

commit 6d6601ea132822dfb9a172b70dbca6969f229185
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 27 16:58:14 2002 +0000

    * ALL: removed GetPES and NextPES, we now use input_ExtractPES everywhere instead
       of these. The bitstream facility has also been changed to use input_ExtractPES
       and now stores the current PES in its structure.
       Introduced input_FlushPESFifo() and CloseBitstream().

commit cdf8646fe44880054aa70809965fd3fb91233367
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 27 15:37:16 2002 +0000

     * all : rewrite demux part (simpler and cleaner). Please, tell me if you see
    some regression.

commit 4a0ddd5bdcdb0364d600d8de4dd0143023acaccd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 26 19:14:46 2002 +0000

     * all : fix for new use of p_selected_area->i_tell.
    
     Just a word: now we cannot update anymore p_input->p_current_data
    without updating i_tell. I known that it's used for skipping some bytes in
    mp3 demux (not yet fixed), I don't known if it's used elsewhere....

commit 09cbae7ee7b3b9446ebb99d1536105e2e54babdf
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 26 15:24:19 2002 +0000

    * ALL: p_selected_area->i_tell is now update inside input_SplitBuffer instead
       of inside the pf_read functions of access plugins. That means i_tell now
       actually reflects the position of what is being decoded and furthermore it
       is updated more often.

commit f068c8025f61814dc809d562ed7511676ecfaf0e
Author: Simon Latapie <garf@videolan.org>
Date:   Sat Oct 26 01:08:13 2002 +0000

    YUV plans filter (modifies all 3 plans separatly)

commit c01dd5d375fa81f78aedc76577aaac024c2ba914
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 25 18:17:59 2002 +0000

      * ./modules/video_output/directx/events.c: start the colorkey search at 10,
        not 5, to avoid using a color used by another application.
      * ./modules/video_output/directx/events.c: support for drawing in a parent
        window instead of creating our own; still a bit flakey.
    
      * ./mozilla/vlcshell.cpp: we can now compile the Mozilla plugin so that it
        does not call libvlc (for testing purposes).

commit ebbc5f8b0cc228edb5773f80356cf38214eace93
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 25 15:42:00 2002 +0000

    * include/aout_internal.h: oops, forgot to commit this in my last changes.

commit 9a71e27964f607c779fc0844d44568adf9c4acd3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 25 15:21:42 2002 +0000

    * modules/audio_output/oss.c: when now set the fragment size of the OSS device
       according to the size of an audio sample.
       For buggy OSS drivers, we now take into account the real size of the OSS
       internal buffer when we check how much this buffer has been filled.

commit 003f74f14fccc7ef648d92b80bea6152e71bf01f
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 25 09:24:29 2002 +0000

      * ./bootstrap, ./Makefile.am: we don't build static libraries if their only
        goal is to provide dependencies for shared libraries.

commit 93848f0d39818cc43d11de6f953094e87231d42d
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 25 09:21:09 2002 +0000

      * ./include/vlc_common.h: we now use the ISO C9x types (int8_t, uint8_t,
        int16_t) instead of our custom types (s8, u8, s16) and you are encouraged
        to use these types from now. Of course the old types are still available
        for backward compatibility.

commit 4edd2384a34ec34aaeb9aa597e4cc61a8460c151
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 24 17:36:42 2002 +0000

    * modules/audio_output/oss.c: Finally fixed! There also is a new config option
       (--oss-buggy) to work-around buggy oss drivers.

commit b25a28ba21186564eabbad9ce982da4e4271b4be
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Oct 24 14:26:32 2002 +0000

    less braindead coloring

commit a7fa477948eba3cbcfb5afa062b061dce1fc2b02
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 24 10:33:09 2002 +0000

     * ffmpeg : new way to gather a frame
     * input_ext-dec.c : add a call to GetPES in NextPES when fifo is empty.

commit 2175bb5b22bd2d67cd6cc63c6e8802f7189cdd85
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 24 09:37:48 2002 +0000

    * src/input/input_ext-dec.c, include/input_ext-dec.h, modules/codec/araw.c:
       renamed input_NextPES into input_ExtractPES and factorised its code.
    * modules/codec/ffmpeg/ffmpeg.c, modules/codec/faad/decoder.c,
       modules/codec/cinepak/cinepak.c: make use of NextPES and GetPES from
       src/input/input_ext-dec.c.
    * modules/codec/a52.c: fixed uninitialized variable.

commit 2a533cead65e40f553aa30a7ca03292ce9fbe281
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 24 09:30:48 2002 +0000

    * ALL: I did add these files, but forgot to commit them ( ouarf ouarf :)

commit bfc4f0f588c0c68c557a8f5cbadc19818ac9484f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 23 23:17:45 2002 +0000

    * ALL: New ogg demux and vorbis codec modules for preliminary support of
       ogg/vorbis streams.

commit 0330bbedd98672af4f6321c595d89b75615d1fc3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 23 22:05:22 2002 +0000

    Cosmetic.

commit 69dd295ba26e28d96db19ff80925bb5ecbd6e133
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 23 21:54:33 2002 +0000

    * ALL: fixed a bunch of memory leaks.

commit 4e9d790036c394aee8fb72918975d0d6b854dfb6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 22 23:08:00 2002 +0000

    * Added -mdynamic-no-pic to darwin CFLAGS (can you believe I actually read ./ :)
    * Miscellaneous small fixes.

commit 435bab6bc1d9b40ad998116210778eec1eee75ad
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 22 21:10:28 2002 +0000

      * ./mozilla/vlcshell.cpp: ported the Mozilla plugin to Windows.
    
        For the moment it spawns a separate window and seems to behave nastily
        (read: crashes) when the target has sound, but the javascript interface
        works perfectly, for instance.
    
        To build it, I installed Mozilla development files in my mingw32 dir
        and hacked mozilla-config so that it uses these files. I also hacked
        jri_md.h and jni_md.h to put "defined(_MSC_VER) || defined(__MINGW32__)"
        where it read "defined(_MSC_VER)". No other changes were necessary.

commit d9624250589cf79d6245d5214b8b93258bb22067
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 22 20:55:27 2002 +0000

      * ./modules/audio_output/alsa.c: tiny compilation fix.

commit cd816735c9e0a1c2d9cffcf6904aa45e672a9b06
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 21 20:00:10 2002 +0000

    * Avoid overflowing the message queue with "audio output is starving"
      messages,
    * Updated BeOS and QNX outputs with respect to i_channels policy.

commit c0cab76641a75b5a0b98b0e9919d83711fe3533c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 21 10:46:34 2002 +0000

     * input_ext-dec.* : add a new function to parse decoder fifo at PES level
    (input_NextPES);
     * araw.c : use this new function.

commit 14aec2164042b834c59c5ba53c0ea6def78a79cd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 21 09:18:37 2002 +0000

     * configure.ac.in Makefile.am: enable asf demuxer plugin
     * modules/demux/asf/*: some clean up

commit df45b8c5e0549eb599fe4ee643e901ddff9f9eb0
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 21 08:27:17 2002 +0000

      * ./debian/vlc-plugin-a52.dirs: forgot a debian file for the a52 plugin.

commit 5f3c2d34d48eaa30714fb26273c911e8f4dabe18
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 20 17:44:17 2002 +0000

     * all: fix for correct "i_channels" use.

commit cada6d070c46f5e92de20039cede4718a440bed3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 20 17:28:01 2002 +0000

     * all: add wmv1/2 codec support.

commit c72215f680f7386c380daaa0b8eb4d1a617fa298
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 20 17:22:33 2002 +0000

     * all : add an asf file (v1.0 only) demuxer. Need a lot of work to be
    usable, but it begin to give good result.

commit 54929735f8c480fcbdecb870e97405670acc6ce8
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Oct 20 12:23:48 2002 +0000

    * modules/demux/mpeg: Added DVB stream type for A/52 streams (0x6),
    * include/vlc_threads.h: Avoid locking the interface,
    * ALL: reworked all audio output plug-ins to correctly take into account
      i_channels. At present this is known to break OSS, probably others.

commit 8622c1bb22fdda2841a361bfb5f2dc1cf981a75e
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Oct 17 17:30:10 2002 +0000

    * ./modules/video_output/directx/events.c: compilation fix

commit 19ccde25f29f2021241cea64dc7e705ce4986e4d
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 17 16:56:52 2002 +0000

      * ./modules/video_output/directx/events.c: mouse coordinates support for
        the DirectX plugin (please test compilation).

commit 65c2915543b2c5ce1fef295dbab583dd6534cbd5
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 17 16:48:41 2002 +0000

      * ./modules/video_output/sdl.c: mouse coordinates support for SDL.
      * ./modules/video_output/x11/xcommon.c: we transmit the click only at
        release time.

commit 0a47ec018fe91562772bf090876796787c4d5a96
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 17 16:03:18 2002 +0000

      * ./src/video_output/video_output.c: mouse coordinates are now variables.
      * ./modules/access/dvdplay/intf.c: instead of probing the mouse on each
        loop iteration, we set a callback on the corresponding variables.

commit ce7d29b21e28c0e54b778f1f1f4db3e134b1cfd5
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 17 13:15:31 2002 +0000

      * ./src/misc/variables.c: callback loops are now detected; this means you
        can now use var_* functions from within your callback, they can even
        trigger callback themselves, to any level. The main restriction is that
        you shouldn't meddle with a variable that is already being triggered by
        the current thread (other threads will just wait).
      * ./src/misc/objects.c: fixed a deadlock in the "tree" command.
      * ./modules/misc/testsuite/test4.c: added a "callback-test" command to the
        rc interface to test callback loop detection and concurrent triggers.

commit cea09ed8937f80a5c8a52b9b4b345cf84b314dbc
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 17 08:24:12 2002 +0000

      * ./modules/codec/spudec/parse.c: fixed bad initialization of the alpha
        palette, implemented the "force display" command as forever-living
        subtitles, and reworked some code.
      * ./src/video_output/video_output.c: we increment the image date even if
        we are repeating the previous image, so that subtitles have a chance to
        get displayed.
      * ./src/video_output/vout_subpictures.c: ephemer subpictures don't timeout.

commit 649051a119426e2b1460d542b8888692aa7cdb24
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Oct 16 23:34:27 2002 +0000

    Use a KURLRequester widget for variables of type CONFIG_ITEM_FILE. This
    crates a little button next to the textarea that pops up a file open dialog
    where the user can point and click on the file to select. It also drops down
    a list of possible completions as the user types.

commit 63f553eadad57a4414d46b4fc5827f1f67c8b428
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 16 23:12:46 2002 +0000

    * Fixed AOUT_CHAN_CHANNEL2 trivial mixer,
    * Fixed a compile issue in the vcd plug-in,
    * Fixed SDL behavior with > 2 channels.

commit 7ee2435d3083ccd4c3db1c586d5388e489f502fe
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 16 19:39:42 2002 +0000

      * ./include/variables.h, ./src/misc/variables.c: implemented variable
        callbacks.

commit ec8c631800627accb6e8b4f70126da3d4822c93c
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 16 15:10:39 2002 +0000

      * ./configure.ac.in, ./src/libvlc.c: attempt at activating gettext support
        under platforms without libintl such as Win32. Use --with-included-gettext
        to test. Might break compilation on systems I don't have access to.

commit 53cffc28bd49f3ba44259d46d94245931b992b06
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 16 11:35:53 2002 +0000

      * ./modules/access/vcd/vcd.c: changed an error to a warning in the probe
        phase.
      * ./modules/video_filter/deinterlace/deinterlace.c: the bob method now
        flickers less thanks to a patch from Marian Durkovic <md@bts.sk>.

commit a4c2be95a88d32b8d7f733ffcd2ca9153b70a5ba
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 16 10:31:58 2002 +0000

      * ./src/misc/variables.c: fixed a deadlock in command variables handling;
        we now release the variable lock before calling the command.
      * ./src/misc/threads.c: removed deprecated code.

commit d86bf0f41aeaddd3858b7efac5214a2417efc02e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 15 23:10:54 2002 +0000

    * Fixed filters which couldn't work with more than 2 channels ;
    * Fixed detection of VCD support under OS X.2.

commit 235dfe295a7526232b8297f22e256d82d64aa801
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 15 19:56:59 2002 +0000

    * modules/access/vcd/*, configure.ac.in:
       - Major changes to allow reading vcd images directly from the hard drive
          (you need a .cue and .bin file).
       - Removed duplicated code by merging ioctl_GetTrackCount and ioctl_GetSectors.
       - Implemented necessary ioctls for Win9x/NT/2K/XP.

commit 954bdeb8b2eb8a58bea1b3d876decc7a490bcd85
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 15 12:30:01 2002 +0000

      * ./po/*: updated locales.

commit 3ca7825a92ed7e8de3bbccc274aa41045e8816b4
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 15 08:35:24 2002 +0000

      * ./include/vlc_threads_funcs.h, ./src/misc/threads.c: eradicated
        vlc_mutex_need() and vlc_mutex_unneed().
      * ./src/misc/variables.c: implemented VLC_VAR_MUTEX variables.
      * ./modules/misc/gtk_main.c, ./src/libvlc.c: replaced named mutexes with
        named mutex variables.

commit ac811ffb13b45e6da5a5b0e12956811e80b31136
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 15 01:50:24 2002 +0000

     * cinepak.c : initialize picture to black.

commit 706297b30dfb668ae0d9907a450b6a670e4f64f7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 15 00:56:43 2002 +0000

     * all : forgot to add theses new files :p

commit 9295116d31f4eb4274fc4507409e3a8678cdfee5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 15 00:55:07 2002 +0000

     * all : begin to rewrite some parts of avi demux, mainly to clean ugly code
    and to prepare for OpenDML support.
    Add new options :
      --avi-index force index creation.
      --avi-interleaved force method used for unseekable stream but need
    interleaved stream and could lead to loss of audio/video synchro.

commit 28b43ac2298ba921c944df7ad6dd529923190be0
Author: Eric Petit <titer@videolan.org>
Date:   Mon Oct 14 23:11:52 2002 +0000

    Cleaner code.

commit 9a5df48be189e468804f2d3b2da4b9248dea6a36
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Oct 14 21:59:44 2002 +0000

     * araw.c : pseudo pcm decoder
     * wav : demux for wav file( should work with raw pcm, mp3 or a52 stream ) but
    untested under big endian machine(for pcm).
    
    All are compiled by default.

commit 141cb731d8a4cf0f6ceed96d4c714318e51e6506
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Mon Oct 14 21:36:04 2002 +0000

    Updated description.

commit d266c1b6116bb87e6b59cfe97a15fdb00a15eb64
Author: Eric Petit <titer@videolan.org>
Date:   Mon Oct 14 20:09:17 2002 +0000

    Fixed seeking.

commit 2f27884905b95e2480c90b1c98e5322ed08fee6b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 14 19:04:51 2002 +0000

      * ./modules/misc/testsuite/test4.c: made the 4th test less CPU intensive
        by making the spawned threads wait a bit longer.
      * ./src/misc/variables.c: added a usage count to the variables; trying to
        create a variable with the same name only increments its refcount.

commit bf7985b74afcef9103b35a3c47eeae5845ae681b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 14 16:46:56 2002 +0000

      * ./include/vlc/vlc.h, ./src/libvlc.c: added VLC_Error() to the libvlc API.
      * ./include/main.h: removed p_vlc->i_status because it was not sufficient
        to represent all the possible states of p_vlc; each part should be tested
        separately upon destruction.
      * ./src/misc/objects.c: fixed a signed/unsigned bug that prevented creation
        of VLC_OBJECT_GENERIC objects.
    
      * ./src/misc/variables.c: added the VLC_VAR_COMMAND type which is simply a
        variable that stores a function pointer, and calls it when var_Get is
        called for it. The function argument is taken in val.psz_string.
      * ./src/misc/objects.c: vlc_dumpstructure and vlc_liststructure are no longer
        exported to the rest of the program; instead, they're VLC_VAR_COMMAND vars
        ("tree" and "list").
      * ./modules/control/rc/rc.c: moved a few commands to VLC_VAR_COMMAND vars.

commit ebda60f20b1937b279a78ca6ab37f7a1b70b32fd
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 14 16:35:18 2002 +0000

      * ./src/misc/error.c: added vlc_error, a strerror() equivalent.

commit 112187ec4b5a28a49fca91d1f4fcf5dab8c0ad23
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 14 16:34:17 2002 +0000

      * ./modules/misc/testsuite/test4.c: added a stress test module; doesn't get
        compiled yet because it uses the "command" variables I'm about to check
        in. They need to be typed in the rc interface for instance (-I rc). This
        module has two available commands: "signal <int>" which sends the given
        signal to the vlc process, and "stress [<int>]" which performs a series of
        object creation/lookup/destruction, variable creation/setting/destruction
        and thread spawning/joining tests. The optional argument for stress is an
        integer between 1 and 200 (the bigger, the heavier the tests; it may hang
        your machine at around 150, be careful).

commit 0bea9a73458145dfc91b22c17f14c87a53bdd538
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Oct 13 23:01:23 2002 +0000

    Imported Changelog from 0.4.5.

commit 5e9d8674edbd838ba3aa94080546e43028adc2bd
Author: Eric Petit <titer@videolan.org>
Date:   Sun Oct 13 15:39:16 2002 +0000

    Now BeOS sound is (almost) clean.
    It is kludgy, but it works ;)

commit af3a25f572ce434d1c3eb849d06342048244dc35
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Oct 13 14:26:48 2002 +0000

     modules/demux/util/id3*: fixed up some dead comments
     modules/gui/kde/*: only set variable the user actually have changed when
    apply is pressed in the preferences window.

commit 80921ca7e0f6bc185ec85b518bcf9d8d19b76a93
Author: Alexis de Lattre <alexis@videolan.org>
Date:   Sat Oct 12 23:15:45 2002 +0000

    Fixed a bug in the developer doc : hacking.xml and overview.xml were
    identical ! So I removed hacking.xml...

commit 2328faeb7451a98bc785e8f45d16ed15effd5983
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 12 21:31:56 2002 +0000

    * configure.ac.in: fix for the mingw32 build. The gtk plugin may also need mingwex.
    * modules/demux/mpeg/ts.c: added an #include <stdint.h> to make mingw32 happy when
       compiled with libdvbpsi.
    * Makefile.am: fixed dependency problem with share/vlc_win32_rc.rc.

commit afc5d20972ec2bc24478537828a0da9c9b2a34d4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 12 20:09:13 2002 +0000

    * configure.ac.in: fix for the mingw32 build. We check if we need to explicitly
       link with the mingwex library (needed for dirent support with new mingw32
       runtimes).

commit 02e29e1c1177b90491fc6b75fd750860fd9fc8a6
Author: Eric Petit <titer@videolan.org>
Date:   Sat Oct 12 12:24:52 2002 +0000

    Rewritten BeOS audio output for audio output 3. It now "pulls" the data.
    Sound is yet choppy (I don't know why).

commit da283062c5ee8bfad661725a9e554c24ab74955d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 11 23:44:25 2002 +0000

    * Updated FAQ.

commit 464bd2e5b4a533b2b232b472390abd0bdab5b93d
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 11 22:32:56 2002 +0000

    Changes to the libvlc API:
      * ./include/vlc/vlc.h: changed the naming conventions for libvlc. Now
        exported functions start with VLC_ instead of vlc_ to avoid conflicts.
      * ./include/vlc/vlc.h: removed the vlc_object_t, vlc_list_t, vlc_error_t
        and vlc_t types; they are now internal types only.
      * ./include/vlc/vlc.h: merged the reentrant and non-reentrant libvlc
        calls. In non-reentrant mode, we just use 0 as the first argument. In
        reentrant mode, we use an object's ID. (see below)
    
    Internal changes:
      * ./src/libvlc.c, ./src/misc/objects.c: instead of manipulating vlc_object_t
        pointers, we manipulate their i_object_id. When needed, an object is
        retrieved using vlc_object_get (I hope the lookup isn't too expensive,
        that's why I designed the pp_objects layout to allow log2(n) seeks).
      * ./src/misc/objects.c: activated the per-object variable storage. Unused
        yet, unless you want to try "getfoo" and "setfoo blablah" in vlc -I rc.
      * ./include/vlc_objects.h: moved the vlc_object_t and vlc_list_t definitions
        here.
    
    Misc:
      * ./src/vlc.c, ./mozilla/vlcshell.cpp: removed inclusion of config.h in
        code portions not part of libvlc; it was just required for the
        COPYRIGHT_MESSAGE string which is now available from VLC_Version().

commit 37741cf811763f13a752a742431c6af2976863fa
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 11 21:17:29 2002 +0000

      * ./plugins/filter/deinterlace.c: fixed the green bottom line in the
        linear deinterlace mode, thanks to Marian Durkovic <md@bts.sk>.

commit c93f613b1461ccedfa39c4d4dad0699a66783bb3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 11 17:29:03 2002 +0000

    * INSTALL.win32: removed note about running in administrator mode to play
       a DVD. Updated doc about using cygwin for compiling.

commit 4b4a8f1d20206483309417711a9125ac3e7b66e4
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Fri Oct 11 12:50:43 2002 +0000

    added some coloring to the messages window in the kde interface

commit f78e5583bea6efe900d958134be16955658ac626
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 11 11:05:52 2002 +0000

      * ./src/misc/variables.c, ./include/variables.h: a few functions for
        in-object variable storage. Unused yet (not even compiled).

commit cc5919ade469ca3242872c6c7ad2b2f04cfef6d3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 11 10:08:06 2002 +0000

    * src/misc/modules.c: fixed a memory leak with the "plugin-path" config option.
    * modules/audio_output/directx.c, modules/audio_output/waveout.c: ported the directx
       and waveout audio plugins to the new changes in the audio output layer.
    * configure.ac.in: fixes for cygwin compilation, and the gtk plugin under mingw32.

commit c5bd872c66f60cee7f886bdfdc5b8e5ec5b0b17c
Author: Eric Petit <titer@videolan.org>
Date:   Thu Oct 10 23:11:52 2002 +0000

    Some clean-up. Playlist works again.

commit ae6f22536b970206d32b71c70415d7606d8bdade
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 10 22:46:20 2002 +0000

    Do not use vasprintf under Mac OS X because OS X.1 doesn't have that (how
    lame...).

commit 2b15f624bc9ffca761c40b7eb41900e5d6b2e169
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Oct 10 19:34:06 2002 +0000

     messages.cpp: use append(...) and not setText( text() + ...), seems to
    decrease cpu-usage considerably.
     preferences.cpp: allow config strings to be 40 characters long instead of
    10. Is that enough?

commit 546fb578b55d51b8277ab53b56962ed01961a99e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 10 17:25:28 2002 +0000

      * ./configure.ac.in: dropped the use of typeset in favor of eval to
        set variable values (ash doesn't have typeset).

commit 51fa2629c7ed5183f2a4ca37e0a6d88d5ac46ca3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 9 22:54:22 2002 +0000

    * (Hopefully) fixed S/PDIF outputs ;
    * Finally fixed the audio problem on most platforms.

commit 0e5978dc5b84ec3e8d526bea56e69f32f2272c55
Author: Eric Petit <titer@videolan.org>
Date:   Wed Oct 9 01:14:18 2002 +0000

    BeOS compilation fixes.

commit 146bc0b49cfd307ea6f53e9456dce4fc98f2f650
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 8 22:48:25 2002 +0000

    OS X : raised the priority of the intf at the same level as the video, since
    otherwise we can't quit the application any longer...

commit 9de9dd0534dc5d374c3edd3128906852c22ce62d
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 8 18:10:10 2002 +0000

      * ./src/libvlc.c, ./src/misc/messages.c: due to horrible user threats,
        only two levels of -v are now possible: -v for warnings, -vv for debug
        messages (-q for no output at all).

commit d6e7c97a2f830f3cd92a011060b2a58789a444ff
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 8 16:02:05 2002 +0000

      * ./src/input/input.c: do not try to use stream output if the "sout" variable
        is set to the empty string (happens when doing "Apply" in a GUI).

commit 0e247961c06da6d71e82a1736bb43790603fc647
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 7 21:58:40 2002 +0000

    * HACKING : documentation for the automake crash
    * http.c : fixed a problem with seeking with large files

commit eddf123620abac25909f3e7b669f5ed34cd62405
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 6 19:28:28 2002 +0000

    * configure.ac.in: vlc can now be built under cygwin with or without the
       unix emulation layer (without if you use CC="gcc -mno-cygwin").
    * INSTALL.win32: doc update for cygwin build.
    * modules/video_output/directx/events.c, modules/video_output/directx/directx.c,
       modules/audio_output/directx.c: compilation fixes for cygwin.

commit 81478e4fe6efc9d12b664e0646ec793e23499671
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Sat Oct 5 19:26:23 2002 +0000

      ./src/misc/netutils.c: GetMacAddress Darwin support
      ./src/libvlc.h: Default to en0 instead of eth0 under Darwin

commit 94b1b1ac67c816e52198656758e7a99b39161ad5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 5 17:29:50 2002 +0000

    * ALL: Splitted the directx plugin into an audio and video module.

commit d81ece46a3f1289a2d2acf26598e18b502925da4
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Sat Oct 5 03:44:50 2002 +0000

    Up-to-date ALSA audio output module.

commit 3820b4354abd042816b36212ab775f67726b5209
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Sat Oct 5 00:10:17 2002 +0000

      ./extras/MacOSX/.../MainMenu.nib: added Open Target panel
      ./modules/gui/macosx/open.[mh]: Open Target code

commit 89987e1109b96f81396b9248490b6aed717d7804
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 4 18:07:22 2002 +0000

      * ./configure.ac.in: removed now unnecessary --force-exe-suffix flag.
      * ./src/misc/objects.c: structure_lock is now local.
      * ./src/misc/threads.c: implemented named mutexes which provide a handy
        way to protect data across plugins which might be sharing the same
        resources. Thread-unsafe libraries come to mind, but we can imagine
        using a named mutex for configuration files, or special devices.
      * ./include/main.h: removed global_lock because of vlc_mutex_need, removed
        p_global_data because it was never used, removed structure_lock because
        it did not belong here.

commit 656bdceac2665fe0ed4215550ed34d05fab13264
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 4 14:02:20 2002 +0000

      * ./modules/gui/macosx/vout.m: if no MacOS X interface is available when
        the video output is initialized, we wait for a while before giving up;
        also changed the code so that it probes all interface objects rather than
        the first one it finds.

commit 2b0b78882c9015f35a69b70dfdb9f04597002182
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Oct 4 13:13:54 2002 +0000

      * ./bootstrap: we use the proper linker for plugin compilation.
      * ./modules/misc/testsuite/*: moved the null module into three test modules
        that are only built when --enable-testsuite is activated. This directory
        can be a good place for compilation tests or performance benchmarks.

commit 80b15699ead10f9b1aa4687cd22c1bdcc866eb6d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 4 12:01:40 2002 +0000

    * src/misc/threads.c, src/misc/win32_specific.c, include/interface.h: fixed typos.
    * configure.ac.in, modules/gui/gtk/gtk.c: Added a NEED_GTK_MAIN macro to the compiler
       flags for the gtk module. When this macro isn't defined, then the gtk module
       doesn't make use of the gtk_main module. I had to do this change because the
       gtk_main trick can't work on win32 and render the whole gtk interface unusable.

commit d8ea3394c276231e36dd565dd9e7d9e8725d1640
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 3 21:45:16 2002 +0000

    Fixed miscellaneous problems with the RTP plug-in.

commit 1687209fa627fa02b125463c9f04d92936fc5671
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 3 20:49:31 2002 +0000

    Fixed known bug in rtp plugin which resulted in superflous error messages.

commit e0c8e060c218494cd0792d0fa0f20c10bcea440d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 3 20:46:46 2002 +0000

    Updated AUTHOS file.

commit f501554a399ebfcf3a28673dc7ded7d6666203fb
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 3 18:56:10 2002 +0000

      * ./configure.ac.in: duplicated arguments to AM_INIT_AUTOMAKE to fix
        locales breakage.
      * ./src/libvlc.c: libvlc understands the VLC_VERBOSE environment variable,
        to be set between 0 and 4. Default value is 0 for a program using libvlc,
        but vlc sets it to 1 by default.
      * ./src/misc/configuration.c: -v now works the old way (-v, -vv, -vvv) as
        well as the new way (-v0, -v1, -v4). -v1 is the same as -v, and -v0 is
        the same as -q (quiet). Hope it's all understandable.

commit 6dafa419846a89a815750f3de722d8d675699658
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 3 17:01:59 2002 +0000

    * FAQ: updated FAQ with config file issues.
    * configure.ac.in: use -mms-bitfields instead of -fnative-struct for
       mingw32 gcc-3.x.
    * include/interface.h, modules/misc/dummy/interface.c, modules/misc/logger/logger.c,
       modules/control/rc/rc.c: Display message on Win32 explaining how to get
       back to the GUI mode.
    * src/misc/threads.c, include/vlc_threads_funcs.h: ignore the
       win9x-cv-method config option on WinNT when fast-mutex is not enabled.

commit 145b1961b4825d2a8d807bf02db90440a8c45380
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 3 13:21:55 2002 +0000

      * ./src/libvlc.c, ./include/main.h: the root of all objects is now
        p_libvlc, and each p_vlc is a child of p_libvlc. Reasons for this are:
    
         o the module bank and the message bank only need to be initialized once,
           which gives faster loads when multiple instances of libvlc are used,
         o we allow the possibility of different p_vlc sharing objects, for
           instance the audio output,
         o the CPU detection is only done once.
    
        This patch is not polished yet, but I cannot do any intensive tests for
        the moment because of a bug somewhere that leaves audio output objects
        lying here and there which needs to be investigated first. The current
        major issue is that the module bank is no longer freed.

commit 75873492aace522467ef45e8eb2ef2810ceee93b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Oct 3 10:15:46 2002 +0000

    forgot to add the actual code in my last commit

commit a26eef4124f8c100145dd75653f8766166f4f80d
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Oct 3 10:15:01 2002 +0000

     kde.cpp: subscribe and unsubscribe messages
     interface.cpp, interface.h: create a messages window, and add menu iten to
    show it
     Modules.as: build messages window
     ui.rc: menuitem to show messages
     preferences.cpp: fixed typo in comment

commit ad626cd2a0faf8e6b6478938f61716661b7dff5c
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 3 09:25:40 2002 +0000

      * ./modules/gui/win32/win32.bpr: use the .dll extension instead of .so.

commit 537cf3aa2c90d2d9ffa98a11e95cd2bba27250d7
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 3 08:44:11 2002 +0000

      * ./bootstrap: fixed a bug I introduced yesterday that caused automake
        version detection not to work properly.

commit 4f2beec27e23da2f8956134eb4d1e8096f03841d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 2 22:56:53 2002 +0000

    * Mac OS X audio device discovery and selection, patch courtesy of
    Heiko Panther <heiko.panther@web.de>.

commit 415af2adedc0048641dd0d12799f16b6f2345290
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 2 16:02:43 2002 +0000

      * ./bootstrap: added a check for automake bug #326. No easy workaround is
        really possible other than patching/upgrading automake. This happens for
        automake 1.6.0 and automake 1.6.1.

commit 31c315863ac862eaa8cef0ddb1fa9149f2cf8575
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Oct 2 15:37:58 2002 +0000

    fixed some insanities which coused this module to fail on a52 sound

commit 66bbe4847af7bdd06d84a31572eac8eef122b83b
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 2 13:28:52 2002 +0000

      * ./Makefile.am: removed a circular dependency on src/misc/modules_plugin.h.

commit 5c05d0564d9207e939a7f7308a9f54e905bf293f
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 2 13:26:14 2002 +0000

      * ./Makefile.am: another workaround for an old automake 1.5 bug (bug #279).

commit 106497cdb1dd20a23ab577ada1c509df1e7c67e8
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 2 12:59:59 2002 +0000

      * ./bootstrap, ./Makefile.am: workarounds for automake 1.5.

commit 24a7d9c8b0af57910894849129f03e1e87e44fe0
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 2 09:15:06 2002 +0000

      * ./configure.ac.in: --enable-a52 activates a52tofloat32, not a52.
           (always re-run bootstrap when configure.ac.in has changed).

commit cf75b314e8cd2c6cb480c955426a8aa1b277208c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 1 22:34:43 2002 +0000

    Fixed a bug in the OSS output I introduced yesterday.

commit 2aac17a64a9ea7437f9940c7e7c3c626f45c7968
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 1 22:29:09 2002 +0000

    For people who have several network interfaces, added a --iface-addr option
    to select which interface to use for multicast sockets.

commit 3b6da989d41c0367305d34fe262b84c15f5731aa
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 1 21:47:25 2002 +0000

    Finally fixed A/52 TS input.

commit c6a16524b648197b8d130f346da15a7f3144a1ab
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Oct 1 20:43:35 2002 +0000

    * modules/video_output/directx/events.c: added an "Always on top" entry
      in the system menu.

commit 9a6b90b85548cd6ccec21cc6f2115902799a8b85
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 30 21:32:33 2002 +0000

    * Made audio_sample_format->i_format a FOURCC to allow the creation of
    new ones.

commit bf2f5b008177d5bb6946322e76c1bf8b7199446a
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 30 18:30:28 2002 +0000

    Attempt to port new BeOS features from the stable branch.
    Playlist is yet broken (maybe others things too)

commit 370ab2b0fc63d2770aa162f6dec1e0e863b52373
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 30 15:47:20 2002 +0000

      * src/*: another bunch of .cvsignore files.

commit 7cca8d8fa0d5e40b3094467996f3cca5282ce978
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 30 15:46:47 2002 +0000

      * ./debian/rules: moved the gtk_main and gnome_main plugins to the gvlc
        and gnome-vlc packages.
      * ALL: updated .cvsignore files to properly ignore automake files.

commit 2799d36bc8abdc28df29a202acdb27223b25a7a7
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 30 11:05:42 2002 +0000

      * ALL: the build mechanism now uses automake. See HACKING for more details.
      * ./mozilla/vlcplugin.cpp: javascript support for the Mozilla plugin.
      * debian/rules: the A52 module is now in a separate package.

commit 864128116a44fecb6c046c1174981a0f56c16677
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 30 10:00:47 2002 +0000

      * ALL: added *.am files here and there for future automake support.

commit 1354358092cd8155cb4e29cf470326bf41cd5fed
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 29 18:19:53 2002 +0000

      * ./src/playlist/playlist.c: don't run the playlist by default.
      * ./src/libvlc.c: if items are specified in the commandline, run the playlist.
      * ./src/vlc.c: don't rely on internal vlc types (mtime_t).

commit 04b804512cb1aedcd82398a0742e95b8da391206
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 29 18:16:04 2002 +0000

      * ./src/misc/threads.c: fixed a bug in the st_mutex_new() failure detection.

commit 648f9efd574950dfe71a8e8a7ac1409c4d77f85a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 29 15:39:53 2002 +0000

    Updating ipkg files for X and QT Embedded packages of vlc.

commit f4bd25843d004b2755b0a47ec0391310fbd59604
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Sep 28 13:05:16 2002 +0000

    * Several stability patches for multiple input streams aout.

commit ef6c706bdeb3a0141a3421f993ddea386d6db305
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 27 23:38:04 2002 +0000

    * Makefile.old: Fixed BeOS compilation.
    * ALL: Fewer overhead when resampling.

commit dca617302511c2ce1e07b4e32ca1bbf6736a29a3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 26 22:56:14 2002 +0000

    * Fixed my A/52 fix.

commit 7a58ef70ff4c51288388703728752bce3f253c96
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 26 22:40:27 2002 +0000

    * Major API change of the audio output. New aout_Dec* functions.
    * Fixed a compile issue in s16tofloat32swab.
    * Fixed a typo in demux/mpeg/ts.c.

commit cc35b1d0a2f11f64d942b2637517c6b450ec8290
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Sep 25 20:41:32 2002 +0000

    Added compiler and link flags to --enable-opie (not tested).

commit c14ee391a92a5feb59ffa7d00d71698c381d49e5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Sep 25 20:25:24 2002 +0000

    Adding lost instruction for compiling libmad library.

commit b8a94ea5acf8f70660f3ab3e1b750c8a023b91fb
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 23 23:05:58 2002 +0000

    * New --vlc-backwards-compat option, to go back to the old behavior with old
    VLS's.
    * Fixed a bug with non-ASCII characters in the OS X playlist.
    * Fixed a warning on start-up.

commit e428120b757550ec7a84c7cb968310486d3c6fa7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Sep 23 21:44:23 2002 +0000

    Video output for QT embedded compiles. There are still some linking issues to fix, before it is usable.

commit a33705a684352f73b1afc180a9c77a88439b55a4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Sep 22 14:53:52 2002 +0000

    Fixed a bug in the conversion splitter.

commit 8ef0fc6323ac4562dc3b7f7e84db97d8c1a06f8e
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Sat Sep 21 20:20:42 2002 +0000

      * ./modules/audio_filter/converter/Makefile: Fixed typo.

commit d198a80352e084894fcbd20d65ddd43a1c661b81
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 20 23:27:04 2002 +0000

    * Fixed miscellaneous cosmetic issues with lpcm and s16tofloat32swab modules.
    * First hooks for changing the audio output plug-in and its parameters
      on-the-fly.

commit 81442b6bf1af46dbaedc3388ea0b48f55bf13ae1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 19 21:56:40 2002 +0000

    * Audio volume management now works properly. See src/audio_output/intf.c
      for information on how to use it in your interface plug-ins. In the
      SDL vout, b and n are mapped to sound down/sound up.
    * Fixed a major in the mad plug-in with wrong dates.
    * Fixed a compilation bug.

commit e059b1170db21a36b4a872e85c23814d1f8696cb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Sep 19 15:58:55 2002 +0000

     * avi.c : fix my last fix about endiannes issues (I hope)

commit 4683e7edd7f4e67eedf68dfdd2e4678cf55dd4a1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Sep 18 23:34:28 2002 +0000

     * all: fix endian issue with new definition of VLC_FOURCC, but
    untested. Meuuh, could you test it ?

commit 35b474003dac21d775f8c37f0c68e40e65bf2e9b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 18 21:21:24 2002 +0000

    * ALL: More hooks for audio volume management.
    * configure.in: Fixed a typo.

commit df657969f789310b72a96fc5fbe227f375f4a839
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Sep 18 12:20:37 2002 +0000

      * ./modules/audio_filter/converter/s16tofloat32swab.c: compilation fix for
        systems which don't have swab(). Fixed a memory leak.

commit 1522351edcdf77b4dfea4ba0c6181879486bb521
Author: Tony Castley <tcastley@videolan.org>
Date:   Wed Sep 18 11:50:47 2002 +0000

    Updated to use the new AOUT_VOLUME_* constants.

commit fd0bc419bbb4b10b9bba76f28da30f7647533819
Author: Henri Fallon <henri@videolan.org>
Date:   Wed Sep 18 01:28:05 2002 +0000

    lpcm support (tested on 1 source only)

commit f213a1d69ab8208359c69284c6dd82d426511656
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 17 14:56:13 2002 +0000

      * ./src/libvlc.c: switched the position of msg_Create() and system_Init()
        because the BeOS system_Init spawns a thread, which makes use of msg_*
        functions.
      * ./src/misc/threads.c, ./src/misc/win32_specific.c: put the detection
        of SignalObjectAndWait in the thread system initialization because
        system_Init() now happens after msg_Create().

commit 07dcfb3ffcf50caccc5579ceff39995617675f14
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Sep 17 11:57:38 2002 +0000

     * all: - fix a memory leak while parsing.
            - fix a bug while playing last frames (in last chunk).
            - add seek support, not complete but usable.

commit 5555c82c83eca00c55a0d4117e9506a9d391c1e6
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 17 08:18:24 2002 +0000

      * ./mozilla/*: added hooks so that the vlc plugin is scriptable from
        javascript. It's also in C++, but we didn't have the choice.

commit cf891bad55157104f8d9d50b1d95b25ebc7f7a5e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 16 20:46:38 2002 +0000

    * configure.in: Fixed detection of Qt-embedded.
    * modules/codec/a52.c: Fixed detection of A/52 sound.
    * modules/audio_filter/converter/a52tofloat32.c: Fixed a bug related to
      downmixing.
    * ALL: Added hooks for audio volume management.

commit 4a53cbabcab3962434961d104506d885484658ba
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 16 08:10:00 2002 +0000

      * ./modules/gui/gtk/gtk.glade: handled delete event for the Open window.

commit 67c3e67a088e190d2b1fb181588f34f6f9031d71
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Sep 15 22:33:24 2002 +0000

     * modules/gui/win32/preferences.cpp: added a forgotten initialization

commit ba57d25b17859657591513842c0403a67e18cb51
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 15 20:54:12 2002 +0000

    Configure option --enable-qte works now (default is disabled).
    Porting video out plugin/builtin for Qt Embedded to CVS is not complete. (Please do not use it.)

commit 00fdbca4abc6baf927ff6ddb4d7f3ea4a9678e0a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 15 19:32:03 2002 +0000

    Hide progressbar widget on startup.

commit 3518015639df04d98558dd78224d85c64e67cb72
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Sep 14 20:51:11 2002 +0000

    *Fixed a bug that prevented OSS from closing cleanly in spdif.

commit bdbe0e0b87de625f89e5c00e2efc7f0e087744ac
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Sep 14 20:50:24 2002 +0000

    *Fixed a typo that made spudec selection fail.

commit e18a39da6e3c18dc13f56b2615634549d497821f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 13 22:38:54 2002 +0000

    (Temporary) end of the audio output 3 documentation.

commit f776b2cb7934fdf887768048c7290adf52a71acf
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Sep 11 23:10:30 2002 +0000

    .Quick hack to make spdif work with emu10k1 oss driver. Still buggy.

commit 51d40ac72c88344418de3044b8451b25b781aeb2
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Sep 11 23:08:43 2002 +0000

    .Fixed the length of the spdif frame.

commit ddabe8f701c4581219ef87e2fcaed9baaafa703a
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 10 12:58:42 2002 +0000

      * ./modules/misc/dummy/vout.c: fixed an endianness issue in the commandline
        chroma parsing.

commit 849c0ed325c4ae51179b41a8c04a546a0de0058f
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 10 12:15:07 2002 +0000

      * ./modules/video_output/x11/xcommon.c: if we do not own the X window, like
        in the Mozilla plugin, we do not try to unmap it.

commit e710eca68235b5866cc81fedd6b841d223b3a8ab
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 9 13:52:24 2002 +0000

      * ./configure.in: the DV module is now a plugin, with the proper
        dependencies in debian/control.

commit f62375269145935a0afeaf1da60efc2e6558044d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Sep 8 22:20:32 2002 +0000

    Three lines :).

commit 96de1d1b354714251050a533bbebf4665dcf7032
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 6 23:15:44 2002 +0000

    Aout3 developer documentation, cont'd.

commit f52ae7781597a543f6cab9894113bdc97e6c20fd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 4 21:44:41 2002 +0000

    Beginning of the developer documentation for audio output 3.

commit 7b7ebdeeaeeca3fd56140756beb2b69d1cf263a6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Sep 4 21:18:29 2002 +0000

    Little cleanup action.

commit b85c7e1eb37b4ead54ec65bec8b6737653b5a764
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Sep 4 21:13:33 2002 +0000

    Qt Embedded video out patch courtesy of Gerald Hansink.
    Ported Qt Embedded video out to vlc-0.5.0 (it is not useable yet).

commit c764fc9383ca6fa5d69cfcb58ef90cf954196c65
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Sep 4 21:09:12 2002 +0000

    Renamed --enable-qte switch for Qt Embedded interface support to --enable-opie.
    Reused --enable-qte for Video Out support under Qt Embedded.

commit d8c708139c94164022d307629dfa13f1ac44e689
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 2 23:21:40 2002 +0000

    Fixed the trivial channel mixer.

commit 34c71967f9b0e4533ba8343062282029f39e7089
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 2 23:17:06 2002 +0000

    The liba52 "codec" is now an audio filter. It means we are now able to
    autodetect S/PDIF hardware support and the audio output plug-in chooses
    the best one. Of course it probably breaks existing output modules, see
    oss.c for hints :).
    
    Also include minor tweaks which will entitle us to decode and output 5.1
    audio. It may break existing plug-ins, too. See
    audio_output.c:aout_FormatNbChannels for hints.

commit 1e666bc25b9479cc3c07d18cc7d3ad93e7567066
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Sep 1 21:20:29 2002 +0000

    Added a priority for video decoders, for systems with fixed-priority
    policy.

commit 13f459366e284765d22ff01ce1fe3a386851f338
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Aug 31 22:10:25 2002 +0000

    *It seems that the setting of the fragment size was buggy.
    
    OSS work with my sblive! now :). It still works on my other computer too
    but please test.

commit 4d51273f15f9dbba650c88a7d5e44635e6483e2a
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Aug 31 19:58:04 2002 +0000

    *Make pf_setformat disappear from sdl module.

commit 06996317f9c056ba12188a797ba38444ddcc782c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 30 23:27:06 2002 +0000

    aout3 API change :
    pf_setformat disappears (it was never called independantly of Open). If
    the format needs to be changed, we will have Close/Open. This is much
    simpler than before. Please check that I didn't break some plug-ins.

commit 0b88e7753a08b42a15d6e01cae20bfeed192d56a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 30 22:22:24 2002 +0000

    * demuxes: Worked around a bug in old VLC and VLS by changing TS stream types
      (see my last mail).
    * aout: Rewrote our whole lock policy. The output thread now doesn't require
      the mixer_lock, which might avoid delays. We will also be able to change
      the filter pipelines at runtime.

commit b7d33a0d086afa5fec399cffce08154c636e95b2
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 30 19:16:05 2002 +0000

      * ./include/vlc_threads_funcs.h, modules/video_output/directx/vout.c: Win32
        compilation fixes (typo, undeclared var).

commit 16f2ff86c7a1095b0e6365a21edacad85a80303d
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 30 12:23:23 2002 +0000

      * ./configure.in: do not try to link with -lrt if not using pthreads. This
        might break the HP/UX or Solaris ports, please check if possible.
      * ./src/misc/threads.c: fixed syntax in the st and pth implementations.

commit 7d2f6de57c4def2f33ff81c1f602621255c63a3c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Aug 29 23:53:22 2002 +0000

    * ./bootstrap : Fixed an issue with old shell versions
    * ALL : Added a priority argument to vlc_thread_create(), so that audio
    and input threads can run with a higher real-time priority, on systems
    allowing you to use priorities.

commit b3c41d792a804ba100062eccba57aa59e1e06b4a
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Aug 29 22:29:55 2002 +0000

    The win32 interface is preparing for the internationalization.

commit 5e1d56aeacef5f2197ada9af17f792d34e2686b5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 28 22:44:31 2002 +0000

    * Fixed libmad's output volume.

commit b5ab493010868a16115777076b7ed431f8a5739c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 28 22:25:39 2002 +0000

    * Finally fixed the segfault when resampling.
    * Reactivated the A/52 demux.
    * Wrote a real full-featured float32 mixer.

commit c02a9ef42ffbd928ab299185fba5ec3a6be6db5e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 28 21:40:35 2002 +0000

      * ./Makefile.old: fixed the automatic dependency rule (include dirs missing).

commit a9b2248292f142436cfa915f9c73444a7d9db0fb
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 28 19:48:16 2002 +0000

    It now works when there is no automake-1.5 nor automake-1.6.

commit 3eb8eefdd2d1fc8ffa75bf9f8fa9e3e8dc308b93
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 28 15:30:57 2002 +0000

      * ./m4/*: added gettext m4 macros so that the configure behaviour is
        always the same.

commit 91b31c88351be190108dd35ec32c8956fe1b1e29
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 28 14:22:17 2002 +0000

      * Additional fixes for bootstrap when gettext isn't available.

commit e3366e790b852ff4e29bedb82b0caad1986f8b8e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 28 13:38:14 2002 +0000

      * ./bootstrap: fixed a shell error (replaced "if `foo`" with "if foo").

commit 03fe761ea832e9a8c0f0f17c595ff0ba591ba36c
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 28 12:50:13 2002 +0000

      * ./bootstrap: we should be able to bootstrap CVS even without gettext.

commit d54e32e1fb36a573ed03bb50271ad8573f057b14
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Aug 27 21:53:54 2002 +0000

    fixed a minor bug

commit 2d8a1a708547e450068546985ea4c7ec65a6bc4c
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 27 14:15:24 2002 +0000

      * ./HACKING: we can now use automake-1.5 instead of automake-1.6. But now
        we _really_ depend on it.
      * ./bootstrap: we don't use touch to create a file, because it doesn't seem
        to work everywhere.

commit 685f8edcc3e7bfa3e3a40fd15ecec75c4e01b565
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 23:36:20 2002 +0000

      * ./bootstrap: we touch m4/Makefile.am so that configure doesn't complain
        about a missing m4/Makefile.in.
      * ./include/vlc_common.h: workaround for Borland's redefinition of PACKAGE.

commit 15f3b0f6fa0eac7207eec34e80e1f65506d4f599
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 26 23:00:23 2002 +0000

    * Miscellaneous S/PDIF fixes.
    * New NextPTS() function, to replace CurrentPTS() (gives the PTS which will
      be valid for NEXT byte).
    * Fixed mono mode in the builtin mpeg audio decoder.
    * Various fixes related to PTS calculation in audio decoders.

commit 44fc8c8927a693b57b9e525341167620a9915ac4
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Aug 26 22:54:24 2002 +0000

    have my filter compile by default

commit d8e7b4081d2ee660b78002080654a57001bc2090
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Aug 26 22:35:58 2002 +0000

    An motion blur filter. --blur-factor states the degree of blurring from 1
    to 127. about 100 is cool

commit 8cdab6d5972fbfcb5fd1876099878146c4493d0e
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 21:46:06 2002 +0000

      * ./bootstrap: another fix for old versions of autoconf which don't seem
        to like the gettext m4 files.

commit e3401d578754e7fd0dd49ba18b95b527420f1630
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 20:49:50 2002 +0000

      * ./configure.in: we now require autoconf 2.5x because previous versions
        don't seem to work very well if you are using autopoint, although
        gettext 0.11.5 claims to be fully backwards compatible. Welcome to
        automake hell.
      * ./bootstrap: workaround which uses gettextize if you do not have
        autopoint. We'll probably stay like this for a while, until gettext
        0.11.x (which replaces gettextize with autopoint) becomes more
        widespread. Currently this workaround seems to work, but don't expect
        a clean tarball if you make dist without having used autopoint. Welcome
        to automake hell.

commit 86f23938c10f4823f3389912f898dedd62c73ab7
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 10:02:37 2002 +0000

      * ./Makefile.old, ./modules/gui/win32/win32.bpr: fixed header location
        issues in the Win32 build.

commit 0df46599e8bb39ff2c4c7f8e9ee77fd7c6ec1916
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 09:38:20 2002 +0000

      * ./bootstrap: dropped the dependency on gettext 0.11.5. Now 0.10.4 is OK.

commit b69c9ce1279a154a8bbbe35b16a7bc7480cd967b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 09:12:46 2002 +0000

       (A few minor pending patches I had around)
      * ./debian/control: gnome-vlc recommends vlc-plugin-esd, and kvlc recommends
        vlc-plugin-arts.
      * ./src/misc/messages.c: message queue now prints the current object type.
      * ./modules/*: cosmetic fixes for the --long-help output.

commit 6038883a6d5eeecd1027e32cdf3cc21d58fce8fc
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 08:36:12 2002 +0000

      * ALL: fixed a few include directories.

commit eb395af053ac65f5386bab02a2da920284528f56
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 26 01:01:13 2002 +0000

      * Moved ./include/defs.h to ./config.h
      * Renamed ./include/config.h to ./include/vlc_config.h
      * Other misc auto* fixes.

commit 764176f68884f524ef9a943e260a956ff36bb9a2
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 25 23:18:05 2002 +0000

      * ALL: started the slow move to automake. For the moment, the changes are
        unnoticeable apart from the extra dependency on autoconf, automake and
        gettextize. See the new HACKING file for some information, especially if
        you don't run Linux.
    
        The current strategy is to have the configure script generate a nice
        automake Makefile from Makefile.am, and then clobber it with our good
        old dirty Makefile. Muahaha :-)

commit 8fc89cd7deaf495721f80d862019afecf77cfbac
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Aug 25 20:44:40 2002 +0000

    Directory content is now read at startup.

commit 34c546b2b2864798d3be07b21ad1c5bfd2ce0003
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 25 19:27:20 2002 +0000

      * ./src/playlist/playlist.c: -Z flag makes playlist loop endlessly.

commit 3ece9041e6954b83b226966f9367a88bbdd54536
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Aug 25 17:22:49 2002 +0000

     * all: Unified behaviours using "action list" objects

commit fd94f31b7dbb8725afb35bcc2d63f98c84af89a0
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 25 16:55:55 2002 +0000

      * ./modules/audio_output/oss.c, ./modules/audio_output/sdl.c: improved
        sound synchronization.
      * ./src/audio_output/output.c: reverted another change I previously did :-)

commit 51e9975309f7784ab00dacf9779090f19543a1ab
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 25 09:40:00 2002 +0000

      * ./src/audio_output/output.c: reverted my previous aout_OutputNextBuffer
        prototype change; it looks like we won't need it after all.
      * ./src/audio_output/output.c: if audio output is too slow, but we
        know there is no next packet, then we play it anyway. Rationale behind
        this is: better play a slightly wrongly dated packet than play silence,
        because it might be wrongly dated but there are chances it won't break
        audio continuity.
      * ./modules/audio_output/sdl.c: workaround for SDL's crap audio output
        system (callback gets called at random times, and no way to know the
        latency of the samples being played). Audio output is now rather good
        here, but please give feedback.
      * ./modules/audio_output/oss.c: we delay a bit before asking for a new
        buffer to avoid starvation.

commit 1c79a0fac8b20ea0c8220525a348593e6425fa01
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Aug 24 21:35:31 2002 +0000

     moved id3 related code to a separate utility module since several
    demuxers need it

commit 3b08fd1df2ec973fba8da5506425f1724b998142
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 21:11:21 2002 +0000

      * ./modules/audio_output/oss.c: we don't ask too early for a new buffer,
        but rather sleep a bit.

commit cd7b79940df46203f8985abf720f378c8b498312
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 20:22:34 2002 +0000

      * ./modules/audio_filter/resampler/ugly.c: simple resampler which does not
        insert blank samples, but changes pitch.

commit a60541d164a09ff9d0aa795a285d32c9057eec0d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 24 17:04:36 2002 +0000

    * modules/misc/logger/logger.c: fixed initialization bugs.
    * src/misc/objects.c: in vlc_object_destroy() there's no need to lock structure_lock if
    we are the root object (structure_lock has already been destroyed anyway).

commit 33913b063cae7aa1a820c46937ead1c0a09fc080
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 16:07:48 2002 +0000

      * ./modules/audio_filter/resampler/trivial.c: fixed a buffer size calculation
        issue in the trivial resampler.

commit f02ba9de18c5893b3a20db61dfc7e537b8ae48b9
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 14:49:51 2002 +0000

      * ./configure.in: fixed a typo that prevented compilation of the network
        modules.
      * ./debian/rules: added faad to the package generation.

commit d2f76771d37743e50c0edfbf6d49589da78c1030
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 11:57:07 2002 +0000

      * ./modules/gui/gtk/open.c: the Gtk and GNOME interfaces no longer ignore
        the "dvd", "frequency" and "symbol-rate" variables.

commit c21f684a1b3eafb0c5f8be0c4d12e719a90159cc
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 11:46:44 2002 +0000

      * ./modules/audio_output/oss.c: fixed a bug on module reopening.
      * ./modules/audio_output/oss.c: we now properly set the fragment size.

commit 711160b2a2a3c716670d6f4c0f74a7545db8bddc
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 10:19:43 2002 +0000

      * ./src/audio_output/output.c: added an argument to aout_OutputNextBuffer
        which lets the audio output module give a timeout value for buffer
        delivery. This fixes a few issues with aout modules which were calling
        aout_OutputNextBuffer way too early.

commit d3bdbb2bd0dd7422841fff2271c059f5b57f0a50
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 24 09:55:06 2002 +0000

      * ./debian/*: created legacy packages for smooth upgrades to the upcoming
        0.5.x version, and created the vlc-plugin-svgalib package.

commit 674681b3fff39a0cf0273b467e592e2a7990dc19
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Aug 24 01:14:29 2002 +0000

     fixed an off by factor 10 error. Noted along the way that this module
    seems to be requesting audio some time before the output pipeline is
    finnished

commit 3ccc9c5924ccf334a56e4079a4b6a8637c2f483f
Author: Tony Castley <tcastley@videolan.org>
Date:   Fri Aug 23 14:16:23 2002 +0000

    Rewritten aout3.  BeOS currently PUSHES the audio.

commit f7934b1cd6b31682bcfb83d245e211ce795e7730
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 23 14:05:22 2002 +0000

      * ./modules/codec/faad/decoder.c: the AAC decoder is in sync with aout3.
      * ./modules/codec/a52old/a52old.c: the a52old decoder as well.

commit 3c2a9131dd4b04e91dd712faa790b16f61c55e1e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 22 21:41:23 2002 +0000

      Forgot one file in my previous commit.

commit 90a612c63e11718a0bb5b27c6d12021c9c511137
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 22 17:14:52 2002 +0000

      * ./modules/audio_filter/converter/fixed32tofloat32.c: fixed conversion.
      * ./modules/codec/mad/libmad.c: ported to the latest aout changes. Still
        doesn't work here, though.

commit 00724b734bb27f4ccad42de320f8bdecf60009f3
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 23:19:58 2002 +0000

      * ./include/vlc_common.h: declared aout_fifo_t.

commit a2c6740830bf3acab085b0cdc0bb2426082f719a
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 23:17:41 2002 +0000

      * ./include/aout_internal.h: exported aout_FifoPop to plugins.

commit 1c13a9874579b0640d294389a5f888b81a8926fc
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 21 22:41:59 2002 +0000

    Big round of fixes in the aout3.
    * Audio and video should now _always_ be perfectly in sync.
    * Changes in a52.c (end_date management) must be ported to other codecs,
      otherwise mixer errors will appear.
    * Audio output plug-in can now tell whether they can handle a little
      clock drift (for instance, inserting zeroes after a pause).

commit 692795dc04e2532b23a2bede4942a33434782ba3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Aug 21 19:30:03 2002 +0000

    Stopping vlc from the Familiar interface is possible again.

commit 28ad2fd075be37cb4258af5806896ab042897c09
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 17:31:58 2002 +0000

      * ./src/misc/modules.c: if a plugin requested not to be unloaded, then we
        won't unload it. This makes us more fault-tolerant with crap libraries
        that are making use of atexit().
      * ./configure.in: svgalib can now be a plugin.
      * ./modules/misc/gtk_main.c: gtk_main doesn't need g_atexit anymore.

commit a5a565cb0b6d5b361d680928446b7a3c3dd0b26a
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 15:55:15 2002 +0000

      * ./modules/misc/gtk_main.c: fixed a minor compilation warning.

commit da508b85bc42d6d4b9d6581fb85fcaf907bbefb0
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 15:53:06 2002 +0000

      * ./include/vlc_common.h: we don't set _() and N_() in Gnome-enabled modules
        because <gnome.h> already does it for us.

commit b6aeeca55b99dea051027bd52763cbe9ce4c6240
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 15:10:33 2002 +0000

      * ./modules/video_output/svgalib.c: SVGAlib video output module.
    
        Currently only supports 256 color output, and defaults to 320x200. You need     to be root to use it, it may leave your console in an unusable state, lock
        up your video card, it will segfault at exit if you compile it as a plugin
        because of SVGAlib's ludicrous use of atexit() and signal().
        Apart from these few glitches, it's rather OK, use "-I dummy -V svgalib"
        to activate. Q or Esc to quit (press for a long time if it doesn't work).

commit 18773d093c9c324f3bcc5734bd4accd0d5319152
Author: Xavier Marchesini <xav@videolan.org>
Date:   Wed Aug 21 11:07:42 2002 +0000

    Fixed a polioterie in the previous commit

commit afa6c92607242efb71ff313c744bbd3ded9d3ad6
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 21 09:27:40 2002 +0000

      * ./modules/codec/a52old/a52old.c: ported the old A52 decoder to aout3.
      * ./modules/audio_filter/converter/s16tofloat32.c: converter needed for
        a52old, includes the walken trick and b_in_place = true.

commit 620b69bbc279ac087207681fa16d49640756eed0
Author: Xavier Marchesini <xav@videolan.org>
Date:   Wed Aug 21 09:26:53 2002 +0000

    * libvlc.c : Win32 compilation fix.
    * modules.c : we now check the directory plugins/ to find some plugins.
    (this will allow us to use the packager / installer which wasn't aware
    of plugins -> modules :)

commit 97acd0f3a9be33c502acc3f22c4c8335e70f7293
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Aug 20 22:11:49 2002 +0000

    *Set output format to AOUT_FMT_SPDIF when in spdif mode.
    
    S/PDIF does not work here in oss though (output starving).

commit 80dbbdef1ab631fe0539d99df3e5478649c38730
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 20 21:10:48 2002 +0000

      * ./modules/gui/gtk/display.c: changed the configuration callbacks so that
        all instances of a module get changed when options such as gtk-tooltips
        or gnome-toolbartext are toggled.

commit a3412c816e0c438fa6466ff2259556369c12558c
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 20 21:02:40 2002 +0000

      * ./modules/gui/qnx/*: ported the QNX audio output to the new API, courtesy
        of Pascal Levesque.

commit aeaf6737efee2feb94b4b213456ef8ce2cea6595
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 20 18:25:42 2002 +0000

      (compilation fixes for my previous commit)

commit f0ec49dae50fc8a8e7f7b49d5475d6ba19b94996
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 20 18:08:51 2002 +0000

      * ./modules/misc/gtk_main.c: created the gtk_main module, which simply runs
        gtk_main() in its own thread, and does nothing on subsequent calls. This
        ensures that gtk_main is only running once.
      * ./modules/gui/familiar/*, modules/gui/gtk/*: the familiar, gtk and gnome
        modules are now fully reentrant thanks to their use of the gtk_main module.
      * ./src/libvlc.c: implemented vlc_set(), a wrapper for config_Put* available
        to external programs.
      * ./src/libvlc.c: removed vlc_stop() and vlc_end(), everything is now done
        by vlc_destroy().
      * ./modules/control/rc/rc.c: implemented a few new functions. For instance,
        run "vlc -I rc" and then type "intf gtk" or "intf gnome". You can even
        launch several of them. "segfault" works, too.

commit a890c0eef4c7e5a7b6e562c092fc72e0efe6c0e9
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 20 12:43:59 2002 +0000

       Removed obsolete files which suddenly reappeared.. THE FILES THAT WOULD
     NEVER DIE ! MUUAHAHAHAHAHAAAA !!

commit e6198f86eee663dc6a3204f1c8ec9c6efe74c59e
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 20 12:32:01 2002 +0000

      * ./modules/gui/familiar/familiar.c: added a timer to check when the
        familiar interface is asked to quit.

commit 922ab4d4f4db117d9fd2862224899d659e2b2d8d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 19 23:12:57 2002 +0000

    More changes in the date handling. Should be more tolerant with
    pause/play and change of audio channel.

commit 9a1fd919019c36a4bf85e5366dce96e5f83d9596
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 19 23:07:30 2002 +0000

      * ./modules/audio_output/*: ported the ALSA, aRts, esd and OSS modules to
        the latest aout3 changes.

commit d068701b3be13a67de51be02e77d2960fe1771db
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 19 21:54:37 2002 +0000

    * Fixed BeOS output ;
    * Fixed a few boolean_t.

commit 5ffbc97e759f4e44a9ac33567901de1f5ff5528a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 19 21:31:11 2002 +0000

    * ./configure: Fixed double detection of gethostbyname.
    * Major changes in the handling of dates in the audio output ; still buggy,
    but differently.
    * Fixed a major bug in the aout pre-filters, preventing to run any other
    decoder than liba52.
    * p_aout->output.pf_play now has only one argument.

commit 91b103c21b6055d031d9613fbdef3319c8d3be8b
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Mon Aug 19 17:07:14 2002 +0000

      * modules/audio_output/alsa.c: we now open the device in SetFormat because
        it depends on the audio format. Cosmetic changes. The S/PDIF output may
        work.

commit d2e838ba807bfd161388e28aefa4e151858c728b
Author: Tony Castley <tcastley@videolan.org>
Date:   Mon Aug 19 11:51:03 2002 +0000

    Fixed segfault.  Now fails to load due to incorrect format.
    Getting there :)

commit 47e9705788f3e800161bc722dcc0a4db58f1cdfb
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 19 11:37:57 2002 +0000

      * ./src/misc/cpu.c: we use void(*)(int) instead of sighandler_t because
        mingw32 doesn't know about sighandler_t.

commit 2fa6c9ce280b037c058eed166bfc51e7c70c5d14
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 19 11:13:45 2002 +0000

      * ./src/misc/cpu.c: libvlc now plays nice with SIGILL and restores the
        signal handler to its previous value after use.
      * ./src/libvlc.c: moved signal handling to vlc.c.

commit 9c669a9f8f98c6ff6cf5c72168b485fc1ab21967
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 19 08:30:56 2002 +0000

      * ./modules/visualization/xosd/xosd.c: support for libxosd 1.0.0.
      * ./configure.in: added check for libxosd version.

commit 4df679a4cfc130798215a1688b44aa18b1d2bb9b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 19 08:19:31 2002 +0000

    * modules/video_output/x11/xcommon.c: fixed a bug related to the size of the
    fullscreen window. We also unmap the current window when switching to fullscreen.

commit d377635a891d8312cb898b2f9ef17fdca042e974
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Aug 18 20:36:04 2002 +0000

    - File and directory listing show unix permissions.

commit a444052de358eb931306e1bc881073772fe4aeb4
Author: Eric Petit <titer@videolan.org>
Date:   Sun Aug 18 16:17:32 2002 +0000

    Enhanced BeOS icon ;)

commit 31fe0e91662b3afdc8a24845afcd2a3ec592bc67
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Aug 18 14:33:00 2002 +0000

    removed a line used during debugging

commit 086f0dc8c2ea9f72889a4316031313e2a7c09706
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Aug 18 14:11:35 2002 +0000

     the mp3 demux now parses id3 tags into the info structures if libid3tag
    is available

commit 3dff442ecce707a6f7492b6c35d03ad497df71e5
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 18 13:49:20 2002 +0000

      * ./src/libvlc.c: removed the simple signal handler because it's not
        really needed, and we were calling pthread_mutex_lock from it.
      * ./src/libvlc.c: released a vlc_list_t that caused vlc --list to hang.

commit 894c4adc591553f567168302a363daa315eddeb9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Aug 18 13:16:51 2002 +0000

    doxygen documented my code

commit a580ac79357e0d085ed1354874744b48d73eda07
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Aug 18 13:14:39 2002 +0000

     modules/gui/kde/interface.cpp: made the kde interface look for the rc
    file in DATA_PATH
     modules/gui/kde/kde.cpp and interface.h: removed a stupid class, moved
    stuff from open() to run() to make the kde interface start without
    segfaults.

commit 0ace3bb2f2e67afd98d1e676199ce99256e12a1c
Author: Eric Petit <titer@videolan.org>
Date:   Sun Aug 18 11:32:06 2002 +0000

    Fixed a few linking BeOS problems (-lm, -lstdc++.r4...).
    
    Now everything should compile with every gcc with no problem (mp4, ffmpeg
    and faad plugins, especially).

commit 764fd89e8d5e8511300c46c41217b53ce0cebea0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Aug 17 15:35:10 2002 +0000

     * all : mpeg_audio decoder works now with aout3.

commit fd976a607f32bb1fd8592e984db8e54085f316c0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Aug 17 13:33:00 2002 +0000

    Added filetype information.

commit 4eb6d12b81e07ca7e7daac49623437757de6be4a
Author: Tony Castley <tcastley@videolan.org>
Date:   Sat Aug 17 13:26:57 2002 +0000

    This now compiles in BeOS.  Probably others, the i was not declared.

commit 0aff8fbf88313c00262f5db03a593a09b7b6c9d4
Author: Tony Castley <tcastley@videolan.org>
Date:   Sat Aug 17 08:46:46 2002 +0000

    At least it compiles now.  :-)

commit fa20241712094864befd1fdc9a90fbd82d86d68c
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 16 16:26:23 2002 +0000

      * ./modules/video_output/x11/xcommon.c: we include Xmd.h before dpms.h
        (compilation fix for Solaris).

commit d71af1d60382492bde9d0fb4f93be4bec79dd8fa
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Fri Aug 16 14:30:39 2002 +0000

    Up to date ALSA information.

commit f20532c0c0c1b7c48d352dc98b9421c3e72502cd
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 16 12:31:04 2002 +0000

      * ./src/playlist/playlist.c: added -Z (--random) for endless random playing.

commit ba97736ab86529d03ca3a0d52256c01b6a9b5555
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 16 03:07:56 2002 +0000

      * ./modules/codec/spudec/*: split spudec into the parsing and the rendering
        functions.
      * ./modules/demux/mpeg/audio.c: at least three PS startcodes are required
        before we abort the parsing and consider the input as PS instead of MP3.

commit 647a105d2cec2139ef8299b6eba17255b97ea714
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Thu Aug 15 12:35:50 2002 +0000

      * configure.in, configure: put back the ALSA audio output module in
        configure.

commit 7a165cdc8f39ead19f7273f7500114b1120515cb
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 15 12:22:45 2002 +0000

      * ./src/misc/modules.c: compilation fix.
      * ./modules/gui/win32/preferences.cpp: the Win32 interface doesn't use the
        old module linked list anymore.

commit 5dc2da7377f9b8f683af8b313d3b3c50036c46c5
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 15 12:11:15 2002 +0000

      * ./src/misc/modules.c: the module linked list is going bye bye. We now use
        the vlc_object_* and vlc_list_* functions to manage modules. The Win32
        interface doesn't build, but I'll fix this.

commit 17e19cc14f2d10ab19ccfeb783089337ea4196fd
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Thu Aug 15 10:31:44 2002 +0000

      * modules/audio_output/alsa.c: cleanings and comments.
    
    TODO: S/PDIF mode.

commit 0c7d7aa325a0a3b01ba675134c585430b12dfd72
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Aug 15 08:24:44 2002 +0000

     * compilation fix

commit c698b96fb7979fd2a14473b23db5dc505193d66d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Aug 14 21:50:01 2002 +0000

    Changes in familiar interface:
    - added GtkCList instead of GtkList.
    - added first column sorting order by clicking on column header
    - selecting item from list works
    - reading entire directory list is displayed in GtkCList widget

commit 005be1388992f71eb6c15b01d99110528dfd825e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 14 17:06:53 2002 +0000

      * ./src/misc/objects.c: implemented vlc_list_find() which works like
        vlc_object_find() but returns a list of _all_ the matching objects. Only
        works with FIND_ANYWHERE at the moment.
      * ./modules/gui/gtk/preferences.c, ./modules/gui/kde/preferences.cpp,
        ./modules/gui/win32/preferences.cpp: the module lists in the preferences
        menus work again.
      * ./src/misc/objects.c: added a missing sizeof that caused crashes because
        the reindexing of the global object array was incomplete.
      * ./include/modules_inner.h: propagated the module long description to its
        submodules.

commit 211b2031b690e9de756f3ee20ae711b9e9050672
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 14 13:10:44 2002 +0000

      * ./modules/audio_output/esd.c: compilation fix (aout_FormatTo is obsolete).
      * ./src/audio_output/audio_output.c, ./src/audio_output/mixer.c: fixed a
        horrible sound issue by making sure internal buffers have a size multiple
        of 4 bytes. Waiting for a real fix made in Meuuh, of course.

commit d24f1af688790c05e9983e05033807fa87d45289
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Wed Aug 14 10:50:12 2002 +0000

    ALSA audio output v3.01 is out !

commit ad830330decee89bcdb89283bfeccaaed885c902
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Aug 14 10:18:40 2002 +0000

     * compilation fix (by sam)

commit 68a142e33b9e49455120e770a21682f58db52dff
Author: Tristan Leteurtre <tooney@videolan.org>
Date:   Wed Aug 14 08:50:33 2002 +0000

      . Simple RTP access module : only supports TS payload.
        This first draft is made to read RTP streamed by the vls.

commit c250844e76d20c0b4c1caa6d190d59a8e4608f35
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 14 08:17:24 2002 +0000

      * ./modules/control/rc/rc.c: 'l' outputs a list of all allocated objects,
        just as 'd' displayed a tree of attached objects.
      * ./src/misc/modules.c: added a missing header.

commit 2f1be4f3e563c2bcfe8b51bda25ce804546f8748
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 14 00:43:52 2002 +0000

    * Added a third argument to aout_OutputNextBuffer. In case the buffer
      received does not start exactly at the given date, it indicates if the
      output plug-in is able to compensate for the drift (for instance on
      startup, or with S/PDIF packets), or if we need the aout core to
      resample the coming buffers. It is currently unimplemented.

commit eb93d56d8d76be74193a77ee163462c14af92959
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 14 00:23:59 2002 +0000

    * Changed aout_FormatTo* ; aout_FormatToSize does no longer exist.
      p_buffer now has a i_nb_bytes member. It is possible to indicate for a
      format its byterate (necessary for AC3 and SPDIF).
    * S/PDIF output seems to be working at last (tested with the file output).

commit 321841006c653a16649202899df357f15e49ea64
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Aug 13 22:42:23 2002 +0000

    * New float32to* converter modules, courtesy of Xavier Maillard
      <zedek@fxgsproject.org>.
    * Fixed a bug in float32tos16, where gcc over-optimized a little and
      caused problems on some platforms (eg. solaris).

commit 8456ba1c47321a0c885bbc6f7a61548f5fd7d1c1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Aug 13 20:28:56 2002 +0000

     * clean up some code, add "mp3" short cut.
       And now if this demux has been forced it will (try) to play the whole
    file even if the stream is heavily corrupted (like PS demux).
       But now, it makes less assumptions on the stream, so report any
    problem if it mis-recognizes others files as mpeg audio (specially PS file).

commit 2f67ba3cf2648ad9913d5cc1797266c5e3b7046e
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 13 16:11:15 2002 +0000

      * ./modules/audio_output/arts.c: ported the aRts module to aout3.
      * ./modules/audio_filter/converter/*: fixed a bug in all the converters
        test routines (thx Meuuh).

commit eefc863b234a657dc7c4f87769f5add9f216c17f
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 13 14:53:46 2002 +0000

      * ./modules/audio_output/esd.c: we now properly use the esd_get_latency()
        return value to avoid audio starvation.
      * ./modules/audio_filter/converter/*: a little loop optimization trick.
      * ./src/audio_output/aout_ext-dec.c: removed this deprecated file.

commit a6ef9bbb9dd08a41eae2e68e292c8a91e1df7230
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Tue Aug 13 13:15:14 2002 +0000

    ./modules/control/rc/rc.c: fixed a segfault when pressing 'i' with no
    input

commit 5a64fbd73a07be599b133b8acf703df7d12110c3
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 13 11:59:36 2002 +0000

      * ./modules/audio_output/oss.c: we spare a variable by using p_aout->b_die
        instead of our own variable.
      * ./modules/audio_filter/converter/a52tospdif.c, ./modules/codec/a52.c: added
        <unistd.h>, required for bswap.
      * ./modules/demux/mp4/libmp4.c: removed an unneccessary semicolon in a
        macro definition.
      * ./modules/audio_output/esd.c: first attempt at getting esd to work.
      * ./modules/video_output/*: split sdl.so into a video and an audio plugin,
        and removed useless subdirectories.
      * ./modules/audio_output/sdl.c: compilation fix.

commit f1d40d7e8c1b497cca2521d1d5c7356d390ad426
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 12 22:48:18 2002 +0000

    * Fixed miscellaneous bugs.
    * Fixed an endianness issue in S/PDIF.
    * Added a walken optimization of float32tos16.

commit 89332ee5b2c19caa612aa1e58d2d2542e57f127b
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Aug 12 22:30:07 2002 +0000

     ./modules/demux/mpeg/ps.c: this module never fails the probe and should
    therefore have capability 0

commit 8d5c85f26f79ef0853bb5f23ff33809a8999716c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 12 22:12:51 2002 +0000

    * Fixed a variable overflow bug in the audio output.
    * Prepared for some advances in the aout3 clock management.
    * Added the first stone of the forthcoming stream output.

commit a39d90778548b945d7712debdec7ae9d93212398
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Aug 12 21:43:28 2002 +0000

     ./configure.in: fix linking of i420_rgb

commit 228be8594226e24461a3e26a891199742ceb77d5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Aug 12 21:40:40 2002 +0000

    This conversion should make more sense.

commit 0220726f875614dc6369d89e6875792f7199a98c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Aug 12 20:43:27 2002 +0000

    - Updated configure to build fixed32tos16 and fixed32tofloat32.
      Desperately need a fixed32 mixer for testing the conversions.
    - Uncommented unused functions in libmad.

commit ac4a6e1fe702b2a098c72e160bc375ff6aa2264f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Aug 12 20:38:19 2002 +0000

    Support for browsing local media (not finished).

commit ce39823647da59185ab3a5624d2d61d6f03d9047
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Aug 12 20:35:55 2002 +0000

    Updated Makefile to include fixed32tos16 and fixed32tofloat32 conversions.

commit 4975bffed16c51c08c18af6a1d5a5db3d96cc527
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Aug 12 20:35:18 2002 +0000

    Added fixed32tofloat32 conversion.

commit 12f0b20089c821cbd2a2604ca0d675feb6c0eb7e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Aug 12 20:34:56 2002 +0000

    Added fixed32tos16 filter based upon libmad downscale functionality.

commit c95d91b4cf158a2497d4b1cfb2ab7ba493a584b1
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Aug 12 17:38:10 2002 +0000

     ALL: added GPL headers to my files. Some of the files from the original
    author does still not contain this header.

commit 856c3c047a316e2249bf6ed5a5c051d7ecee549e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Aug 12 17:00:36 2002 +0000

     * all : enable aac demux by default.

commit 77f8e25e5d95327fca7e5734733265217022d628
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Aug 12 16:59:15 2002 +0000

     * all : a demux for aac stream ( raw aac with adts headers ). For now
    it has a capability equal to 0 because it conflicts with PS, so you need
    to force it.

commit ac354f204d8638940d588cb1cb8e1db422d1b5d9
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Aug 12 15:56:57 2002 +0000

      ./Doxyfile: a sample doxygen configuration file. Have a look at
    http://s253c.studby.ntnu.no/vlc/html/index.html to see what doxygen can
    do.
    
      ./doc/doxygen: a place for doxygen to put it's files

commit 6e8f9504cb15556b811badce004b806f69aadb5e
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 12 09:34:15 2002 +0000

      * ./src/misc/objects.c: two big changes in the object API: now objects can
        only have one parent, because I don't want to deal with cycles, and each
        created object is indexed in a global array. This feature is unused yet,
        but it will speed up vlc_object_find(FIND_ANYWHERE).
      * ./debian/rules: activated the faad codec.
      * ./doc/fortunes.txt: new fortune cookies.
      * ./modules/codec/mpeg_video/headers.c: reduced the use of attach/detach.
      * ./modules/audio_output/oss.c: fixed two compilation warnings.

commit 2e448ef8ddd59d81aa28e207bda0bd2b4fcdf1b7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 12 07:40:23 2002 +0000

    Fixed a S/PDIF bug.

commit 0ef062c72149bc5d6c359c4eb7845bf25fcc1b56
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Aug 11 23:26:28 2002 +0000

    S/PDIF fixes.

commit ff840042a29121f697b6721f3b3a8e8f7cbd997c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Aug 11 22:46:34 2002 +0000

    Definition of vlc_fixed_t.

commit fec0d40b5e937a4bd6e646b897703d0b6369fc9f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Aug 11 22:36:35 2002 +0000

    * S/PDIF output should now be working (untested, though).

commit 19457f20af565bf034f270fe5ef7543668a3541c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Aug 11 21:59:46 2002 +0000

    Ported fix from STABLE.

commit 63d7e3c262c0b99585be6f968220567884d1631a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 11 12:27:11 2002 +0000

      * ./modules/misc/memcpy/memcpyaltivec.c: added a missing AltiVec requirement.

commit f688e667064d42a7a6f4a5be62a3ceb48c1d1557
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 11 08:30:01 2002 +0000

    * src/misc/configuration.c: bugfix (don't initialize and free p_module->object_lock
    twice).
    * src/misc/win32_specific.c: missing initializations.
    * modules/demux/mp4/libmp4.c: was missing an #ifdef HAVE_ZLIB_H

commit 9a9f8a1e7abcf6638a03fa8e6b095917d0d423fc
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Aug 11 01:27:01 2002 +0000

    More S/PDIF fixes.

commit a29bce0ba1d8c1d414e821d6ed7def30ecc31823
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Aug 10 23:22:45 2002 +0000

    Imported 0.4.4 Changelog.

commit 37e30b124b64abc0eb521a009392e059fa940177
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Aug 10 20:05:21 2002 +0000

     * modules/codec/faad : an AAC decoder module using libfaad library
    (faad2).
     * modules/demux/mp4/libmp4.c : could compile without zlib.
     * modules/codec/ffmpeg/* : set error resilience to -1 by default.(in
    order to decode more files, but it could produce segfaults ... )
     * Makefile.*, configure.in : enable mp4 by default, add faad
    module (disabled by default ).

commit 7acb51f93a1bd870a3cc12e4836ef485bb465105
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Aug 10 20:01:00 2002 +0000

    * Fixed a bug triggering the trivial resampler when it was unnecessary.

commit eb8abe0a868e9fd77711e8a7654c37b0efe56703
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 10 19:23:06 2002 +0000

      * ./src/misc/messages.c: fixed an extremely old buffer overflow.

commit 5fa75a1f3342a6bee33242d381d136806e621e05
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 10 19:22:45 2002 +0000

      * ./Makefile: fixed "make package-win32".

commit 5bbe0409fc6745f56384e87c703914bbbee4a1a8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Aug 10 18:17:06 2002 +0000

    * modules/video_output/directx/aout.c: adapted the directx audio plugin to aout3.
    * modules/audio_output/waveout.c: adapted the waveout audio plugin to aout3 and
    decreased its score so the directx plugin is selected by default.
    * configure.in: re-enabled the waveout plugin
    
    It's really amazing how much aout3 simplifies these plugins :)

commit f8ec38017a7535b41e2a30c308bae8be1035fd81
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Aug 10 17:54:49 2002 +0000

    Allocation of New buffers seems alright now.

commit 8e11bef57ed1afa1244c9ad0f5d1c265c30d642a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Aug 10 17:53:37 2002 +0000

    Enabled mad plugin again.

commit 8252b141bebbed7b3e047e468c801f3c13c2b4e7
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Aug 10 16:17:14 2002 +0000

      * ./modules/gui/win32/Makefile: fixed the Win32 interface compilation.
      * ./modules/gui/win32/win32.cpp: merged intfwin.cpp into this file.

commit 302020cce36c78c372225b49cbf78662c529dafa
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Aug 10 13:40:46 2002 +0000

    Adapted mad codec plugin to new aout3. Not tested yet.`
    Plugin is not being build by new built structure, this needs to be fixed first.

commit d1aefb4d6814074d51ba4380b09d5d242ebaa2b8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Aug 10 11:35:31 2002 +0000

    Preparation for Qt embedded support.

commit 4c2c599e0ac1a4094ae48cd47f43892135ba1938
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 9 23:52:31 2002 +0000

      * ./include/audio_output.h: small compilation fix.

commit 9000920a11f07bbb88ce12e0efff65f2f0c8cf5c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 9 23:47:23 2002 +0000

    * Trivial resampler plug-in (resampling still non-functional)
    * Begun writing some hooks for forthcoming S/PDIF support
    * ./modules/access/vcd/cdrom.c: compile fix for Darwin

commit 7ba73a88cb1eb800e840573744a65416d8c0cdcc
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 9 22:25:36 2002 +0000

      * Removed the plugins/ directory.

commit a46b30014c1b8a71af701738c8064d2609377e71
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 9 16:39:08 2002 +0000

      * ./src/libvlc.c: p_vlc->pf_memset is now usable (it's always the libc
        default though).

commit be0b42d9fc90e3acb22a1d00f0f00319cd1c12a5
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 9 16:38:27 2002 +0000

      * ./Makefile: fixed a sed command syntax.

commit 05e3077cc5f7e73b99a36e0ffccbcc26224bfa21
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 8 22:28:23 2002 +0000

      * ./include/modules_inner.h: support for several modules with the same
        name but with different directory names.
      * ./Makefile: plugins get installed in different directory names.
      * ALL: additional -ansi -pedantic fixes.

commit 58c63dc9508b1662fc9fc0ffe91694900baa1bc2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Aug 8 22:26:56 2002 +0000

    Added another level of directory in audio_filter/.

commit 7689bc9224e3d9516c56126980cb68eadca6fcaf
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 8 00:35:11 2002 +0000

      * ./modules/audio_output/oss.c: compilation fixes.
      * ALL: lots of -ansi -pedantic fixes.

commit 123b3214ec0802b2c8d1ce6c693dd3b79e1ada31
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 7 21:36:56 2002 +0000

    Audio output 3. Expect major breakages.

commit cd7a6631a91eee7a22259923d88f94a043f82f7d
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 7 00:31:09 2002 +0000

      * added a .cvsignore file.

commit 66c62b438630d3836cfe5c15226ae0a9db89a342
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 7 00:29:37 2002 +0000

      * ./modules/demux/mpeg/system.c: added a helper plugin for MPEG-related
        demux plugins (ps, ts, but also dvd*).
      * ./src/input/mpeg_system.c: removed MPEG-related stuff from the vlc core.
      * ./src/misc/modules.c: max recursion level is now 5.
      * ./modules/access/dvdplay/es.c: fixed a buffer overflow.

commit d669f1c3260b1db796372a63daee2fd221cf294a
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Tue Aug 6 23:43:58 2002 +0000

      * ./modules/gui/macosx/open.m: compile fix

commit bc45ea42f1cb6c101dad712c643afd258a2ee958
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Aug 6 20:04:26 2002 +0000

    Removed the MODULES file, because on case-insensitive filesystems, it
    conflicts with the modules/ directory.

commit f3d5e97b897b8fd1589996983d447179c070044c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Aug 6 19:31:18 2002 +0000

    Sam I hate you ;-)

commit f66d8124c99fd0c3aa7d81ef7419ff09018f8a7b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Aug 6 19:12:07 2002 +0000

    Playing video from within the interface works.

commit 9c383652e896856a0f0b6e1994074250def894e0
Author: Tony Castley <tcastley@videolan.org>
Date:   Tue Aug 6 10:54:34 2002 +0000

    Fixed include call.  Now compiles and BeOS version runs :)

commit 50b8a062abf436a5dde7bdd11bf07b09db86a205
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 6 00:26:48 2002 +0000

      * ./Makefile, ./mozilla/Makefile: make uninstall removes vlc-specific dirs.
      * ./src/misc/modules.c: the directory browsing should be more portable now,
        we use stat(2) instead of file->d_type.

commit 2ce0ff5d232e7a8e3a38e825d2eca249701057fc
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 5 16:27:49 2002 +0000

      * ./Makefile: fixed directory browsing with "clean" and "distclean" rules.

commit 6b9376dbe610d639e3b35958ec6e852c8ebff6a7
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 5 15:16:18 2002 +0000

      * ./modules/codec/dv/dv.c: decoder for the DV format, uses libdv.

commit ec435327da71a13bad8e1daa6d6f58600925bca1
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 5 11:48:56 2002 +0000

      * ./Makefile.opts.in: fixed the builtins_LDFLAGS regexp so that it works
        with the Solaris sed.
      * ./src/misc/modules.c: fixed a warning caused by misuse of const.

commit f29bc259d238e10652e98f8567d8d3a13808e218
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Aug 4 23:03:10 2002 +0000

     * oups, removed 'include vdec_ext-plugins.h'. And I set
    ffmpeg-error-resilience to -1 by default ( I've found to many files that
    didn't like error resilience...)

commit b1c4cebb564871adfe97a84ada5faa3b706a9208
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Aug 4 22:16:28 2002 +0000

     * add compilation of postprocessing modules for ffmpeg.

commit d25c5e06f0d064ac6bb7ee1bf77c92cf3946decd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Aug 4 22:13:06 2002 +0000

     * add post processing modules.( As defined in MPEG4 ISO) There are C,
    mmx, mmxext version, but only mmxext is really usable (other need a
     _lot_ of CPU power).
    
    There are new options for ffmpeg plugins :
     --ffmpeg-pp to choose postprocessing module( c, mmx, mmext or mmx2 )
     --ffmpeg-pp-q to choose quality( 0..6 )
     --ffmpeg-db-?? ( where first ? is for y or c, and the other ? for v or h )
    to force deblocking on luminance(y)/chrominance(c) horizontally or
    vertically.
     --ffmpeg-dr-? ( where ? is y or c ) to force dering on ...

commit 25235c6d1b20e04092ced48179f7f35cceea7dce
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 21:29:08 2002 +0000

      * ./Makefile: make clean works again.

commit d860bddfc2c3abea5bfb3cffe0a65ed91863c27e
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 20:04:11 2002 +0000

      * ./src/misc/modules.c: if a module name starts with "$", vlc calls
        config_GetPsz and uses the result instead.

commit 5db40ebfa4e1ab5cfc0f751f62b2704b410bc4ae
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 18:39:41 2002 +0000

      * ./include/vdec_ext-plugins.h: removed this public header and put it
        in ./modules/codec/mpeg_video/.

commit f512682c9780b10e3460705d38556d64bbfc3f1a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 17:40:49 2002 +0000

      * ./modules/misc/dummy/decoder.c: the dummy codec now uses GetChunk instead
        of GetBits and doesn't get stuck on high bitrate movies (thanks fenrir).

commit 19ea8feb6db01c1deafb19f35ecee8eff81aeb02
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 17:23:44 2002 +0000

      * ./modules/*: moved plugins to the new tree. Yet untested builds include
        waveout, directx, qnx, beos, win32, macosx, and the AltiVec modules.
      * ALL: removed mention of AC3 in favour of A52.
      * ./configure.in, ./Makefile*: modules can now be built deeper than 1
        directory. As a consequence, the build is even slower (but I'm fixing
        this) and make clean doesn't work anymore.

commit e5a6cfeafb19d8a97eda682c9fb853af68d1df56
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 12:18:41 2002 +0000

      * ./src/misc/modules.c: we now recursively parse directories when
        looking for plugins.

commit 981dcc18ab20bb7f12fac5939bc2b01c37418be7
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 08:45:35 2002 +0000

      * ./configure.in, ./mozilla/Makefile: we link the Mozilla plugin with libXt.

commit 934d98e3b9788c02d18afa1430aba90451458118
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 4 08:28:22 2002 +0000

      * ./plugins/memcpy/memcpy.c: fixed an include position which prevented
        fast_memcpy to be exported with its proper builtin symbol name.

commit 4ad5af5c4b4948634c1c0101d3e8d3267b724c26
Author: Tony Castley <tcastley@videolan.org>
Date:   Fri Aug 2 04:31:03 2002 +0000

    Forgot new file in Makefile :)

commit 04f8a699c74367adf6836a1d4c26f788a6c48587
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Aug 1 22:58:38 2002 +0000

      * ./plugins/idct/idctaltivec.c: compile fix

commit d049dd48cba1c533049e54846ced92050492193b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Aug 1 17:55:31 2002 +0000

     avi.c: remove an old debug purpose printf :)

commit 81d100989b8eed13ac32d24a048ec8e640b5603c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Aug 1 12:58:38 2002 +0000

    * Added a --dvd-css-method config option to the dvd plugin. This is implemented with
    putenv() and is IMHO a quick hack (leads to memory leaks) as libdvdcss should rather
    allow us to change this value using the API!

commit 9d176b9bf044c18689279f4f0f63390a4fbd04dc
Author: Tony Castley <tcastley@videolan.org>
Date:   Thu Aug 1 12:36:26 2002 +0000

    Compilation fixes.

commit bbe70b81a082f6abb87250ea101419ae0368cc0d
Author: Tony Castley <tcastley@videolan.org>
Date:   Thu Aug 1 11:04:46 2002 +0000

    Compilation fixes for C++ environments like BeOS.

commit 1f327d873229279968801eacfa15265278fd0550
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 31 22:54:21 2002 +0000

      * ./include/configuration.h, ./include/modules_inner.h: compilation fix for
        compilers which don't support constructor expressions. I hate Borland.

commit b3845b528238e6a913e755fa7fedb11ff4ba4612
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 31 22:37:28 2002 +0000

      * ./plugins/win32/*, ./plugins/directx/*: Win32 compilation fixes (but
        still not working under Borland).

commit 976dfc3eb46069ea3b920dec899e0c13ccf17c96
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 31 20:56:53 2002 +0000

      * ALL: new module API. Makes a few things a lot simpler, and we gain
        about 2000 lines of code.
    
        I could not test everything on every architecture, so please report
        any module breakage (especially on BeOS, OSX and QNX).

commit 8a8c1fcacec94e91b635b4a6827949772a81c16f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Jul 30 17:14:33 2002 +0000

    * plugins/directx/vout_directx.h: removed unused variables.
    * plugins/directx/vout_events.c: fixed resizing bug.

commit 3460709974c4f5b49b0c33ad7a8a25c6d7616ce4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Jul 30 07:56:40 2002 +0000

    * include/vlc_threads.h: fixed the --fast-mutex option.

commit d6052740f4b47a767d499e0f77c9e7213a80db34
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Jul 29 19:07:00 2002 +0000

    * plugins/directx/vout_directx.*: the directx vout plugin now uses the
    IID_IDirectDrawSurface2 interface, this shouldn't break anything and we should now
    support WinNT4+DirectX3.
    Some code cleanup too.
    * plugins/directx/vout_events.c: small bugfix.

commit 7152ccea2f749906239863f826910169e0e2fad9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Jul 29 19:05:47 2002 +0000

    * include/vlc_threads.h,include/main.h,src/misc/threads.c,src/misc/win32_specific.c:
    reverted Win32 pthread implementation to the old code. Fixed vlc_cond_broadcast() for
    WinNT/2K/XP. Additional vlc_cond_* implementations for Win9x.
    * src/libvlc.h: renamed --fast_pthread option into --fast-mutex. Added a
    --win9x-cv-method option to choose which vlc_cond_* implementation we want on Win9x.

commit 1a72379607a0d5b07718a84e13dfbd0fb65a9db1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Jul 29 19:01:27 2002 +0000

    * plugins/network/ipv6.c: attempt to fix the win32 implementation. Multicast should even
    work (untested) although we'll need to find a way to replace if_nametoindex() to have a
    fully functionnal win32 port.

commit 8d54c1f792cceda7ff91833afd133d9711c7a75b
Author: Tony Castley <tcastley@videolan.org>
Date:   Sun Jul 28 01:46:26 2002 +0000

    Fixed lockup on some overlay enabled cards.
    Fixed on top function.

commit 5ef12c635d700b2ca7e2ea44ee1139f3d1c83892
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 26 00:03:37 2002 +0000

    Haven't thought that maybe people don't want their email to appear on the
    Web :p.

commit 926c569e4297a0fe398187f89fbdc256116c764a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 25 22:48:56 2002 +0000

    * ./README.MacOSX.rtf : updated README.
    * ./plugins/macosx/vout_macosx.c : additional QuickTime fix, thanks to
      David Eldred <skipper@apple.com>.

commit e80140af07e31e359f417225b2a8f80b55beaae3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 25 22:48:56 2002 +0000

    * ./README.MacOSX.rtf : updated README.
    * ./plugins/macosx/vout_macosx.c : additional QuickTime fix, thanks to
      David Eldred <*******@apple.com>.

commit 67e0e7953ead7430db676c6997476082dec2fec7
Author: Loïc Minier <lool@videolan.org>
Date:   Thu Jul 25 22:34:37 2002 +0000

      * ./FAQ: removed QT6 / QT6 Preview "bug"

commit 41caeb7533819845f5808420654a3a2a37573903
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 25 22:14:21 2002 +0000

    * Updated Changelog for 0.4.3 release.

commit 7d4f8eb4371dd03261f3687756e79bbd2003d0f8
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Jul 25 21:53:53 2002 +0000

      plugin/access/http.c: cosmetic fixes in an error message
      src/input/*: removed some testcode and some unnecessary debug messages

commit f168630004ea8f401c3cf035035486dc73c0d82b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 25 21:51:12 2002 +0000

    Ported QuickTime 6 fix.

commit 0f1de50e835c2f1fb21d812bfab9ef3d7ad4ec4f
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 25 21:02:40 2002 +0000

      * Updated ChangeLog.

commit cf1164faba5e9c7cf8c05d32c1ab6373cb1095a4
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Jul 25 20:34:35 2002 +0000

    *Use dvdplay after it has completed initialisation. It should avoid
    some corruption leading to evil crash :)

commit 44ed9d3c02dfa173cf3996a9512f4e8b82691e8a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 24 23:11:55 2002 +0000

    * ./configure : better detection of IPv6, fixed solaris handling
    * ./src/input/* : fixed a memory leak

commit 30b91066e585c07ea9532162455506410affa41a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Jul 24 20:46:08 2002 +0000

    Working on functionality.

commit 368b29b13db3c61b2a28f0c92dc6364f0f8d4a71
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Jul 24 18:31:24 2002 +0000

      * ./plugins/access/http.c: we are now parsing the http return code and
    failing cleanly if it is >= 400

commit 9ecfdd4bcaedf3f55f36a7c5bfa9e4c626a4a398
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 24 16:21:46 2002 +0000

      * ./plugins/mpeg_system/mpeg_es.c: reverted an unnecessary fix.

commit ee62b5911264408f6e119d874851a187be8eaf58
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Jul 24 15:59:02 2002 +0000

    Used buttons instead of pixmaps. Just looks a lot better ;-).

commit 5ce8ea5d2063eb9f2710bce161905a86e26ef681
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Jul 24 15:58:24 2002 +0000

    XPM version of VideoLAN logo.

commit 347c0fec445debf826f6194aca3fec9aeddd6db0
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 24 15:21:47 2002 +0000

      * ./plugins/mpeg_system/mpeg_es.c: fixed a segfault when no decoder was
        found (p_fifo might be NULL).
      * ./plugins/mpeg_system/mpeg_es.c, ./src/input/input_ext-dec.c: fixed
        a deadlock issue with demuxers waiting on p_fifo->data_lock.

commit bd0431f64f0b1f41777f5eb4aaad5cf575a6858c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jul 23 23:22:28 2002 +0000

    Swedish translation, courtesy of Joel Arvidsson <dogai@privat.utfors.se>
    (incomplete and untested).

commit 71f0ea694a90784a5fa95c01d36f0b616fa2e304
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Jul 23 22:42:20 2002 +0000

     * ffmpeg : add a new fourcc, ( 3IV2 you shoudln't be able to decode it
    but sometimes it's in fact MPEG-4, thx titer ).
    
     * mp4 : add capability to read mov with mp3 track. But it seems that
    mad doesn't like too much fragmented data packets, and thus breaks the
    audio.( since with '--codec dummy' I'm able to read resulting audio file
    without any problem :)

commit e42c8d0f78945163df1dc25fdeed1115cb1a65be
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jul 23 20:50:05 2002 +0000

    Fixed a compile issue.

commit d8ce56a17caf61da6d2880c9d53373c542f6a8cd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jul 23 20:32:55 2002 +0000

    Fixed a bug with HTTP/1.0 servers (thanks sigmund !)

commit 33889bca06bc74ea321576df9e261765d88c018a
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 23 20:16:36 2002 +0000

      * ./mozilla/Makefile: fixed dependencies on .h files.
      * ./plugins/filter/distort.c: fixed a typo in option names.

commit 8877066d290315fe947a39681d837dd01e95be92
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 23 20:15:41 2002 +0000

      * ./plugins/dummy/dec_dummy.c: new dummy decoder, for testing purposes.
    
       Usage: "--codec dummy" will use the dummy decoder for all streams, and
      save the stream to a stream.1242 file (where 1242 is the internal vlc
      object ID). If the input file was for instance an mpeg file, you can
      play one of the resulting files using an mp3 player.

commit 255db0098c533f362831a0bf3744539284c59617
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 23 20:12:55 2002 +0000

      * ./configure.in: workaround Debian bug #150490 (bad mozilla-config output).
      * ./mozilla/vlcplugin.h: added .mov and .mp4 files to the plugin.
      * ./Makefile: we no longer try to merge .a files into libvlc.a, but rather
        add them to the vlc-config output.

commit 8a430a8819ec7febd9cfa842e9777c4b4c4897e5
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Jul 23 19:56:19 2002 +0000

    *first version of plugin for libdvdplay. To test it, you need to have
     libdvdplay installed (available from videolan CVS), and request plugins
    compilation in the usual way:
    	--enable-dvdplay.
    Note that libdvdplay needs libdvdread and libdvdcss.
    
    Currently it has only been tested under linux, with gnome interface (optional)
    and xvideo output.
    
    What works (more or less):
     -DVD reading in some rare cases :) (title and menus),
     -Menu pause,
     -Seeking,
     -Selecting directly a specific title/chapter/angle,
     -Changing audio, sub-picture, angle during playback,
     -Interactive menus with mouse only.
    
    What is missing:
     -Menu buttons highlighting (needs spudec patch),
     -Keyboard interaction (needs a specific part in port specific plugins),
     -A specific interface to navigate through menus (needs that I move my ass),
     -Interactive menus won't work with other output plugins so long as they
      have not been patched to send mouse/keyboard events to vlc interface,
     -Whatever you need.
    
    Known bugs (bugs in libdvdplay mostly):
     -Seeking in some menus or intro titles (bad vobu map),
     -Read/seek error with some DVDs,
     -the configure needs tweaking,
     -numerous segfaults,
     -decoder/output modules locking error,
     -fuzzy colors in menus when spudec is active (default in menus).
    
    The plugin is not guaranteed to work anywhere outside my computer. If it break your, don't come and complain to me :).

commit eddfb25c302b6dd5f2e38ce98444560c9f75dba5
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Jul 23 19:28:25 2002 +0000

    *Allow 0 for title selection as it is the area for first play pgc in DVDs

commit ba3401faa83535375cd8014cc867b10dda2849b5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Jul 23 18:39:29 2002 +0000

    Interface neatly exits now.

commit 6f67ff83949e6947931492035c9a562722cfe99f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Jul 23 17:19:02 2002 +0000

     * cinepak: add a new fourcc
    
     * ffmpeg and mp4: some clean up and change the way ffmpeg is
    initialised.

commit d5eeda896ab0fef946f5024d192e34c0743e2bf7
Author: Tony Castley <tcastley@videolan.org>
Date:   Tue Jul 23 13:16:51 2002 +0000

    Fixed code for subtitle and audio selection, still probs but looking.
    Implemented muting

commit 2a2cf8b1b96d01047750f6c4d6de6e8a92fdba9c
Author: Tony Castley <tcastley@videolan.org>
Date:   Tue Jul 23 12:42:17 2002 +0000

    Changes to ensure BeOS plugins compile and function
    Implemented a intf_vlc_wrapper to "shield" the BeOS code from the underlying
    vlc structurs, yet to be completed.
    Attempted to fix subtitle and audio selection, currently not working.

commit 64d33dc9bce423db858b4d628248021d00abd404
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 23 00:39:17 2002 +0000

      * ALL: decoders now use a fourcc as a probe value.
      * include/input_ext-intf.h: killed p_es->b_audio, since i_cat already fills
        its purpose.
      * include/input_ext-intf.h: killed p_es->i_type in favour of p_es->i_fourcc.
      * include/video.h: killed p_pic->p_plane->b_margin; now i_visible_pitch is
        always valid.
    
      * ./src/libvlc.h: replaced --mpeg-adec and --ac3-adec with --codec; see
        vlc --help for more information.
    
      * include/video.h: removed fourcc values which should _not_ be global
        (thanks fenrir for convincing me).
      * ALL: video output plugins use the VLC_FOURCC macro to build their fourccs.
      * ./plugins/beos/InterfaceWindow.cpp: removed the last remaining call to
        input_ChangeES.
    
       Things I'm not sure about and need comments:
        - I used "mpga" and "mpgv" for MPEG (1+2) audio and video fourcc values.
        - I also introduced "spu ", "lpcm" and "ac3 ".
        - I removed for instance "MP4_GetCodec" because it wasn't really
          used except for the description string. I hope this change did not
          break anything really important.
        - fenrir, I must have broken a lot of things you wrote. Sorry in advance.

commit 97bf3e7d5016e204ba2858094baa60fe02465316
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 23 00:30:22 2002 +0000

      * ./src/input/input_info.c, ./src/misc/messages.c: initialized the first
        vasprintf arguments to NULL for extra safety.

commit 4b1b77b6f20194b3c0e30f38723e3c01859bd903
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 22 22:19:49 2002 +0000

      * ./src/misc/modules.c: added the "any" and "none" keywords to the module
        selection string. "any" matches any module, and "none" always fails.
    
        You can for instance use "--vout none" to disable video output, or
        "--intf gtk,any" to use the gtk interface or any other one if gtk isn't
        available. Hope it's clear :)

commit 720b483b5b98c03f4404114a9c346c56bd1a9908
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Jul 22 21:14:30 2002 +0000

    win32 compilation fixes

commit effab3c5eae841ac63622566a053e1e4f2c7bbfc
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 21:04:55 2002 +0000

    Fixed gtk core-dump on exit. Used code from gtk plugin for this.

commit 8d9c1ec62d97b5da6113ff2c7bbe42abf5f1cc6b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 20:52:42 2002 +0000

    Non-functional Familiar Linux user interface.

commit 10f8855d2d02513f48ec7249dcf783dcc752c689
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 19:49:40 2002 +0000

    Now "vlc --intf familiar" spawns interface.

commit fc39d64946045fe7135e940b8510e324bafba5e6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 13:49:42 2002 +0000

    Familiar Linux interface (non functional yet).

commit 91cf1f1b61f35eb0e7451441655465d5e8b17236
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 13:49:04 2002 +0000

    VCR icon buttons for Familiar Linux interface.

commit afba69f8d6270f64f027d60a6cef8b1f0e3a8a83
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 13:48:13 2002 +0000

    Added --enable-familiar to configure.in, the default is disabled.

commit b636e582e850e189a48a239541ce9a81f4283aae
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Jul 22 13:09:27 2002 +0000

    Updated TODO list.

commit 82ae7bc8017575911c184393724d1f6f696e303b
Author: Tony Castley <tcastley@videolan.org>
Date:   Mon Jul 22 11:39:56 2002 +0000

    Implemented simple right click menu
    Improved Overlay bitmap handling
    Removed switch workplace bug

commit 3d74c9588f8ad12e9d17ef879f1edefe996cfb03
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jul 21 23:40:24 2002 +0000

      * ./src/input/input_ext-plugins.c: reverted my previous fix which wasn't
        really a fix.
      * ./plugins/memcpy/fastmemcpy.h: commented out suspicious code.

commit d1bd0868bf75294fe7031edbdc49b3384f5c3e81
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 21:18:15 2002 +0000

     * mp4 : improve mp4a detection/handling.

commit 54c0e5d7a957a367f8e1b92bcfe354846aac7993
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 19:57:22 2002 +0000

     * all : can now read mp4 file with mp3 audio declared in mp4a box
    Thanks to jlj to show me this and to tell me what to check to solve it.

commit 49b3f18a94cb170302233d89e00e431695046397
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Jul 21 19:26:13 2002 +0000

     * all: these didn't get along in my last commit

commit e8c3839821d3f2017bfcc12cfc6bb0b108dae513
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Jul 21 18:57:02 2002 +0000

      * ./src/libvlc.c: updated usage info to include STRING_FROM_LIST
        configuration items.
      * rest: new input info subsystem.
    
    Have a look in plugins/mpeg_system/mpeg_audio.c to see how to add info.
    Have a look in plugins/text/rc.c to see how to read info.
    
    
    Sigmund

commit 3b00aed713e738f366685b4c0c1ea783be7f16c5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 18:47:22 2002 +0000

     * mp4 : use same endian for fourcc than one used in vlc (video.h if I'm
    right).
     * cinepak : take care of grayscale option.

commit 670718e9ad93c1c430e69eda22e0c55a72aef1d3
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jul 21 15:27:09 2002 +0000

      * ./debian/control: changed "interface plugin" occurences to "frontend" to
        make package descriptions less misleading.
      * ./bootstrap.sh: use C locale for generating vlc_symbols.h.
      * ./bootstrap.sh: don't generate pofiles by default.

commit aeb8f8596af87f5f5604a49e3d37273c7f68469f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 15:18:29 2002 +0000

     * all : enable cinepak decoder, I hope I haven't break anything.

commit ff3794bc53e42bd665f665bdce34baf501116618
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 15:13:19 2002 +0000

     * all : enable cinepak, clean some functions, fix some memory leaks

commit d710a2d5af4d783a5924cf71a50d8af1fc96a126
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 15:11:55 2002 +0000

     * all : a cinepak (cvid) video decoder ( codec found in old .mov ).

commit 54e5b4ce5bf90141e29282b9b9955b3274166307
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jul 21 15:07:39 2002 +0000

     * all : try to add an option to allow frame droppping (
    --enable-hurry-up ). Begin to work.

commit 9697b4799662e0f1bf2b597e364d93940d572e49
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jul 21 14:32:35 2002 +0000

      * ./src/input/input_ext-plugins.c: added a missing lock to input_SplitBuffer
        which was causing crashes with some demux plugins (mpeg_audio, avi).

commit c7fe104b1cd695c07b50ef13733ed90341a47510
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Jul 20 22:31:08 2002 +0000

    * Added -lrt for HP/UX port.

commit 3dd66e381cdf00eb1a3fb3b0e78c9c0592e89fec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Jul 20 18:53:33 2002 +0000

     * ffmpeg : add a new option, it set the level of error resilience.
    It allows to play mpeg4 file badly encoded(illegal VLC code).(Sam you
    should be able to play your .mp4 file by setting it to -1, with recent
    ffmpeg cvs).

commit bf9b62a4ea50a2ac124711378775c1def87243ca
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jul 20 18:01:43 2002 +0000

      * ALL: changed "struct foo_s" into "struct foo_t" to make greppers happy.
      * ./src/libvlc.c, ./include/vlc/vlc.h: created reentrant versions of the
        libvlc API.
      * ./src/vlc.c: vlc uses the non-reentrant libvlc functions.
      * ./mozilla/vlcplugin.c: the mozilla plugin uses the reentrant functions.
      * ./debian/*: created packages for libvlc0-dev.

commit d033d98b73c8ad5470e63e56afc9ee01024cb3d3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 19 22:04:37 2002 +0000

    * ./plugins/a52/a52.c : Added a global lock to prevent two VLC threads to
      call a liba52 function simultaneously (liba52 isn't reentrant) ;
    * ./plugins/a52/a52.c : Made liba52 the default AC3 decoder.

commit 94bdf708ec0a652c45a9c001716f3112c4c73434
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 19 21:14:13 2002 +0000

    * New --mtu option.

commit b2da05448094f614befeef3bf237235d8ab097c7
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 18 01:23:44 2002 +0000

      * ./configure.in: we no longer check for a specific function in -lphtread
        because some systems (such as HP-UX...) have them inlined.

commit 37d87c4c66d95d708f468b54096be06306be24d8
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 18 01:11:17 2002 +0000

      * ./Makefile.modules: we don't chmod -x the compiled plugins because of
        HP-UX's dynamic linker which would otherwise be unable to open them.

commit faafc91b7778453f1e1832b400e5de01553f4877
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 18 01:02:07 2002 +0000

      * ./configure: rebuilt using the newest autotools.

commit fa428954969d3a368b5f0a20505558acd1e4c1a6
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 18 01:00:41 2002 +0000

      * ./src/vlc.c, ./src/libvlc.c: added more robust consistency checks.

commit ed74b8c7d1917940b4ea01ffb8f9f25beec868f8
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Jul 18 00:59:12 2002 +0000

      * ./configure.in: fixed description of MP4 module

commit 67148d82a6876446d6e851c01ba060eee16607c9
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 18 00:58:38 2002 +0000

      * ./doc/fortunes.txt: added a selection of Lool's fortune cookies.

commit e58ef94f5aae091dec6d8748f4ff77fba151e32a
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Jul 18 00:54:17 2002 +0000

      * ./configure.in: added mp4 module, default disabled

commit 59b254b8dc228802bade4de46c5b2054acf0b8f2
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Wed Jul 17 22:23:20 2002 +0000

      * ./src/misc/darwin_specific.c: s/vlc_object_t/vlc_t

commit 29e74ec5778c4297c6ac58aa6ad77dd92aa13e43
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 17 21:58:21 2002 +0000

    * ./configure : fixed Mac OS X compilation which was broken on some machines
    * ./include/vlc/vlc.h : include os_specific.h

commit a08221745a28e350736f1ca68b6034074ed3f2e1
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jul 17 21:54:37 2002 +0000

    Interface creation and destruction functions are now exported to plugins
    so that any plugin can spawn a new interface.

commit 960df9a902a6b1371fbb8793e77e48cf1450c554
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Jul 17 21:37:27 2002 +0000

     * all : preliminary mp4 (and some mov) demux plugin. I've not enabled
    it ( add by hand to Makefile ... and link it with zlib -lz ) as I will
    probably break it too many times. It work for some mp4(but without
    audio, need aac decoder) and mov with sorenson v1(ffmpeg :).

commit 7d5c3cfde31744e1a7b77a60235bfd61c740f512
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jul 17 21:34:57 2002 +0000

    Fixed a bug in the computation of the mouse coordinates sent to interface.

commit a2447211a27d85d0cd9fcea1ebdcae22c77eaa74
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 17 21:38:48 2002 +0000

    Fixed nanosleep detection on some platforms.

commit 7f59683caad3d0aa4ffd8a719d1249c064bd2f92
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jul 17 21:28:19 2002 +0000

    Added a 'dvdold' shortcut to force the use of the dvd plugin in case
    another plugin with higher priority wants to use 'dvd' as shortcut.

commit 039cdf378f69c08a83a9ab9c52d8cefa068123de
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jul 17 21:24:06 2002 +0000

    The loop in lpcm decoder DecodeFrame() could not exit after b_die
    in some case

commit 7076def3b0311d614f780a2b53d7f5e3ad3732f6
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 17 12:21:44 2002 +0000

      * ./configure.in: plugin compilation fix for HP-UX.

commit 30a057c91ec029d7b37751d5e869bafa733427c7
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 17 10:01:12 2002 +0000

      * ./configure.in: better protection of CFLAGS and LDFLAGS. Should also fix
        remaining issues with XvPutImage detection, please confirm!

commit 0010fbbd48de5b12c3aa603d67e80ecdb25537a9
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 17 06:40:49 2002 +0000

      * ./plugins/alsa/alsa.c: ALSA device selection patch, courtesy of John
        Paul Lorenti <jpl31@columbia.edu>.

commit 6a5bd8b20035b6b36d29cbb38af8a016686a9944
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jul 16 21:59:39 2002 +0000

    * ./Makefile : src/misc/modules_builtin.h now depends on Makefile.config.

commit 4ad9a1861f0f7202c1bab7fcc14a8f2d6776a942
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 16 21:29:10 2002 +0000

      * ./src/misc/threads.c: improved lazy initialization of the global lock.

commit 33f60028115112d754c6cd32f4b0c76cab768b1d
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 16 21:28:48 2002 +0000

      * ./doc/fortunes.txt: a few IRC fortune cookies for those with too much
        time on their hands.

commit 77a6ebf862b2eb1da948a9e206dbe498622e1334
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 16 21:25:43 2002 +0000

      * ./plugins/mpeg_vdec/video_parser.c, ./src/input/input_programs.c: fixed
        a few uninitialized variables.

commit ba45505c117110c367d6dc034653c6a9c0a6bcc4
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Tue Jul 16 20:41:48 2002 +0000

      * MacOS X: added deinterlace submenu

commit 974052ffdfacbaaaf63f6855488167040ed9bfc9
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Jul 15 23:05:46 2002 +0000

      * ./plugins/access/http.c: fixed memory leak.

commit b2afa3ea8d7a63712c39a9fb0c2b86880f1a0cb9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Jul 15 22:45:12 2002 +0000

     ffmpeg.c : fix my previous commit( I've forgotten one #if ... #endif )
    (Thx sam)

commit 7e648e8ceea6a1d213ac166d5ad53d3634fff515
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Jul 15 22:20:47 2002 +0000

      * ./plugins/access/http.c: fixed double free bug.

commit 55545622ab2370903188ce700afaf6a81d7fc458
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 15 22:05:59 2002 +0000

      * ./configure.in: fixed a typo in my previous commit (thx fenrir).

commit 063bbcded2d2cb599a3c81912f0847f76fd6321f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 15 20:09:31 2002 +0000

      * ./plugins/*: interface plugins set p_vlc->b_die to quit vlc, but check
        for p_intf->b_die to know when they are supposed to terminate p_intf. This
        will allow to spawn interface plugins on the fly.

commit 1943b8df55bb375a632b1c8fe4f88eca32b9e505
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Jul 15 19:33:02 2002 +0000

     * avi.c : quick hack to read file created by ffmpeg. I think it should
    work.
     * all   : add support for some others codecs provided by ffmpeg, but some of them aren't tested.

commit 07828972ffcf360f1fbd71d910781aea7a6a4d81
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 15 19:15:05 2002 +0000

      * ./src/misc/messages.c: debug messages that were issued before the -v
        flag was tested for are no longer lost.

commit d87d5035c321c87f12dd98c1753b29e8d339a6b5
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 15 19:08:51 2002 +0000

      * ./configure.in: we now look for XvPutImage instead of XvSetPortAttribute
        because XvSetPortAttribute isn't always available.

commit 00f324a483fd26ae49a6108ca72e0b97659184ed
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Jul 15 19:04:12 2002 +0000

      * ./plugins/macosx/vout_macosx.m: added missing arrow up/down handling.

commit caad85c4d7f1531ee27bee3e8b6f20782c03c3ab
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Jul 15 02:09:57 2002 +0000

      * ./plugins/macosx/vout_macosx.m: added missing keyDown(space) = pause

commit 57e1951e64dabdc57d67a3e3781e27cbc0523d4a
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Jul 15 01:54:04 2002 +0000

      * MacOS X changes:
        - added messages and playlist panel
        - simple dock menu (play, pause, stop)
        - context menu in video view
        - localization support: http://nanocrew.net/vlc/vlc-osx-ja.png
        - no longer broken :)

commit 9bf934afeeccfde036e6cff3b53319b2b25b73fc
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Jul 13 12:22:14 2002 +0000

    Add package sdl to package dependency list.

commit 5f7348c093b675982ab7723e1c8459ff5c264742
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 12 23:53:40 2002 +0000

      * ./AUTHORS: removed my entry for lool. /me should go back to school and
        learn how to alpha sort.

commit 2cbb6da03bf889a3591ec4103dbe8ee465a6f815
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 12 22:42:30 2002 +0000

    Closed old entries.

commit c974b7b07fa8b6857c5f3beeddab149b27dde830
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 12 21:57:25 2002 +0000

    * ./AUTHORS : added lool :-p ;
    * ./doc/vlc-howto.sgml : Fixed typos ;
    * ./include/vlc_common.h : Greatly simplified ntoh*, and U??_AT macros are
      now alignment-safe ;
    * ./STATUS : New file indicating who's working on what. Please keep it
      up-to-date ;
    * ./MAINTAINERS : New file indicating who has knowledge on which parts.

commit 1f95f0338d27a13ad3a01642e4829f5c6c113c48
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 12 17:08:52 2002 +0000

      * ./po/*: polish translation, courtesy of Arkadiusz Lipiec.

commit ee89627fa8d2dffd720c653aa4f0b66f19146f33
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 12 16:30:28 2002 +0000

      * ./ChangeLog: updated.
      * ./README: removed much outdated data.
      * ./debian/*: great package renaming - names should make more sense now.

commit e2518c9090d25c390cd6b5db16d9acf66632105c
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 11 19:44:10 2002 +0000

      * ./plugins/mad/mad_libmad.c: prevent the MAD decoder from looping endlessly
        when the audio output fifo could not be created.

commit c33cab357247c91e736aa711e2b6ca0892c91e6d
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 11 19:28:13 2002 +0000

      * ./plugins/gtk/*: new generic "Open Target" window. Please test and
        comment on usability.

commit 7fadd296cae41d6d56cbeb730ab21849b83d4fe4
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 11 19:05:12 2002 +0000

      * ./debian/rules: the Debian package creation script builds ffmpeg.

commit 9fa99246bede4bd4c1eb506fe1b3e56b32c0d657
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Jul 11 18:57:08 2002 +0000

     I commit a patch from Sigmund Augdal to skip ID3 tag at the begining
    of a file, so more files can be read :))
    
     However with current cvs this demux ( with and without the patch )
    segfaults after a few seconds, I can't find why, anybody has an idea ?

commit accfd3ae491e717a01ddf9da59b381ad3ffcb134
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 11 18:44:12 2002 +0000

      * ./src/vlc.c: reduced the amount of default simultaneous interfaces.
      * ./src/libvlc.c: removed calls to vlc_mutex_lock in sighandlers.

commit 1defce8985265f8488ba0f4708f19a15e20fbb0f
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 11 18:41:54 2002 +0000

      * ./plugins/qt/intf_qt.cpp: fixed Qt interface termination.

commit 4cf68d85b38a2592b6002d8636e9b9505fb59308
Author: Loïc Minier <lool@videolan.org>
Date:   Wed Jul 10 07:32:43 2002 +0000

      * ./FAQ: new entry for RTP

commit 31587b924e517edc6dc24beebb6df084301a252e
Author: Loïc Minier <lool@videolan.org>
Date:   Tue Jul 9 23:40:34 2002 +0000

      * ./FAQ: minor updates, new sections: uninstall/reinstall,
        DirectX-blackscreen, device permissions, debug messages,
        config file, (un)planned ports/features, sources.list

commit d9288202f4955472131555328fad971d8ec8bb90
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Jul 9 22:18:23 2002 +0000

     plugins/avi/avi.c : now you can see avi over http (true interleaved
    file only), and seek is allowed (but with great unsynchronisation,
    and sometimes it fails). But in order to make it working, I have to
    limit the number of bytes I read at a time. It's strange since in
    previous version of vlc, I don't need to do that ... ( it segfaults in
    input_SplitBuffer but not always on the same frame )

commit 3248746c54d115b9c37b0710d08f460d7b53b9d3
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Jul 9 22:15:49 2002 +0000

     * ./plugins/win32/about.*: Added the version number in the About box

commit fbb7ae733455aeaa721ec478be2c3d61eaca020f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Jul 7 21:55:25 2002 +0000

    Update for 0.4.2 release.

commit dd4f2531ca3729b49ef5f9e992dbd3bd8a7328e6
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 5 11:18:56 2002 +0000

      * ./src/misc/darwin_specific.c, ./src/misc/extras.c: moved our custom
        strndup to a separate file so that Win32 can benefit from it.
      * ./include/vlc_threads.h: Borland compilation fix.

commit 4565dc6ee0fea1e1d224aa2a9575e8b0ddc59fa1
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 4 18:11:57 2002 +0000

      * ./mozilla/*: preliminary Mozilla plugin. Only works under Unix for now.
      * ./debian/rules: activated the vlc-xosd, vlc-kde and mozilla-plugin-vlc
        Debian packages.
      * ./po/*: updated potfiles.

commit 7f0d9408c2d0afe973e90b1426b50fc8587d5be2
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 3 19:40:49 2002 +0000

      * ./src/misc/modules.c: module_Need accepts a comma-separated list of
        module names. Try for instance: "vlc --intf gnome,gtk,dummy".

commit 3266cd725cf6b306c19cd24590b8caa4023775f1
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Tue Jul 2 22:07:02 2002 +0000

      * darwin_specific.[ch]: added strndup needed by video_output.c.
      * configure.in: added -lintl to plugins_LDFLAGS.

commit 7682a00c8c08a73c521754df9d498c9176a65348
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 2 19:16:47 2002 +0000

      * ./plugins/gnome/gtk.c, ./plugins/gnome/gnome.c: prevent older versions
        of vlc from crashing when trying to open a recent module.

commit e0647a17f6b24584aade915636c586f566ab1bdd
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jul 2 19:14:59 2002 +0000

      * ./plugins/x11/xcommon.c: to enter fullscreen mode, we create a new window
        instead of moving the current window, which saves us the hassle of
        remembering size and position.
      * ./plugins/x11/x11.c, ./plugins/x11/xvideo.c: added --no-x11-shm and
        --no-xvideo-shm options.

commit e65bd40523cd7f05c6917450e72e7b88a504dd13
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Jul 2 17:54:49 2002 +0000

     * all : begin to support VOD, but it segfault very quickly (unless you
    disable audio or video !)and cannot support seeking( will just stop ).
    Moreover it can't work for all files, only interleaved ones.

commit d640a937b9875c74b735839e95c402bfdfe478f2
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 1 17:40:27 2002 +0000

      * ./plugins/lirc/lirc.c: the lirc interface now works again.

commit ff5b6b2bd94037cadbe30c4cb0a906fa215e26ef
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 1 17:39:55 2002 +0000

      * ./plugins/qt/*: the Qt interface now works again.

commit 8d3702d53ead9f221db1ba8d1fd2ec892e9af1fb
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 1 17:39:27 2002 +0000

      * ./plugins/kde/*: the KDE interface now works again.

commit 6d58f12a1421a176e8c4b6fc51fe656d714dfa50
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 1 17:39:08 2002 +0000

      * ./plugins/gtk/gtk_callbacks.c: fixed a segfault when hitting Eject with
        an emtpy playlist.

commit 124fa2e9afc37c9c2666d8410c0f54771c7403fc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jun 30 15:07:57 2002 +0000

     *all : now can find key frame even with broken avi.

commit fe41bed68ebbd7f842b43bf41bb6ac3cd62b3842
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Jun 30 03:51:29 2002 +0000

      all: ameliorations.

commit 32356203b1a562f1baf4cb3775607d56a619d029
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Jun 29 14:16:17 2002 +0000

     plugins/avi/avi.c : fix some problems with broken avi

commit 2fc62e061142cb3f3062a353678db6890fc6776b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Jun 28 19:31:40 2002 +0000

     plugins/avi/avi.c : audio seems to be better.

commit 660db6d87715f5b677edbb8fddd071ad236511eb
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 27 19:46:32 2002 +0000

      * ./plugins/dvd/dvd_es.c: error in selecting SPU stream.
      * ./plugins/spudec/spu_decoder.c: endianness fix for subtitles colour.
      * ./plugins/spudec/spu_decoder.c: little hack for preventing blank alpha
        palette.
      * ./plugins/spudec/spu_decoder.c: subtitle transparency support.
    
       Patches imported from v0_4_1_branch.

commit 3a31acccc1b5720c3256c4677ac85282915fc610
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 27 19:05:17 2002 +0000

      * ./src/misc/modules.c: added the --plugin-path option to give vlc an
        extra plugin location.
      * ./plugins/text/rc.c: if stdin/stdout are not connected to a TTY, we
        don't launch the rc interface.
      * ./plugins/access/http.c: fixed a compilation warning.
      * ./src/misc/messages.c: cosmetic enhancements in the message output.

commit 3668622d3373559abad985f796d0f601a08af8b0
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 27 19:01:28 2002 +0000

      * ./plugins/x11/*: added the --x11-drawable and --xvideo-drawable options to
        tell vlc to draw in an existing drawable instead of creating a new window.

commit 31f47190bd4c01d75b81c311697a28ea880b37d3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Jun 27 18:10:16 2002 +0000

     * all : I've forgotten theses ...

commit b2b0749448fb79d6f68e6694f311306a62626d77
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Jun 26 23:11:12 2002 +0000

     * all : I rewrite the way to read, in order to minimize seeking (
    faster and in prevision of VOD by http, but not yet functionnal ). But
    sound becomes horrible, I will try to fix it as soon as possible.

commit 62e73f508b74167e0a9ceec13b155abb2f7aaaa0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jun 19 22:47:14 2002 +0000

    Backported stable changes.

commit e405691afcb7d6c9d4e0917da3565fbe149114e3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jun 18 23:18:40 2002 +0000

    Ported previous stable commits.

commit cecb7e869db3e9cecffcb712fd66c3a8bc52636e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Jun 11 09:44:22 2002 +0000

    * ./include/configuration.h: renamed MODULE_CONFIG_* macros into
    CONFIG_*.
    * ./include/configuration.h, ./plugins/gtk/gtk_preferences.c,
    ./plugins/filter/transform.c, ./plugins/filter/distort.c,
    ./plugins/filter/deinterlace.c: added an ADD_STRING_FROM_LIST()
    configuration macro.
    * ./include/modules.h, ./include/video_output.h,
    ./src/video_output/video_output.c, ./plugins/filters/*: added a
    VOUT_FILTER capability. Having a clear distinction between VOUTs and
    VOUT_FILTERs allows us to get rid of ugly hacks. The filters are also
    stackable now (use --filter=foo:bar:foo etc..).
    * ./include/configuration.h, ./src/libvlc.h, ./src/libvlc.c: clean-up +
    added an ADD_USAGE_HINT() configuration macro.

commit 4d2ae9f0178b564d453da2feeb67b4102cb9e871
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jun 10 16:48:59 2002 +0000

      * ./FAQ: added QT6 FAQ entry.

commit dbbbbc3ac30f924dfd4d1ee6a6f97c83b831a085
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jun 10 00:41:08 2002 +0000

      * ./configure.in: fixed inet_pton detection.
      * ./plugins/filter/deinterlace.c: the blend mode is now a lot smoother, but
        also a bit slower, so I also kept the old version, optimized it, and
        called it "mean".

commit 9915a8b1138e6ca7008b30ff7daaf8a393862f00
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Jun 9 23:35:33 2002 +0000

    * Fixed some compile issues with what I checked in.

commit d68093864dac12643792af743be3edc15743f4a5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Jun 9 22:57:00 2002 +0000

    * IPv6 multicast support, courtesy of Remco Poortinga <poortinga@telin.nl> ;
    * Mac OS X icons and fixes, courtesy of Benjamin Mironer <bmironer@noos.fr>.

commit cee79ce46aeda52285f8200bf2e9bc17bc2d3ce2
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jun 9 16:52:58 2002 +0000

      * ./plugins/filter/deinterlace.c: added two new deinterlacing methods,
        "discard" which is very CPU efficient, and "blend" (yes there used to be
        a "blend" method but it's now called "linear". Don't ask) which loses some
        vertical resolution but discards the mice teeth effect. Information was
        found on http://www.100fps.com/index.htm.
    
        We now have "discard", "blend", "bob" and "linear".

commit 73ec58f68c03779a98a4c0a97a41e19253422d6c
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jun 8 20:25:13 2002 +0000

      * ./plugins/mad/mad_libmad.c: changed error messages to warning/debug.

commit d1adb68e90141a380c77c130196f38aeed72a55c
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jun 8 19:32:19 2002 +0000

      * ./plugins/macosx/*: additional minor fixes.

commit 58ac187094647cb9f615292679801209a8253753
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jun 8 18:52:34 2002 +0000

      * ./plugins/macosx/vout_macosx.m, ./plugins/macosx/aout_macosx.m,
        ./plugins/macosx/intf_vlc_wrapper.m: preliminary OS X compilation fixes.

commit 8fbbb9594a0ecd9efca52dc70162c1bdf48a40ac
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jun 8 14:08:46 2002 +0000

      * ./include/vlc_threads.h, ./src/misc/threads.c: improved the cond_wait
        implementation to avoid races, by using SetEvent instead of PulseEvent.

commit ece55c8fc27b518ceb214f8b4e3c7827a5847d8d
Author: Loïc Minier <lool@videolan.org>
Date:   Sat Jun 8 02:50:26 2002 +0000

      * ./plugins/xosd/xosd.c: a couple more options, better defaults

commit 2e8031b40a29bcf650782ab93a007da7be5556aa
Author: Loïc Minier <lool@videolan.org>
Date:   Sat Jun 8 01:41:22 2002 +0000

      * ./configure.in: checking for the header should be enough in most cases
      * ./plugins/xosd/xosd.c: configuration options

commit a5e3711fb88b0d73c998dab67f0b70eb8f2123d7
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 23:53:44 2002 +0000

      * ./plugins/win32/*: tried to port the Win32 interface to the new API. Seems
        to be still crashing.

commit 5c13c83c1565cd50f3e2a57b84e39d383c891f06
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 23:05:03 2002 +0000

      * ./plugins/gtk/gtk_callbacks.c: some code cleaning.
      * ./plugins/text/rc.c: fixed the "a" command.

commit 950e98ee51c90613e92eb60ca1b724955e8a1b95
Author: Loïc Minier <lool@videolan.org>
Date:   Fri Jun 7 22:41:50 2002 +0000

      * forgot to cvs add the _files_ -- sorry

commit 6c46a708b11942b47e62980bd3e19a79fc47c552
Author: Loïc Minier <lool@videolan.org>
Date:   Fri Jun 7 22:32:18 2002 +0000

      * fixed my typos in configure.in

commit 9edc2a463468f0fd2141190e8d705bd91b60833f
Author: Loïc Minier <lool@videolan.org>
Date:   Fri Jun 7 22:24:04 2002 +0000

      * basic On Screen Display intf-plugin based on libxosd

commit 5a895839f5c6f9b1450a4e4ac1b3b97bcb761c33
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 21:45:30 2002 +0000

      * ./src/misc/netutils.c: network mode works again.

commit b8a59e7f243ea6e91f8887b7e35202463ccb26e6
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 19:54:37 2002 +0000

      * ./plugins/gtk/*: the Gnome/Gtk+ interfaces have all their features back.
      * ./src/playlist/playlist.c: fixed an off-by-one loop error.

commit bd0a8b89d84e036e253a828976bb973a5fcc7f32
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Fri Jun 7 18:03:40 2002 +0000

      * plugins/a52_system/.cvsignore: What about a little .cvsignore ?

commit 74ea8fa58e39eb8dffb0c5827484517acae3c0bc
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 16:06:09 2002 +0000

      * ./plugins/dummy/input_dummy.c: dummy targets such as vlc:nop, vlc:loop
        and vlc:quit work again.
      * ./src/playlist/playlist.c: when a new target is added, for instance through     the "File" menu, it is automatically played.

commit 3712520f8b2a1d83426f50a6cf4a63347da57ebb
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 14:59:40 2002 +0000

      * ./include/vlc_objects.h: pointers are set to NULL after a call to
        vlc_object_destroy (idea from stef).
      * ./po/pl.po: updated polish translation, thanks to Arkadiusz Lipiec
        <alipiec@adrenalina.pl>.

commit b9e9cb420db33d098d3d9edea1f3e9d84d5fb18f
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 7 14:30:41 2002 +0000

      * ./src/playlist/playlist.c: lots of playlist behaviour enhancements.
      * ./src/misc/objects.c: we do not hang on attempt to destroy an object with
        a non-zero reference count, but we still complain.
      * ./plugins/gtk/gtk_control.c, plugins/gtk/gtk_playlist.c: most controls such
        as play, pause, stop, next, fast etc. work again.
      * ./plugins/gtk/gnome_*: got rid of lots of useless wrappers which were a
        workaround for a bug in Glade. Instead, bootstrap.sh does the Glade fixes.
      * ./plugins/ffmpeg/ffmpeg.c: if there is already a video output with the
        appropriate properties, we use it.

commit d547ff04bf52ebc411bf4014c7fd97295274e5e4
Author: Eric Petit <titer@videolan.org>
Date:   Wed Jun 5 20:58:54 2002 +0000

    Minor fix for the BeOS' make-package (icon loss).

commit decae7d2872582b9cf6809d0f9312a4afd77cf3b
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jun 5 18:29:24 2002 +0000

    * Set object pointer to NULL after destroy.

commit 92cae559e9421b73a6811d11906184fbfe99383f
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jun 5 18:18:49 2002 +0000

    * Release vout when we close spudec.

commit 85ec39357555ce8623cce0d9cf112d49b1cf1229
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jun 5 18:15:46 2002 +0000

    *Only report initiliazation error when it is really an error.

commit 1c35540e3b20c9ab9172f0656f207303ed23e08b
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jun 5 18:07:03 2002 +0000

    * Added mouse coordinates to vout struct. They are only update from x11 for now,
    and they are used nowhere.

commit 1aa0aa3961ec17dd2f0151820ca91e83ded08eb8
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jun 5 18:01:31 2002 +0000

    *Check if p_vpar->p_vout is available before detaching it.

commit e9de293df3df0a6c1b2d29a9d5acd8794f6e54f6
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jun 4 20:33:25 2002 +0000

    (new in MAIN)
      * ./plugins/gtk/gtk_callbacks.c: fixed a segfault when switching to
        fullscreen from the popup menu.
    (from v0_4_1_branch)
      * ./plugins/gtk/gnome_callbacks.c: fixed a crash when activating preferences
        from the popup menu.
      * ./plugins/gtk/gnome.glade: added lines this #@%$! Glade had munched, fixes
        a segfault in the Gnome popup menu when toggling the interface.

commit 7291e0a7e2e207fed4cbb7063550d60d06824018
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jun 4 00:11:12 2002 +0000

    (new in MAIN)
      * ./src/interface/interface.c: interfaces are no longer attached only to
        p_vlc.
      * ./src/libvlc.c, ./src/misc/modules.c, ./src/playlist/playlist.c,
        ./src/input/input.c: improvements in the playlist handling (not quite that
        yet though).
    (ported from v0_4_1_branch)
